#ifndef _atomic__client_h_
#define _atomic__client_h_

#include <flick/link/fluke.h>
#include <flick/encode/fluke.h>
#include <flick/pres/mom.h>

#define Atomic_SS (1)

#define Atomic_LL (1)

#define Atomic_US (1)

#define Atomic_UL (1)

#define Atomic_FF (1.100000)

#define Atomic_DD (1.200000)

#define Atomic_CC ('a')

#define Atomic_BB (1)

#include <fluke/Atomic.h>

int16_t Atomic_test_Short(mom_ref_t _obj, int16_t a, int16_t *b, int16_t *c, mom_exc_t *_ev);

int32_t Atomic_test_Long(mom_ref_t _obj, int32_t a, int32_t *b, int32_t *c, mom_exc_t *_ev);

u_int16_t Atomic_test_UShort(mom_ref_t _obj, u_int16_t a, u_int16_t *b, u_int16_t *c, mom_exc_t *_ev);

u_int32_t Atomic_test_ULong(mom_ref_t _obj, u_int32_t a, u_int32_t *b, u_int32_t *c, mom_exc_t *_ev);

float Atomic_test_Float(mom_ref_t _obj, float a, float *b, float *c, mom_exc_t *_ev);

double Atomic_test_Double(mom_ref_t _obj, double a, double *b, double *c, mom_exc_t *_ev);

int Atomic_test_Boolean(mom_ref_t _obj, int a, int *b, int *c, mom_exc_t *_ev);

char Atomic_test_Char(mom_ref_t _obj, char a, char *b, char *c, mom_exc_t *_ev);

u_int8_t Atomic_test_Octet(mom_ref_t _obj, u_int8_t a, u_int8_t *b, u_int8_t *c, mom_exc_t *_ev);

#endif /* _atomic__client_h_ */
