#include "constant-client.h"

void flick_marshal_stub_N(flick_marshal_stream_t _stream, const N *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, *_data);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
}

void flick_unmarshal_stub_N(flick_marshal_stream_t _stream, N *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, *_data);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
}

void flick_marshal_stub_E(flick_marshal_stream_t _stream, const E *_data)
{
  flick_fluke_encode_new_glob(2);
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_signed16(0, _data->cause);
  flick_fluke_encode_end_chunk(2);
  flick_fluke_encode_end_glob(2);
}

void flick_unmarshal_stub_E(flick_marshal_stream_t _stream, E *_data)
{
  flick_fluke_decode_new_glob(2);
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_signed16(0, _data->cause);
  flick_fluke_decode_end_chunk(2);
  flick_fluke_decode_end_glob(2);
}

void flick_marshal_stub_F(flick_marshal_stream_t _stream, const F *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed32(0, _data->type);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
}

void flick_unmarshal_stub_F(flick_marshal_stream_t _stream, F *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed32(0, _data->type);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
}

void flick_marshal_stub_M_N(flick_marshal_stream_t _stream, const M_N *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, *_data);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
}

void flick_unmarshal_stub_M_N(flick_marshal_stream_t _stream, M_N *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, *_data);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
}

void flick_marshal_stub_M_E(flick_marshal_stream_t _stream, const M_E *_data)
{
  flick_fluke_encode_new_glob(2);
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_signed16(0, _data->cause);
  flick_fluke_encode_end_chunk(2);
  flick_fluke_encode_end_glob(2);
}

void flick_unmarshal_stub_M_E(flick_marshal_stream_t _stream, M_E *_data)
{
  flick_fluke_decode_new_glob(2);
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_signed16(0, _data->cause);
  flick_fluke_decode_end_chunk(2);
  flick_fluke_decode_end_glob(2);
}

void flick_marshal_stub_M_A_N(flick_marshal_stream_t _stream, const M_A_N *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, *_data);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
}

void flick_unmarshal_stub_M_A_N(flick_marshal_stream_t _stream, M_A_N *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, *_data);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
}

void flick_marshal_stub_M_A_E(flick_marshal_stream_t _stream, const M_A_E *_data)
{
  flick_fluke_encode_new_glob(2);
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_signed16(0, _data->cause);
  flick_fluke_encode_end_chunk(2);
  flick_fluke_encode_end_glob(2);
}

void flick_unmarshal_stub_M_A_E(flick_marshal_stream_t _stream, M_A_E *_data)
{
  flick_fluke_decode_new_glob(2);
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_signed16(0, _data->cause);
  flick_fluke_decode_end_chunk(2);
  flick_fluke_decode_end_glob(2);
}

M_A_N M_A_foo(mom_ref_t _obj, M_A_N x, M_A_N *y, M_A_N *z, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  M_A_N _return;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_unsigned32(0, req_A_foo);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, x);
    flick_fluke_encode_unsigned32(8, *z);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(16);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(12);
          flick_fluke_decode_unsigned32(0, *y);
          flick_fluke_decode_unsigned32(4, *z);
          flick_fluke_decode_unsigned32(8, _return);
          flick_fluke_decode_end_chunk(12);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          switch (_ev->_type)
            {
            case exc_M_A_E:
              {
                (M_A_E *)(_ev->_except) = mom_flick_alloc(sizeof(M_A_E ));
                flick_fluke_decode_new_chunk(2);
                flick_fluke_decode_signed16(0, ((M_A_E *)(_ev->_except))->cause);
                flick_fluke_decode_end_chunk(2);
                break;
              }
            case exc_F:
              {
                (F *)(_ev->_except) = mom_flick_alloc(sizeof(F ));
                flick_fluke_decode_new_chunk(4);
                flick_fluke_decode_signed32(0, ((F *)(_ev->_except))->type);
                flick_fluke_decode_end_chunk(4);
                break;
              }
            default:
              {
                flick_mom_decode_client_error(_return, FLICK_ERROR_VOID_UNION, fluke, fluke);
                break;
              }
            }
        }
      }
    flick_fluke_decode_end_glob(16);
  }
  flick_fluke_client_end_decode();
  return _return;
}

