#include "nest-refs-client.h"

void flick_marshal_stub_OctetSequence(flick_marshal_stream_t _stream, const OctetSequence *_data)
{
  unsigned long int _t1_array_iter;

  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_iiop_encode_new_glob(1 * _data->_length);
#if 0 /* We never byte swap on encoding */
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_iiop_encode_new_chunk(1);
      flick_cdr_encode_unsigned8(0, _data->_buffer[_t1_array_iter]);
      flick_iiop_encode_end_chunk(1);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->_buffer, sizeof(char) * _data->_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_end_glob(1 * _data->_length);
}

void flick_unmarshal_stub_OctetSequence(flick_marshal_stream_t _stream, OctetSequence *_data)
{
  unsigned long int _t3_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(1 * _data->_length);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_decode_unsigned8(0, _data->_buffer[_t3_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
#else
  flick_cdr_decode_bcopy(_data->_buffer, sizeof(char) * _data->_length, iiop);
#endif
  flick_iiop_decode_end_glob(1 * _data->_length);
}

void flick_unmarshal_stub_OctetSequence_swap(flick_marshal_stream_t _stream, OctetSequence *_data)
{
  unsigned long int _t5_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(1 * _data->_length);
  for (_t5_array_iter = 0; _t5_array_iter < _data->_length; _t5_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_unsigned8(0, _data->_buffer[_t5_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
  flick_iiop_decode_end_glob(1 * _data->_length);
}

void flick_marshal_stub_ReferenceData(flick_marshal_stream_t _stream, const ReferenceData *_data)
{
  unsigned long int _t7_array_iter;

  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_iiop_encode_new_glob(1 * _data->_length);
#if 0 /* We never byte swap on encoding */
  for (_t7_array_iter = 0; _t7_array_iter < _data->_length; _t7_array_iter++)
    {
      flick_iiop_encode_new_chunk(1);
      flick_cdr_encode_unsigned8(0, _data->_buffer[_t7_array_iter]);
      flick_iiop_encode_end_chunk(1);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->_buffer, sizeof(char) * _data->_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_end_glob(1 * _data->_length);
}

void flick_unmarshal_stub_ReferenceData(flick_marshal_stream_t _stream, ReferenceData *_data)
{
  unsigned long int _t9_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(1 * _data->_length);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t9_array_iter = 0; _t9_array_iter < _data->_length; _t9_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_decode_unsigned8(0, _data->_buffer[_t9_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
#else
  flick_cdr_decode_bcopy(_data->_buffer, sizeof(char) * _data->_length, iiop);
#endif
  flick_iiop_decode_end_glob(1 * _data->_length);
}

void flick_unmarshal_stub_ReferenceData_swap(flick_marshal_stream_t _stream, ReferenceData *_data)
{
  unsigned long int _t11_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(1 * _data->_length);
  for (_t11_array_iter = 0; _t11_array_iter < _data->_length; _t11_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_unsigned8(0, _data->_buffer[_t11_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
  flick_iiop_decode_end_glob(1 * _data->_length);
}

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_test_swap(flick_marshal_stream_t _stream, test *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

ReferenceData *test__get_id(test _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  ReferenceData *_return;
  _return = 0;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(13);
    flick_iiop_encode_new_chunk(13);
    flick_cdr_encode_unsigned32(0, 9);
    flick_cdr_encode_char8(4, '_');
    flick_cdr_encode_char8(5, '_');
    flick_cdr_encode_char8(6, 'g');
    flick_cdr_encode_char8(7, 'e');
    flick_cdr_encode_char8(8, 't');
    flick_cdr_encode_char8(9, '_');
    flick_cdr_encode_char8(10, 'i');
    flick_cdr_encode_char8(11, 'd');
    flick_cdr_encode_char8(12, 0);
    flick_iiop_encode_end_chunk(13);
    flick_iiop_encode_end_glob(13);
  }
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    	flick_corba_decode_client_error(_return, FLICK_ERROR_COMMUNICATION, cdr, iiop); 
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            unsigned long int _t19_array_iter;

            /* Begin decode phase on parameters */
            _return = CORBA_flick_alloc(sizeof(ReferenceData ));
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _return->_length);
            _return->_buffer = CORBA_flick_alloc(_return->_length * sizeof(CORBA_octet ));
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(1 * _return->_length);
            for (_t19_array_iter = 0; _t19_array_iter < _return->_length; _t19_array_iter++)
              {
                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_unsigned8(0, _return->_buffer[_t19_array_iter]);
                flick_iiop_decode_end_chunk(1);
              }
            flick_iiop_decode_end_glob(1 * _return->_length);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr_swap, iiop);
            flick_iiop_decode_end_glob(8);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(8);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            unsigned long int _t15_array_iter;

            /* Begin decode phase on parameters */
            _return = CORBA_flick_alloc(sizeof(ReferenceData ));
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _return->_length);
            _return->_buffer = CORBA_flick_alloc(_return->_length * sizeof(CORBA_octet ));
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(1 * _return->_length);
#if 0 /* are we in the swapping decode or non-swapping decode */
            for (_t15_array_iter = 0; _t15_array_iter < _return->_length; _t15_array_iter++)
              {
                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_unsigned8(0, _return->_buffer[_t15_array_iter]);
                flick_iiop_decode_end_chunk(1);
              }
#else
            flick_cdr_decode_bcopy(_return->_buffer, sizeof(char) * _return->_length, iiop);
#endif
            flick_iiop_decode_end_glob(1 * _return->_length);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr, iiop);
            flick_iiop_decode_end_glob(8);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(8);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

void test__set_id(test _obj, ReferenceData *id, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    unsigned long int _t23_array_iter;

    flick_iiop_encode_new_glob(24);
    flick_iiop_encode_new_chunk(24);
    flick_cdr_encode_unsigned32(0, 9);
    flick_cdr_encode_char8(4, '_');
    flick_cdr_encode_char8(5, '_');
    flick_cdr_encode_char8(6, 's');
    flick_cdr_encode_char8(7, 'e');
    flick_cdr_encode_char8(8, 't');
    flick_cdr_encode_char8(9, '_');
    flick_cdr_encode_char8(10, 'i');
    flick_cdr_encode_char8(11, 'd');
    flick_cdr_encode_char8(12, 0);
    /* Encode the 'Principal' pseudo-object (secure ID) */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(20, id->_length);
    flick_iiop_encode_end_chunk(24);
    flick_iiop_encode_end_glob(24);
    flick_iiop_encode_new_glob(1 * id->_length);
#if 0 /* We never byte swap on encoding */
    for (_t23_array_iter = 0; _t23_array_iter < id->_length; _t23_array_iter++)
      {
        flick_iiop_encode_new_chunk(1);
        flick_cdr_encode_unsigned8(0, id->_buffer[_t23_array_iter]);
        flick_iiop_encode_end_chunk(1);
      }
#else /* Always bcopy */
    flick_cdr_encode_bcopy(id->_buffer, sizeof(char) * id->_length, iiop);
#endif /* alway bcopy */
    flick_iiop_encode_end_glob(1 * id->_length);
  }
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    	flick_corba_decode_client_error(, FLICK_ERROR_COMMUNICATION, cdr, iiop); 
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(4);
    }
  } else {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(4);
    }
  }
  flick_iiop_client_end_decode();
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

OctetSequence *test__get_info(test _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  OctetSequence *_return;
  _return = 0;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(15);
    flick_iiop_encode_new_chunk(15);
    flick_cdr_encode_unsigned32(0, 11);
    flick_cdr_encode_char8(4, '_');
    flick_cdr_encode_char8(5, '_');
    flick_cdr_encode_char8(6, 'g');
    flick_cdr_encode_char8(7, 'e');
    flick_cdr_encode_char8(8, 't');
    flick_cdr_encode_char8(9, '_');
    flick_cdr_encode_char8(10, 'i');
    flick_cdr_encode_char8(11, 'n');
    flick_cdr_encode_char8(12, 'f');
    flick_cdr_encode_char8(13, 'o');
    flick_cdr_encode_char8(14, 0);
    flick_iiop_encode_end_chunk(15);
    flick_iiop_encode_end_glob(15);
  }
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    	flick_corba_decode_client_error(_return, FLICK_ERROR_COMMUNICATION, cdr, iiop); 
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            unsigned long int _t31_array_iter;

            /* Begin decode phase on parameters */
            _return = CORBA_flick_alloc(sizeof(OctetSequence ));
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _return->_length);
            _return->_buffer = CORBA_flick_alloc(_return->_length * sizeof(CORBA_octet ));
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(1 * _return->_length);
            for (_t31_array_iter = 0; _t31_array_iter < _return->_length; _t31_array_iter++)
              {
                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_unsigned8(0, _return->_buffer[_t31_array_iter]);
                flick_iiop_decode_end_chunk(1);
              }
            flick_iiop_decode_end_glob(1 * _return->_length);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr_swap, iiop);
            flick_iiop_decode_end_glob(8);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(8);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            unsigned long int _t27_array_iter;

            /* Begin decode phase on parameters */
            _return = CORBA_flick_alloc(sizeof(OctetSequence ));
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _return->_length);
            _return->_buffer = CORBA_flick_alloc(_return->_length * sizeof(CORBA_octet ));
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(1 * _return->_length);
#if 0 /* are we in the swapping decode or non-swapping decode */
            for (_t27_array_iter = 0; _t27_array_iter < _return->_length; _t27_array_iter++)
              {
                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_unsigned8(0, _return->_buffer[_t27_array_iter]);
                flick_iiop_decode_end_chunk(1);
              }
#else
            flick_cdr_decode_bcopy(_return->_buffer, sizeof(char) * _return->_length, iiop);
#endif
            flick_iiop_decode_end_glob(1 * _return->_length);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr, iiop);
            flick_iiop_decode_end_glob(8);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(8);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

void test__set_info(test _obj, OctetSequence *info, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    unsigned long int _t35_array_iter;

    flick_iiop_encode_new_glob(24);
    flick_iiop_encode_new_chunk(24);
    flick_cdr_encode_unsigned32(0, 11);
    flick_cdr_encode_char8(4, '_');
    flick_cdr_encode_char8(5, '_');
    flick_cdr_encode_char8(6, 's');
    flick_cdr_encode_char8(7, 'e');
    flick_cdr_encode_char8(8, 't');
    flick_cdr_encode_char8(9, '_');
    flick_cdr_encode_char8(10, 'i');
    flick_cdr_encode_char8(11, 'n');
    flick_cdr_encode_char8(12, 'f');
    flick_cdr_encode_char8(13, 'o');
    flick_cdr_encode_char8(14, 0);
    /* Encode the 'Principal' pseudo-object (secure ID) */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(20, info->_length);
    flick_iiop_encode_end_chunk(24);
    flick_iiop_encode_end_glob(24);
    flick_iiop_encode_new_glob(1 * info->_length);
#if 0 /* We never byte swap on encoding */
    for (_t35_array_iter = 0; _t35_array_iter < info->_length; _t35_array_iter++)
      {
        flick_iiop_encode_new_chunk(1);
        flick_cdr_encode_unsigned8(0, info->_buffer[_t35_array_iter]);
        flick_iiop_encode_end_chunk(1);
      }
#else /* Always bcopy */
    flick_cdr_encode_bcopy(info->_buffer, sizeof(char) * info->_length, iiop);
#endif /* alway bcopy */
    flick_iiop_encode_end_glob(1 * info->_length);
  }
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    	flick_corba_decode_client_error(, FLICK_ERROR_COMMUNICATION, cdr, iiop); 
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(4);
    }
  } else {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(4);
    }
  }
  flick_iiop_client_end_decode();
}

