#include "string_-client.h"

void flick_marshal_stub_str(flick_marshal_stream_t _stream, const struct str *_data)
{
  flick_cdr_encode_string(_data->s10, null_flick_free, iiop, 10);
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_encode_signed32(0, _data->a);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_cdr_encode_longstring(_data->sx, null_flick_free, iiop);
  flick_iiop_encode_new_glob(2);
  flick_iiop_encode_new_chunk_align(2, 1, 0, 0);
  flick_cdr_encode_signed16(0, _data->b);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(2);
}

void flick_unmarshal_stub_str(flick_marshal_stream_t _stream, struct str *_data)
{
  flick_cdr_decode_string(_data->s10, CORBA_flick_alloc, iiop, 10);
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_decode_signed32(0, _data->a);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_cdr_decode_longstring(_data->sx, CORBA_flick_alloc, iiop);
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
  flick_cdr_decode_signed16(0, _data->b);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_unmarshal_stub_str_swap(flick_marshal_stream_t _stream, struct str *_data)
{
  flick_cdr_swap_decode_string(_data->s10, CORBA_flick_alloc, iiop, 10);
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_swap_decode_signed32(0, _data->a);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_cdr_swap_decode_longstring(_data->sx, CORBA_flick_alloc, iiop);
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
  flick_cdr_swap_decode_signed16(0, _data->b);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_test_swap(flick_marshal_stream_t _stream, test *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

CORBA_char *test_String(test _obj, CORBA_char *a, CORBA_char **b, CORBA_char **c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_char *_return;
  _return = 0;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(16);
    flick_iiop_encode_new_chunk(16);
    flick_cdr_encode_unsigned32(0, 7);
    flick_cdr_encode_char8(4, 'S');
    flick_cdr_encode_char8(5, 't');
    flick_cdr_encode_char8(6, 'r');
    flick_cdr_encode_char8(7, 'i');
    flick_cdr_encode_char8(8, 'n');
    flick_cdr_encode_char8(9, 'g');
    flick_cdr_encode_char8(10, 0);
    /* Encode the 'Principal' pseudo-object (secure ID) */
    flick_cdr_encode_unsigned32(12, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(16);
    flick_iiop_encode_end_glob(16);
    flick_cdr_encode_longstring(a, null_flick_free, iiop);
    flick_cdr_encode_longstring(*b, null_flick_free, iiop);
  }
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    	flick_corba_decode_client_error(_return, FLICK_ERROR_COMMUNICATION, cdr, iiop); 
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(4);
            flick_cdr_swap_decode_longstring(*b, CORBA_flick_alloc, iiop);
            flick_cdr_swap_decode_longstring(*c, CORBA_flick_alloc, iiop);
            flick_cdr_swap_decode_longstring(_return, CORBA_flick_alloc, iiop);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr_swap, iiop);
            flick_iiop_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(4);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(4);
            flick_cdr_decode_longstring(*b, CORBA_flick_alloc, iiop);
            flick_cdr_decode_longstring(*c, CORBA_flick_alloc, iiop);
            flick_cdr_decode_longstring(_return, CORBA_flick_alloc, iiop);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr, iiop);
            flick_iiop_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(4);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

struct str *test_Struct(test _obj, struct str *a, struct str *b, struct str **c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct str *_return;
  _return = 0;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(16);
    flick_iiop_encode_new_chunk(16);
    flick_cdr_encode_unsigned32(0, 7);
    flick_cdr_encode_char8(4, 'S');
    flick_cdr_encode_char8(5, 't');
    flick_cdr_encode_char8(6, 'r');
    flick_cdr_encode_char8(7, 'u');
    flick_cdr_encode_char8(8, 'c');
    flick_cdr_encode_char8(9, 't');
    flick_cdr_encode_char8(10, 0);
    /* Encode the 'Principal' pseudo-object (secure ID) */
    flick_cdr_encode_unsigned32(12, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(16);
    flick_iiop_encode_end_glob(16);
    flick_cdr_encode_string(a->s10, null_flick_free, iiop, 10);
    flick_iiop_encode_new_glob(4);
    flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
    flick_cdr_encode_signed32(0, a->a);
    flick_iiop_encode_end_chunk(4);
    flick_iiop_encode_end_glob(4);
    flick_cdr_encode_longstring(a->sx, null_flick_free, iiop);
    flick_iiop_encode_new_glob(2);
    flick_iiop_encode_new_chunk_align(2, 1, 0, 0);
    flick_cdr_encode_signed16(0, a->b);
    flick_iiop_encode_end_chunk(2);
    flick_iiop_encode_end_glob(2);
    flick_cdr_encode_string(b->s10, null_flick_free, iiop, 10);
    flick_iiop_encode_new_glob(4);
    flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
    flick_cdr_encode_signed32(0, b->a);
    flick_iiop_encode_end_chunk(4);
    flick_iiop_encode_end_glob(4);
    flick_cdr_encode_longstring(b->sx, null_flick_free, iiop);
    flick_iiop_encode_new_glob(2);
    flick_iiop_encode_new_chunk_align(2, 1, 0, 0);
    flick_cdr_encode_signed16(0, b->b);
    flick_iiop_encode_end_chunk(2);
    flick_iiop_encode_end_glob(2);
  }
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    	flick_corba_decode_client_error(_return, FLICK_ERROR_COMMUNICATION, cdr, iiop); 
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(4);
            flick_cdr_swap_decode_string(b->s10, CORBA_flick_alloc, iiop, 10);
            flick_iiop_decode_new_glob(4);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_signed32(0, b->a);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(4);
            flick_cdr_swap_decode_longstring(b->sx, CORBA_flick_alloc, iiop);
            flick_iiop_decode_new_glob(2);
            flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
            flick_cdr_swap_decode_signed16(0, b->b);
            *c = CORBA_flick_alloc(sizeof(struct str ));
            flick_iiop_decode_end_chunk(2);
            flick_iiop_decode_end_glob(2);
            flick_cdr_swap_decode_string((*c)->s10, CORBA_flick_alloc, iiop, 10);
            flick_iiop_decode_new_glob(4);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_signed32(0, (*c)->a);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(4);
            flick_cdr_swap_decode_longstring((*c)->sx, CORBA_flick_alloc, iiop);
            flick_iiop_decode_new_glob(2);
            flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
            flick_cdr_swap_decode_signed16(0, (*c)->b);
            _return = CORBA_flick_alloc(sizeof(struct str ));
            flick_iiop_decode_end_chunk(2);
            flick_iiop_decode_end_glob(2);
            flick_cdr_swap_decode_string(_return->s10, CORBA_flick_alloc, iiop, 10);
            flick_iiop_decode_new_glob(4);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_signed32(0, _return->a);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(4);
            flick_cdr_swap_decode_longstring(_return->sx, CORBA_flick_alloc, iiop);
            flick_iiop_decode_new_glob(2);
            flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
            flick_cdr_swap_decode_signed16(0, _return->b);
            flick_iiop_decode_end_chunk(2);
            flick_iiop_decode_end_glob(2);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr_swap, iiop);
            flick_iiop_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(4);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(4);
            flick_cdr_decode_string(b->s10, CORBA_flick_alloc, iiop, 10);
            flick_iiop_decode_new_glob(4);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_signed32(0, b->a);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(4);
            flick_cdr_decode_longstring(b->sx, CORBA_flick_alloc, iiop);
            flick_iiop_decode_new_glob(2);
            flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
            flick_cdr_decode_signed16(0, b->b);
            *c = CORBA_flick_alloc(sizeof(struct str ));
            flick_iiop_decode_end_chunk(2);
            flick_iiop_decode_end_glob(2);
            flick_cdr_decode_string((*c)->s10, CORBA_flick_alloc, iiop, 10);
            flick_iiop_decode_new_glob(4);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_signed32(0, (*c)->a);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(4);
            flick_cdr_decode_longstring((*c)->sx, CORBA_flick_alloc, iiop);
            flick_iiop_decode_new_glob(2);
            flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
            flick_cdr_decode_signed16(0, (*c)->b);
            _return = CORBA_flick_alloc(sizeof(struct str ));
            flick_iiop_decode_end_chunk(2);
            flick_iiop_decode_end_glob(2);
            flick_cdr_decode_string(_return->s10, CORBA_flick_alloc, iiop, 10);
            flick_iiop_decode_new_glob(4);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_signed32(0, _return->a);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(4);
            flick_cdr_decode_longstring(_return->sx, CORBA_flick_alloc, iiop);
            flick_iiop_decode_new_glob(2);
            flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
            flick_cdr_decode_signed16(0, _return->b);
            flick_iiop_decode_end_chunk(2);
            flick_iiop_decode_end_glob(2);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr, iiop);
            flick_iiop_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(4);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

