#include "sequence_-client.h"

void flick_marshal_stub_seq(flick_marshal_stream_t _stream, const seq *_data)
{
  unsigned long int _t1_array_iter;

  flick_mach3mig_encode_new_glob(60);
  flick_mach3mig_encode_new_chunk(20);
  flick_mach3mig_encode_unsigned32(0, _data->_length);
  flick_mach3mig_array_encode_signed32_type(8, _data->_length * 1, 1, _long_type);
  flick_mach3mig_array_encode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_mach3mig_array_encode_new_chunk(4);
      flick_mach3mig_array_encode_signed32(0, _data->_buffer[_t1_array_iter]);
      flick_mach3mig_array_encode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_encode_bcopy(_data->_buffer, sizeof(long) * _data->_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_encode_end_glob(60);
}

void flick_unmarshal_stub_seq(flick_marshal_stream_t _stream, seq *_data)
{
  unsigned long int _t3_array_iter;

  flick_mach3mig_decode_new_glob(60);
  flick_mach3mig_decode_new_chunk(20);
  flick_mach3mig_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_mach3mig_array_decode_signed32_type(8, _data->_length, 1, _long_type);
  flick_mach3mig_array_decode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_mach3mig_array_decode_new_chunk(4);
      flick_mach3mig_array_decode_signed32(0, _data->_buffer[_t3_array_iter]);
      flick_mach3mig_array_decode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_decode_bcopy(_data->_buffer, sizeof(long) * _data->_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_decode_end_glob(60);
}

void flick_marshal_stub_TestSeq(flick_marshal_stream_t _stream, const TestSeq *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_port(0, *_data, 1);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_TestSeq(flick_marshal_stream_t _stream, TestSeq *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_port(0, *_data, 1);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

CORBA_short TestSeq_Sequencer(TestSeq _obj, seq *a, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  CORBA_short _return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    unsigned long int _t7_array_iter;

    flick_mach3mig_encode_new_glob(148);
    flick_mach3mig_encode_new_chunk(108);
    flick_mach3mig_encode_unsigned32(0, 10);
    flick_mach3mig_encode_char8(8, 'S');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 'q');
    flick_mach3mig_encode_char8(32, 'u');
    flick_mach3mig_encode_char8(40, 'e');
    flick_mach3mig_encode_char8(48, 'n');
    flick_mach3mig_encode_char8(56, 'c');
    flick_mach3mig_encode_char8(64, 'e');
    flick_mach3mig_encode_char8(72, 'r');
    flick_mach3mig_encode_char8(80, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_unsigned32(88, a->_length);
    flick_mach3mig_array_encode_signed32_type(96, a->_length * 1, 1, _long_type);
    flick_mach3mig_array_encode_end_chunk(108);
#if 0 /* We don't need to ever to bit translation */
    for (_t7_array_iter = 0; _t7_array_iter < a->_length; _t7_array_iter++)
      {
        flick_mach3mig_array_encode_new_chunk(4);
        flick_mach3mig_array_encode_signed32(0, a->_buffer[_t7_array_iter]);
        flick_mach3mig_array_encode_end_chunk(4);
      }
#else /* Always do a bcopy*/
    flick_mach3mig_array_encode_bcopy(a->_buffer, sizeof(long) * a->_length, mach3mig_array);
#endif /* bcopy? */
    flick_mach3mig_encode_end_glob(148);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t24_switch_tag;

    flick_mach3mig_decode_new_glob(172);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t24_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t24_switch_tag)
      {
      case (unsigned int) 11:
        {
          char _t25_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t25_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t25_switch_tag)
            {
            case '$':
              {
                char _t26_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t26_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t26_switch_tag)
                  {
                  case 'S':
                    {
                      char _t27_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t27_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t27_switch_tag)
                        {
                        case 'e':
                          {
                            char _t28_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t28_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t28_switch_tag)
                              {
                              case 'q':
                                {
                                  char _t29_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t29_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t29_switch_tag)
                                    {
                                    case 'u':
                                      {
                                        char _t30_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t30_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t30_switch_tag)
                                          {
                                          case 'e':
                                            {
                                              char _t31_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t31_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t31_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t32_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t32_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t32_switch_tag)
                                                      {
                                                      case 'c':
                                                        {
                                                          char _t33_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t33_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t33_switch_tag)
                                                            {
                                                            case 'e':
                                                              {
                                                                char _t34_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t34_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t34_switch_tag)
                                                                  {
                                                                  case 'r':
                                                                    {
                                                                      char _t35_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t35_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t35_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_ev->_major)
                                                                              {
                                                                              case CORBA_NO_EXCEPTION:
                                                                                {
                                                                                  unsigned long int _t39_array_iter;

                                                                                  /* Begin decode phase on parameters */
                                                                                  flick_mach3mig_decode_new_chunk(20);
                                                                                  flick_mach3mig_decode_unsigned32(0, a->_length);
                                                                                  a->_buffer = CORBA_flick_alloc(a->_length * sizeof(CORBA_long ));
                                                                                  flick_mach3mig_array_decode_signed32_type(8, a->_length, 1, _long_type);
                                                                                  flick_mach3mig_array_decode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
                                                                                  for (_t39_array_iter = 0; _t39_array_iter < a->_length; _t39_array_iter++)
                                                                                    {
                                                                                      flick_mach3mig_array_decode_new_chunk(4);
                                                                                      flick_mach3mig_array_decode_signed32(0, a->_buffer[_t39_array_iter]);
                                                                                      flick_mach3mig_array_decode_end_chunk(4);
                                                                                    }
#else /* Always do a bcopy*/
                                                                                  flick_mach3mig_array_decode_bcopy(a->_buffer, sizeof(long) * a->_length, mach3mig_array);
#endif /* bcopy? */
                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_signed16(0, _return);
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  break;
                                                                                }
                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                {
                                                                                  flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(172);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

