#include "corbastat-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;


	s.prog_num = _PROG_test;
	s.vers_num = _VERS_test;

	assert(flick_server_register(s, &test_server));


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_my_ulong_t(flick_marshal_stream_t _stream, const my_ulong_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_ulong_t(flick_marshal_stream_t _stream, my_ulong_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_dev_t(flick_marshal_stream_t _stream, const my_dev_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_dev_t(flick_marshal_stream_t _stream, my_dev_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_ino_t(flick_marshal_stream_t _stream, const my_ino_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_ino_t(flick_marshal_stream_t _stream, my_ino_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_mode_t(flick_marshal_stream_t _stream, const my_mode_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_mode_t(flick_marshal_stream_t _stream, my_mode_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_nlink_t(flick_marshal_stream_t _stream, const my_nlink_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_nlink_t(flick_marshal_stream_t _stream, my_nlink_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_uid_t(flick_marshal_stream_t _stream, const my_uid_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_uid_t(flick_marshal_stream_t _stream, my_uid_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_gid_t(flick_marshal_stream_t _stream, const my_gid_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_gid_t(flick_marshal_stream_t _stream, my_gid_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_off_t(flick_marshal_stream_t _stream, const my_off_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_off_t(flick_marshal_stream_t _stream, my_off_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_time_t(flick_marshal_stream_t _stream, const my_time_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_time_t(flick_marshal_stream_t _stream, my_time_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_timespec(flick_marshal_stream_t _stream, const struct my_timespec *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->my_tv_sec);
  flick_xdr_encode_signed32(4, _data->my_tv_nsec);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_my_timespec(flick_marshal_stream_t _stream, struct my_timespec *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->my_tv_sec);
  flick_xdr_decode_signed32(4, _data->my_tv_nsec);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_my_timestruc_t(flick_marshal_stream_t _stream, const my_timestruc_t *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->my_tv_sec);
  flick_xdr_encode_signed32(4, _data->my_tv_nsec);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_my_timestruc_t(flick_marshal_stream_t _stream, my_timestruc_t *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->my_tv_sec);
  flick_xdr_decode_signed32(4, _data->my_tv_nsec);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_test_my_stat(flick_marshal_stream_t _stream, const struct test_my_stat *_data)
{
  flick_unsigned8_t _t0_array_length;
  flick_unsigned8_t _t2_array_iter;
  flick_unsigned8_t _t3_array_length;
  flick_unsigned8_t _t5_array_iter;
  flick_unsigned8_t _t6_array_length;
  flick_unsigned8_t _t8_array_iter;
  flick_unsigned8_t _t9_array_length;
  flick_unsigned8_t _t11_array_iter;

  flick_suntcp_encode_new_glob(136);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->st_dev);
  _t0_array_length = 3;
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t2_array_iter = 0; _t2_array_iter < _t0_array_length; _t2_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->st_pad1[_t2_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->st_pad1, sizeof(long) * _t0_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk(24);
  flick_xdr_encode_unsigned32(0, _data->st_ino);
  flick_xdr_encode_unsigned32(4, _data->st_mode);
  flick_xdr_encode_unsigned32(8, _data->st_nlink);
  flick_xdr_encode_signed32(12, _data->st_uid);
  flick_xdr_encode_signed32(16, _data->st_gid);
  flick_xdr_encode_unsigned32(20, _data->st_rdev);
  _t3_array_length = 2;
  flick_suntcp_encode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t5_array_iter = 0; _t5_array_iter < _t3_array_length; _t5_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->st_pad2[_t5_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->st_pad2, sizeof(long) * _t3_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk(40);
  flick_xdr_encode_signed32(0, _data->st_size);
  flick_xdr_encode_signed32(4, _data->st_pad3);
  flick_xdr_encode_signed32(8, _data->st_atime.my_tv_sec);
  flick_xdr_encode_signed32(12, _data->st_atime.my_tv_nsec);
  flick_xdr_encode_signed32(16, _data->st_mtime.my_tv_sec);
  flick_xdr_encode_signed32(20, _data->st_mtime.my_tv_nsec);
  flick_xdr_encode_signed32(24, _data->st_ctime.my_tv_sec);
  flick_xdr_encode_signed32(28, _data->st_ctime.my_tv_nsec);
  flick_xdr_encode_signed32(32, _data->st_blksize);
  flick_xdr_encode_signed32(36, _data->st_blocks);
  _t6_array_length = 16;
  flick_suntcp_encode_end_chunk(40);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t8_array_iter = 0; _t8_array_iter < _t6_array_length; _t8_array_iter++)
    {
      flick_suntcp_encode_new_chunk(1);
      flick_xdr_encode_char8_packed(0, _data->st_fstype[_t8_array_iter]);
      flick_suntcp_encode_end_chunk(1);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->st_fstype, sizeof(char) * _t6_array_length, suntcp);
#endif /* ENDIANness */
  _t9_array_length = 8;
#if BYTE_ORDER != BIG_ENDIAN
  for (_t11_array_iter = 0; _t11_array_iter < _t9_array_length; _t11_array_iter++)
    {
      flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
      flick_xdr_encode_signed32(0, _data->st_pad4[_t11_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->st_pad4, sizeof(long) * _t9_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(136);
}

void flick_unmarshal_stub_test_my_stat(flick_marshal_stream_t _stream, struct test_my_stat *_data)
{
  flick_unsigned8_t _t12_array_length;
  flick_unsigned8_t _t14_array_iter;
  flick_unsigned8_t _t15_array_length;
  flick_unsigned8_t _t17_array_iter;
  flick_unsigned8_t _t18_array_length;
  flick_unsigned8_t _t20_array_iter;
  flick_unsigned8_t _t21_array_length;
  flick_unsigned8_t _t23_array_iter;

  flick_suntcp_decode_new_glob(136);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->st_dev);
  _t12_array_length = 3;
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t14_array_iter = 0; _t14_array_iter < _t12_array_length; _t14_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->st_pad1[_t14_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->st_pad1, sizeof(long) * _t12_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk(24);
  flick_xdr_decode_unsigned32(0, _data->st_ino);
  flick_xdr_decode_unsigned32(4, _data->st_mode);
  flick_xdr_decode_unsigned32(8, _data->st_nlink);
  flick_xdr_decode_signed32(12, _data->st_uid);
  flick_xdr_decode_signed32(16, _data->st_gid);
  flick_xdr_decode_unsigned32(20, _data->st_rdev);
  _t15_array_length = 2;
  flick_suntcp_decode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t17_array_iter = 0; _t17_array_iter < _t15_array_length; _t17_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->st_pad2[_t17_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->st_pad2, sizeof(long) * _t15_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk(40);
  flick_xdr_decode_signed32(0, _data->st_size);
  flick_xdr_decode_signed32(4, _data->st_pad3);
  flick_xdr_decode_signed32(8, _data->st_atime.my_tv_sec);
  flick_xdr_decode_signed32(12, _data->st_atime.my_tv_nsec);
  flick_xdr_decode_signed32(16, _data->st_mtime.my_tv_sec);
  flick_xdr_decode_signed32(20, _data->st_mtime.my_tv_nsec);
  flick_xdr_decode_signed32(24, _data->st_ctime.my_tv_sec);
  flick_xdr_decode_signed32(28, _data->st_ctime.my_tv_nsec);
  flick_xdr_decode_signed32(32, _data->st_blksize);
  flick_xdr_decode_signed32(36, _data->st_blocks);
  _t18_array_length = 16;
  flick_suntcp_decode_end_chunk(40);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t20_array_iter = 0; _t20_array_iter < _t18_array_length; _t20_array_iter++)
    {
      flick_suntcp_decode_new_chunk(1);
      flick_xdr_decode_char8_packed(0, _data->st_fstype[_t20_array_iter]);
      flick_suntcp_decode_end_chunk(1);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->st_fstype, sizeof(char) * _t18_array_length, suntcp);
#endif /* ENDIANness */
  _t21_array_length = 8;
#if BYTE_ORDER != BIG_ENDIAN
  for (_t23_array_iter = 0; _t23_array_iter < _t21_array_length; _t23_array_iter++)
    {
      flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
      flick_xdr_decode_signed32(0, _data->st_pad4[_t23_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->st_pad4, sizeof(long) * _t21_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(136);
}

void flick_marshal_stub_test_entry(flick_marshal_stream_t _stream, const struct test_entry *_data)
{
  flick_unsigned8_t _t24_array_length;
  flick_unsigned8_t _t26_array_iter;
  flick_unsigned8_t _t27_array_length;
  flick_unsigned8_t _t29_array_iter;
  flick_unsigned8_t _t30_array_length;
  flick_unsigned8_t _t32_array_iter;
  flick_unsigned8_t _t33_array_length;
  flick_unsigned8_t _t35_array_iter;

  flick_xdr_encode_string(_data->filename, CORBA_flick_free, suntcp, 255);
  flick_suntcp_encode_new_glob(136);
  flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
  flick_xdr_encode_unsigned32(0, _data->info.st_dev);
  _t24_array_length = 3;
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t26_array_iter = 0; _t26_array_iter < _t24_array_length; _t26_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->info.st_pad1[_t26_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->info.st_pad1, sizeof(long) * _t24_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk(24);
  flick_xdr_encode_unsigned32(0, _data->info.st_ino);
  flick_xdr_encode_unsigned32(4, _data->info.st_mode);
  flick_xdr_encode_unsigned32(8, _data->info.st_nlink);
  flick_xdr_encode_signed32(12, _data->info.st_uid);
  flick_xdr_encode_signed32(16, _data->info.st_gid);
  flick_xdr_encode_unsigned32(20, _data->info.st_rdev);
  _t27_array_length = 2;
  flick_suntcp_encode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t29_array_iter = 0; _t29_array_iter < _t27_array_length; _t29_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->info.st_pad2[_t29_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->info.st_pad2, sizeof(long) * _t27_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk(40);
  flick_xdr_encode_signed32(0, _data->info.st_size);
  flick_xdr_encode_signed32(4, _data->info.st_pad3);
  flick_xdr_encode_signed32(8, _data->info.st_atime.my_tv_sec);
  flick_xdr_encode_signed32(12, _data->info.st_atime.my_tv_nsec);
  flick_xdr_encode_signed32(16, _data->info.st_mtime.my_tv_sec);
  flick_xdr_encode_signed32(20, _data->info.st_mtime.my_tv_nsec);
  flick_xdr_encode_signed32(24, _data->info.st_ctime.my_tv_sec);
  flick_xdr_encode_signed32(28, _data->info.st_ctime.my_tv_nsec);
  flick_xdr_encode_signed32(32, _data->info.st_blksize);
  flick_xdr_encode_signed32(36, _data->info.st_blocks);
  _t30_array_length = 16;
  flick_suntcp_encode_end_chunk(40);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t32_array_iter = 0; _t32_array_iter < _t30_array_length; _t32_array_iter++)
    {
      flick_suntcp_encode_new_chunk(1);
      flick_xdr_encode_char8_packed(0, _data->info.st_fstype[_t32_array_iter]);
      flick_suntcp_encode_end_chunk(1);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->info.st_fstype, sizeof(char) * _t30_array_length, suntcp);
#endif /* ENDIANness */
  _t33_array_length = 8;
#if BYTE_ORDER != BIG_ENDIAN
  for (_t35_array_iter = 0; _t35_array_iter < _t33_array_length; _t35_array_iter++)
    {
      flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
      flick_xdr_encode_signed32(0, _data->info.st_pad4[_t35_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->info.st_pad4, sizeof(long) * _t33_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(136);
}

void flick_unmarshal_stub_test_entry(flick_marshal_stream_t _stream, struct test_entry *_data)
{
  flick_unsigned8_t _t36_array_length;
  flick_unsigned8_t _t38_array_iter;
  flick_unsigned8_t _t39_array_length;
  flick_unsigned8_t _t41_array_iter;
  flick_unsigned8_t _t42_array_length;
  flick_unsigned8_t _t44_array_iter;
  flick_unsigned8_t _t45_array_length;
  flick_unsigned8_t _t47_array_iter;

  flick_xdr_decode_string(_data->filename, CORBA_flick_alloc, suntcp, 255);
  flick_suntcp_decode_new_glob(136);
  flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
  flick_xdr_decode_unsigned32(0, _data->info.st_dev);
  _t36_array_length = 3;
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t38_array_iter = 0; _t38_array_iter < _t36_array_length; _t38_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->info.st_pad1[_t38_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->info.st_pad1, sizeof(long) * _t36_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk(24);
  flick_xdr_decode_unsigned32(0, _data->info.st_ino);
  flick_xdr_decode_unsigned32(4, _data->info.st_mode);
  flick_xdr_decode_unsigned32(8, _data->info.st_nlink);
  flick_xdr_decode_signed32(12, _data->info.st_uid);
  flick_xdr_decode_signed32(16, _data->info.st_gid);
  flick_xdr_decode_unsigned32(20, _data->info.st_rdev);
  _t39_array_length = 2;
  flick_suntcp_decode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t41_array_iter = 0; _t41_array_iter < _t39_array_length; _t41_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->info.st_pad2[_t41_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->info.st_pad2, sizeof(long) * _t39_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk(40);
  flick_xdr_decode_signed32(0, _data->info.st_size);
  flick_xdr_decode_signed32(4, _data->info.st_pad3);
  flick_xdr_decode_signed32(8, _data->info.st_atime.my_tv_sec);
  flick_xdr_decode_signed32(12, _data->info.st_atime.my_tv_nsec);
  flick_xdr_decode_signed32(16, _data->info.st_mtime.my_tv_sec);
  flick_xdr_decode_signed32(20, _data->info.st_mtime.my_tv_nsec);
  flick_xdr_decode_signed32(24, _data->info.st_ctime.my_tv_sec);
  flick_xdr_decode_signed32(28, _data->info.st_ctime.my_tv_nsec);
  flick_xdr_decode_signed32(32, _data->info.st_blksize);
  flick_xdr_decode_signed32(36, _data->info.st_blocks);
  _t42_array_length = 16;
  flick_suntcp_decode_end_chunk(40);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t44_array_iter = 0; _t44_array_iter < _t42_array_length; _t44_array_iter++)
    {
      flick_suntcp_decode_new_chunk(1);
      flick_xdr_decode_char8_packed(0, _data->info.st_fstype[_t44_array_iter]);
      flick_suntcp_decode_end_chunk(1);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->info.st_fstype, sizeof(char) * _t42_array_length, suntcp);
#endif /* ENDIANness */
  _t45_array_length = 8;
#if BYTE_ORDER != BIG_ENDIAN
  for (_t47_array_iter = 0; _t47_array_iter < _t45_array_length; _t47_array_iter++)
    {
      flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
      flick_xdr_decode_signed32(0, _data->info.st_pad4[_t47_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->info.st_pad4, sizeof(long) * _t45_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(136);
}

void flick_marshal_stub_test_inner(flick_marshal_stream_t _stream, const struct test_inner *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->a);
  flick_xdr_encode_signed32(4, _data->b);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_test_inner(flick_marshal_stream_t _stream, struct test_inner *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->a);
  flick_xdr_decode_signed32(4, _data->b);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_test_outer(flick_marshal_stream_t _stream, const struct test_outer *_data)
{
  flick_suntcp_encode_new_glob(16);
  flick_suntcp_encode_new_chunk(16);
  flick_xdr_encode_signed32(0, _data->a.a);
  flick_xdr_encode_signed32(4, _data->a.b);
  flick_xdr_encode_signed32(8, _data->b.a);
  flick_xdr_encode_signed32(12, _data->b.b);
  flick_suntcp_encode_end_chunk(16);
  flick_suntcp_encode_end_glob(16);
}

void flick_unmarshal_stub_test_outer(flick_marshal_stream_t _stream, struct test_outer *_data)
{
  flick_suntcp_decode_new_glob(16);
  flick_suntcp_decode_new_chunk(16);
  flick_xdr_decode_signed32(0, _data->a.a);
  flick_xdr_decode_signed32(4, _data->a.b);
  flick_xdr_decode_signed32(8, _data->b.a);
  flick_xdr_decode_signed32(12, _data->b.b);
  flick_suntcp_decode_end_chunk(16);
  flick_suntcp_decode_end_glob(16);
}

void flick_marshal_stub_test_directory(flick_marshal_stream_t _stream, const test_directory *_data)
{
  unsigned long int _t73_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  for (_t73_array_iter = 0; _t73_array_iter < _data->_length; _t73_array_iter++)
    {
      flick_unsigned8_t _t86_array_length;
      flick_unsigned8_t _t88_array_iter;
      flick_unsigned8_t _t89_array_length;
      flick_unsigned8_t _t91_array_iter;
      flick_unsigned8_t _t92_array_length;
      flick_unsigned8_t _t94_array_iter;
      flick_unsigned8_t _t95_array_length;
      flick_unsigned8_t _t97_array_iter;

      flick_xdr_encode_string(_data->_buffer[_t73_array_iter].filename, CORBA_flick_free, suntcp, 255);
      flick_suntcp_encode_new_glob(136);
      flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
      flick_xdr_encode_unsigned32(0, _data->_buffer[_t73_array_iter].info.st_dev);
      _t86_array_length = 3;
      flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t88_array_iter = 0; _t88_array_iter < _t86_array_length; _t88_array_iter++)
        {
          flick_suntcp_encode_new_chunk(4);
          flick_xdr_encode_signed32(0, _data->_buffer[_t73_array_iter].info.st_pad1[_t88_array_iter]);
          flick_suntcp_encode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_xdr_encode_bcopy(_data->_buffer[_t73_array_iter].info.st_pad1, sizeof(long) * _t86_array_length, suntcp);
#endif /* ENDIANness */
      flick_suntcp_encode_new_chunk(24);
      flick_xdr_encode_unsigned32(0, _data->_buffer[_t73_array_iter].info.st_ino);
      flick_xdr_encode_unsigned32(4, _data->_buffer[_t73_array_iter].info.st_mode);
      flick_xdr_encode_unsigned32(8, _data->_buffer[_t73_array_iter].info.st_nlink);
      flick_xdr_encode_signed32(12, _data->_buffer[_t73_array_iter].info.st_uid);
      flick_xdr_encode_signed32(16, _data->_buffer[_t73_array_iter].info.st_gid);
      flick_xdr_encode_unsigned32(20, _data->_buffer[_t73_array_iter].info.st_rdev);
      _t89_array_length = 2;
      flick_suntcp_encode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t91_array_iter = 0; _t91_array_iter < _t89_array_length; _t91_array_iter++)
        {
          flick_suntcp_encode_new_chunk(4);
          flick_xdr_encode_signed32(0, _data->_buffer[_t73_array_iter].info.st_pad2[_t91_array_iter]);
          flick_suntcp_encode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_xdr_encode_bcopy(_data->_buffer[_t73_array_iter].info.st_pad2, sizeof(long) * _t89_array_length, suntcp);
#endif /* ENDIANness */
      flick_suntcp_encode_new_chunk(40);
      flick_xdr_encode_signed32(0, _data->_buffer[_t73_array_iter].info.st_size);
      flick_xdr_encode_signed32(4, _data->_buffer[_t73_array_iter].info.st_pad3);
      flick_xdr_encode_signed32(8, _data->_buffer[_t73_array_iter].info.st_atime.my_tv_sec);
      flick_xdr_encode_signed32(12, _data->_buffer[_t73_array_iter].info.st_atime.my_tv_nsec);
      flick_xdr_encode_signed32(16, _data->_buffer[_t73_array_iter].info.st_mtime.my_tv_sec);
      flick_xdr_encode_signed32(20, _data->_buffer[_t73_array_iter].info.st_mtime.my_tv_nsec);
      flick_xdr_encode_signed32(24, _data->_buffer[_t73_array_iter].info.st_ctime.my_tv_sec);
      flick_xdr_encode_signed32(28, _data->_buffer[_t73_array_iter].info.st_ctime.my_tv_nsec);
      flick_xdr_encode_signed32(32, _data->_buffer[_t73_array_iter].info.st_blksize);
      flick_xdr_encode_signed32(36, _data->_buffer[_t73_array_iter].info.st_blocks);
      _t92_array_length = 16;
      flick_suntcp_encode_end_chunk(40);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t94_array_iter = 0; _t94_array_iter < _t92_array_length; _t94_array_iter++)
        {
          flick_suntcp_encode_new_chunk(1);
          flick_xdr_encode_char8_packed(0, _data->_buffer[_t73_array_iter].info.st_fstype[_t94_array_iter]);
          flick_suntcp_encode_end_chunk(1);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_xdr_encode_bcopy(_data->_buffer[_t73_array_iter].info.st_fstype, sizeof(char) * _t92_array_length, suntcp);
#endif /* ENDIANness */
      _t95_array_length = 8;
#if BYTE_ORDER != BIG_ENDIAN
      for (_t97_array_iter = 0; _t97_array_iter < _t95_array_length; _t97_array_iter++)
        {
          flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
          flick_xdr_encode_signed32(0, _data->_buffer[_t73_array_iter].info.st_pad4[_t97_array_iter]);
          flick_suntcp_encode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_xdr_encode_bcopy(_data->_buffer[_t73_array_iter].info.st_pad4, sizeof(long) * _t95_array_length, suntcp);
#endif /* ENDIANness */
      flick_suntcp_encode_end_glob(136);
    }
  CORBA_flick_free(_data->_buffer);
}

void flick_unmarshal_stub_test_directory(flick_marshal_stream_t _stream, test_directory *_data)
{
  unsigned long int _t123_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(struct test_entry ));
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  for (_t123_array_iter = 0; _t123_array_iter < _data->_length; _t123_array_iter++)
    {
      flick_unsigned8_t _t136_array_length;
      flick_unsigned8_t _t138_array_iter;
      flick_unsigned8_t _t139_array_length;
      flick_unsigned8_t _t141_array_iter;
      flick_unsigned8_t _t142_array_length;
      flick_unsigned8_t _t144_array_iter;
      flick_unsigned8_t _t145_array_length;
      flick_unsigned8_t _t147_array_iter;

      flick_xdr_decode_string(_data->_buffer[_t123_array_iter].filename, CORBA_flick_alloc, suntcp, 255);
      flick_suntcp_decode_new_glob(136);
      flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
      flick_xdr_decode_unsigned32(0, _data->_buffer[_t123_array_iter].info.st_dev);
      _t136_array_length = 3;
      flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t138_array_iter = 0; _t138_array_iter < _t136_array_length; _t138_array_iter++)
        {
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_signed32(0, _data->_buffer[_t123_array_iter].info.st_pad1[_t138_array_iter]);
          flick_suntcp_decode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_xdr_decode_bcopy(_data->_buffer[_t123_array_iter].info.st_pad1, sizeof(long) * _t136_array_length, suntcp);
#endif /* ENDIANness */
      flick_suntcp_decode_new_chunk(24);
      flick_xdr_decode_unsigned32(0, _data->_buffer[_t123_array_iter].info.st_ino);
      flick_xdr_decode_unsigned32(4, _data->_buffer[_t123_array_iter].info.st_mode);
      flick_xdr_decode_unsigned32(8, _data->_buffer[_t123_array_iter].info.st_nlink);
      flick_xdr_decode_signed32(12, _data->_buffer[_t123_array_iter].info.st_uid);
      flick_xdr_decode_signed32(16, _data->_buffer[_t123_array_iter].info.st_gid);
      flick_xdr_decode_unsigned32(20, _data->_buffer[_t123_array_iter].info.st_rdev);
      _t139_array_length = 2;
      flick_suntcp_decode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t141_array_iter = 0; _t141_array_iter < _t139_array_length; _t141_array_iter++)
        {
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_signed32(0, _data->_buffer[_t123_array_iter].info.st_pad2[_t141_array_iter]);
          flick_suntcp_decode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_xdr_decode_bcopy(_data->_buffer[_t123_array_iter].info.st_pad2, sizeof(long) * _t139_array_length, suntcp);
#endif /* ENDIANness */
      flick_suntcp_decode_new_chunk(40);
      flick_xdr_decode_signed32(0, _data->_buffer[_t123_array_iter].info.st_size);
      flick_xdr_decode_signed32(4, _data->_buffer[_t123_array_iter].info.st_pad3);
      flick_xdr_decode_signed32(8, _data->_buffer[_t123_array_iter].info.st_atime.my_tv_sec);
      flick_xdr_decode_signed32(12, _data->_buffer[_t123_array_iter].info.st_atime.my_tv_nsec);
      flick_xdr_decode_signed32(16, _data->_buffer[_t123_array_iter].info.st_mtime.my_tv_sec);
      flick_xdr_decode_signed32(20, _data->_buffer[_t123_array_iter].info.st_mtime.my_tv_nsec);
      flick_xdr_decode_signed32(24, _data->_buffer[_t123_array_iter].info.st_ctime.my_tv_sec);
      flick_xdr_decode_signed32(28, _data->_buffer[_t123_array_iter].info.st_ctime.my_tv_nsec);
      flick_xdr_decode_signed32(32, _data->_buffer[_t123_array_iter].info.st_blksize);
      flick_xdr_decode_signed32(36, _data->_buffer[_t123_array_iter].info.st_blocks);
      _t142_array_length = 16;
      flick_suntcp_decode_end_chunk(40);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t144_array_iter = 0; _t144_array_iter < _t142_array_length; _t144_array_iter++)
        {
          flick_suntcp_decode_new_chunk(1);
          flick_xdr_decode_char8_packed(0, _data->_buffer[_t123_array_iter].info.st_fstype[_t144_array_iter]);
          flick_suntcp_decode_end_chunk(1);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_xdr_decode_bcopy(_data->_buffer[_t123_array_iter].info.st_fstype, sizeof(char) * _t142_array_length, suntcp);
#endif /* ENDIANness */
      _t145_array_length = 8;
#if BYTE_ORDER != BIG_ENDIAN
      for (_t147_array_iter = 0; _t147_array_iter < _t145_array_length; _t147_array_iter++)
        {
          flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
          flick_xdr_decode_signed32(0, _data->_buffer[_t123_array_iter].info.st_pad4[_t147_array_iter]);
          flick_suntcp_decode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_xdr_decode_bcopy(_data->_buffer[_t123_array_iter].info.st_pad4, sizeof(long) * _t145_array_length, suntcp);
#endif /* ENDIANness */
      flick_suntcp_decode_end_glob(136);
    }
}

void flick_marshal_stub_test_longlist(flick_marshal_stream_t _stream, const test_longlist *_data)
{
  unsigned long int _t149_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(4 * _data->_length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t149_array_iter = 0; _t149_array_iter < _data->_length; _t149_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->_buffer[_t149_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->_buffer, sizeof(long) * _data->_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * _data->_length);
  CORBA_flick_free(_data->_buffer);
}

void flick_unmarshal_stub_test_longlist(flick_marshal_stream_t _stream, test_longlist *_data)
{
  unsigned long int _t151_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(4 * _data->_length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t151_array_iter = 0; _t151_array_iter < _data->_length; _t151_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->_buffer[_t151_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->_buffer, sizeof(long) * _data->_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _data->_length);
}

void flick_marshal_stub_test_structlist(flick_marshal_stream_t _stream, const test_structlist *_data)
{
  unsigned long int _t153_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(16 * _data->_length);
  for (_t153_array_iter = 0; _t153_array_iter < _data->_length; _t153_array_iter++)
    {
      flick_suntcp_encode_new_chunk(16);
      flick_xdr_encode_signed32(0, _data->_buffer[_t153_array_iter].a.a);
      flick_xdr_encode_signed32(4, _data->_buffer[_t153_array_iter].a.b);
      flick_xdr_encode_signed32(8, _data->_buffer[_t153_array_iter].b.a);
      flick_xdr_encode_signed32(12, _data->_buffer[_t153_array_iter].b.b);
      flick_suntcp_encode_end_chunk(16);
    }
  flick_suntcp_encode_end_glob(16 * _data->_length);
  CORBA_flick_free(_data->_buffer);
}

void flick_unmarshal_stub_test_structlist(flick_marshal_stream_t _stream, test_structlist *_data)
{
  unsigned long int _t155_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(struct test_outer ));
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(16 * _data->_length);
  for (_t155_array_iter = 0; _t155_array_iter < _data->_length; _t155_array_iter++)
    {
      flick_suntcp_decode_new_chunk(16);
      flick_xdr_decode_signed32(0, _data->_buffer[_t155_array_iter].a.a);
      flick_xdr_decode_signed32(4, _data->_buffer[_t155_array_iter].a.b);
      flick_xdr_decode_signed32(8, _data->_buffer[_t155_array_iter].b.a);
      flick_xdr_decode_signed32(12, _data->_buffer[_t155_array_iter].b.b);
      flick_suntcp_decode_end_chunk(16);
    }
  flick_suntcp_decode_end_glob(16 * _data->_length);
}

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int test_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t233_switch_tag;

    flick_suntcp_decode_new_glob(48);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t233_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t233_switch_tag)
      {
      case (unsigned int) 4:
        {
          char _t234_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t234_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t234_switch_tag)
            {
            case 'd':
              {
                char _t235_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t235_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t235_switch_tag)
                  {
                  case 'i':
                    {
                      char _t236_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t236_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t236_switch_tag)
                        {
                        case 'r':
                          {
                            char _t237_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t237_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t237_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    test _obj;
                                    test_directory *_local_entries;
                                    CORBA_Environment *_ev;
                                    CORBA_long _return = 0;
                                    CORBA_Environment _t238_storage;
                                    unsigned int _t239_ignore;
                                    test_directory _t240_storage;
                                    unsigned long int _t266_array_iter;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    _ev = &_t238_storage;
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(20);
                                    flick_xdr_decode_unsigned32(0, _t239_ignore);
                                    flick_xdr_decode_unsigned32(4, _t239_ignore);
                                    flick_xdr_decode_unsigned32(8, _t239_ignore);
                                    flick_xdr_decode_unsigned32(12, _t239_ignore);
                                    _local_entries = &_t240_storage;
                                    flick_xdr_decode_unsigned32(16, _local_entries->_length);
                                    _local_entries->_buffer = auto_flick_alloc(_local_entries->_length * sizeof(struct test_entry ));
                                    flick_suntcp_decode_end_chunk(20);
                                    flick_suntcp_decode_end_glob(48);
                                    for (_t266_array_iter = 0; _t266_array_iter < _local_entries->_length; _t266_array_iter++)
                                      {
                                        flick_unsigned8_t _t279_array_length;
                                        flick_unsigned8_t _t281_array_iter;
                                        flick_unsigned8_t _t282_array_length;
                                        flick_unsigned8_t _t284_array_iter;
                                        flick_unsigned8_t _t285_array_length;
                                        flick_unsigned8_t _t287_array_iter;
                                        flick_unsigned8_t _t288_array_length;
                                        flick_unsigned8_t _t290_array_iter;

                                        flick_xdr_decode_auto_string(_local_entries->_buffer[_t266_array_iter].filename, auto_flick_alloc, suntcp);
                                        flick_suntcp_decode_new_glob(136);
                                        flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
                                        flick_xdr_decode_unsigned32(0, _local_entries->_buffer[_t266_array_iter].info.st_dev);
                                        _t279_array_length = 3;
                                        flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                                        for (_t281_array_iter = 0; _t281_array_iter < _t279_array_length; _t281_array_iter++)
                                          {
                                            flick_suntcp_decode_new_chunk(4);
                                            flick_xdr_decode_signed32(0, _local_entries->_buffer[_t266_array_iter].info.st_pad1[_t281_array_iter]);
                                            flick_suntcp_decode_end_chunk(4);
                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                        flick_xdr_decode_bcopy(_local_entries->_buffer[_t266_array_iter].info.st_pad1, sizeof(long) * _t279_array_length, suntcp);
#endif /* ENDIANness */
                                        flick_suntcp_decode_new_chunk(24);
                                        flick_xdr_decode_unsigned32(0, _local_entries->_buffer[_t266_array_iter].info.st_ino);
                                        flick_xdr_decode_unsigned32(4, _local_entries->_buffer[_t266_array_iter].info.st_mode);
                                        flick_xdr_decode_unsigned32(8, _local_entries->_buffer[_t266_array_iter].info.st_nlink);
                                        flick_xdr_decode_signed32(12, _local_entries->_buffer[_t266_array_iter].info.st_uid);
                                        flick_xdr_decode_signed32(16, _local_entries->_buffer[_t266_array_iter].info.st_gid);
                                        flick_xdr_decode_unsigned32(20, _local_entries->_buffer[_t266_array_iter].info.st_rdev);
                                        _t282_array_length = 2;
                                        flick_suntcp_decode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
                                        for (_t284_array_iter = 0; _t284_array_iter < _t282_array_length; _t284_array_iter++)
                                          {
                                            flick_suntcp_decode_new_chunk(4);
                                            flick_xdr_decode_signed32(0, _local_entries->_buffer[_t266_array_iter].info.st_pad2[_t284_array_iter]);
                                            flick_suntcp_decode_end_chunk(4);
                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                        flick_xdr_decode_bcopy(_local_entries->_buffer[_t266_array_iter].info.st_pad2, sizeof(long) * _t282_array_length, suntcp);
#endif /* ENDIANness */
                                        flick_suntcp_decode_new_chunk(40);
                                        flick_xdr_decode_signed32(0, _local_entries->_buffer[_t266_array_iter].info.st_size);
                                        flick_xdr_decode_signed32(4, _local_entries->_buffer[_t266_array_iter].info.st_pad3);
                                        flick_xdr_decode_signed32(8, _local_entries->_buffer[_t266_array_iter].info.st_atime.my_tv_sec);
                                        flick_xdr_decode_signed32(12, _local_entries->_buffer[_t266_array_iter].info.st_atime.my_tv_nsec);
                                        flick_xdr_decode_signed32(16, _local_entries->_buffer[_t266_array_iter].info.st_mtime.my_tv_sec);
                                        flick_xdr_decode_signed32(20, _local_entries->_buffer[_t266_array_iter].info.st_mtime.my_tv_nsec);
                                        flick_xdr_decode_signed32(24, _local_entries->_buffer[_t266_array_iter].info.st_ctime.my_tv_sec);
                                        flick_xdr_decode_signed32(28, _local_entries->_buffer[_t266_array_iter].info.st_ctime.my_tv_nsec);
                                        flick_xdr_decode_signed32(32, _local_entries->_buffer[_t266_array_iter].info.st_blksize);
                                        flick_xdr_decode_signed32(36, _local_entries->_buffer[_t266_array_iter].info.st_blocks);
                                        _t285_array_length = 16;
                                        flick_suntcp_decode_end_chunk(40);
#if BYTE_ORDER != BIG_ENDIAN
                                        for (_t287_array_iter = 0; _t287_array_iter < _t285_array_length; _t287_array_iter++)
                                          {
                                            flick_suntcp_decode_new_chunk(1);
                                            flick_xdr_decode_char8_packed(0, _local_entries->_buffer[_t266_array_iter].info.st_fstype[_t287_array_iter]);
                                            flick_suntcp_decode_end_chunk(1);
                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                        flick_xdr_decode_bcopy(_local_entries->_buffer[_t266_array_iter].info.st_fstype, sizeof(char) * _t285_array_length, suntcp);
#endif /* ENDIANness */
                                        _t288_array_length = 8;
#if BYTE_ORDER != BIG_ENDIAN
                                        for (_t290_array_iter = 0; _t290_array_iter < _t288_array_length; _t290_array_iter++)
                                          {
                                            flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
                                            flick_xdr_decode_signed32(0, _local_entries->_buffer[_t266_array_iter].info.st_pad4[_t290_array_iter]);
                                            flick_suntcp_decode_end_chunk(4);
                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                        flick_xdr_decode_bcopy(_local_entries->_buffer[_t266_array_iter].info.st_pad4, sizeof(long) * _t288_array_length, suntcp);
#endif /* ENDIANness */
                                        flick_suntcp_decode_end_glob(136);
                                      }
                                    flick_corba_init_environment();
                                    _return = test_dir(_obj, _local_entries, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(8);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(4);
                                          flick_xdr_encode_signed32(0, _return);
                                          flick_suntcp_encode_end_chunk(4);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(8);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(48);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(48);
                      break;
                    }
                  }
                break;
              }
            case 'l':
              {
                char _t291_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t291_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t291_switch_tag)
                  {
                  case 'n':
                    {
                      char _t292_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t292_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t292_switch_tag)
                        {
                        case 'g':
                          {
                            char _t293_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t293_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t293_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    test _obj;
                                    test_longlist *_local_entries;
                                    CORBA_Environment *_ev;
                                    CORBA_long _return = 0;
                                    CORBA_Environment _t294_storage;
                                    unsigned int _t295_ignore;
                                    test_longlist _t296_storage;
                                    unsigned long int _t298_array_iter;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    _ev = &_t294_storage;
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(20);
                                    flick_xdr_decode_unsigned32(0, _t295_ignore);
                                    flick_xdr_decode_unsigned32(4, _t295_ignore);
                                    flick_xdr_decode_unsigned32(8, _t295_ignore);
                                    flick_xdr_decode_unsigned32(12, _t295_ignore);
                                    _local_entries = &_t296_storage;
                                    flick_xdr_decode_unsigned32(16, _local_entries->_length);
                                    _local_entries->_buffer = auto_flick_alloc(_local_entries->_length * sizeof(CORBA_long ));
                                    flick_suntcp_decode_end_chunk(20);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_suntcp_decode_new_glob(4 * _local_entries->_length);
#if BYTE_ORDER != BIG_ENDIAN
                                    for (_t298_array_iter = 0; _t298_array_iter < _local_entries->_length; _t298_array_iter++)
                                      {
                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_signed32(0, _local_entries->_buffer[_t298_array_iter]);
                                        flick_suntcp_decode_end_chunk(4);
                                      }
#else /* BIG_ENDIAN - do a bcopy*/
                                    flick_xdr_decode_bcopy(_local_entries->_buffer, sizeof(long) * _local_entries->_length, suntcp);
#endif /* ENDIANness */
                                    flick_suntcp_decode_end_glob(4 * _local_entries->_length);
                                    flick_corba_init_environment();
                                    _return = test_lng(_obj, _local_entries, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(8);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(4);
                                          flick_xdr_encode_signed32(0, _return);
                                          flick_suntcp_encode_end_chunk(4);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(8);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(48);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(48);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(48);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          char _t299_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t299_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t299_switch_tag)
            {
            case 's':
              {
                char _t300_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t300_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t300_switch_tag)
                  {
                  case 't':
                    {
                      char _t301_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t301_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t301_switch_tag)
                        {
                        case 'r':
                          {
                            char _t302_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t302_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t302_switch_tag)
                              {
                              case 'c':
                                {
                                  char _t303_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t303_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t303_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t304_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t304_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t304_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                test _obj;
                                                test_structlist *_local_entries;
                                                CORBA_Environment *_ev;
                                                CORBA_long _return = 0;
                                                CORBA_Environment _t305_storage;
                                                unsigned int _t306_ignore;
                                                test_structlist _t307_storage;
                                                unsigned long int _t309_array_iter;

                                                {
                                                  flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                }
                                                _ev = &_t305_storage;
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(20);
                                                flick_xdr_decode_unsigned32(0, _t306_ignore);
                                                flick_xdr_decode_unsigned32(4, _t306_ignore);
                                                flick_xdr_decode_unsigned32(8, _t306_ignore);
                                                flick_xdr_decode_unsigned32(12, _t306_ignore);
                                                _local_entries = &_t307_storage;
                                                flick_xdr_decode_unsigned32(16, _local_entries->_length);
                                                _local_entries->_buffer = auto_flick_alloc(_local_entries->_length * sizeof(struct test_outer ));
                                                flick_suntcp_decode_end_chunk(20);
                                                flick_suntcp_decode_end_glob(48);
                                                flick_suntcp_decode_new_glob(16 * _local_entries->_length);
                                                for (_t309_array_iter = 0; _t309_array_iter < _local_entries->_length; _t309_array_iter++)
                                                  {
                                                    flick_suntcp_decode_new_chunk(16);
                                                    flick_xdr_decode_signed32(0, _local_entries->_buffer[_t309_array_iter].a.a);
                                                    flick_xdr_decode_signed32(4, _local_entries->_buffer[_t309_array_iter].a.b);
                                                    flick_xdr_decode_signed32(8, _local_entries->_buffer[_t309_array_iter].b.a);
                                                    flick_xdr_decode_signed32(12, _local_entries->_buffer[_t309_array_iter].b.b);
                                                    flick_suntcp_decode_end_chunk(16);
                                                  }
                                                flick_suntcp_decode_end_glob(16 * _local_entries->_length);
                                                flick_corba_init_environment();
                                                _return = test_strct(_obj, _local_entries, _ev);
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                }
                                                flick_suntcp_encode_new_glob(8);
                                                flick_suntcp_encode_new_chunk(4);
                                                flick_xdr_encode_signed32(0, _ev->_major);
                                                flick_suntcp_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      flick_suntcp_encode_new_chunk(4);
                                                      flick_xdr_encode_signed32(0, _return);
                                                      flick_suntcp_encode_end_chunk(4);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                    }
                                                  }
                                                flick_suntcp_encode_end_glob(8);
                                                flick_suntcp_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(48);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(48);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(48);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(48);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(48);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(48);
          break;
        }
      }
  }
  return 0;
}
