#include "program-3-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;


	s.prog_num = prog;
	s.vers_num = two;

	assert(flick_server_register(s, &prog_2));


	s.prog_num = prog;
	s.vers_num = one;

	assert(flick_server_register(s, &prog_1));


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int prog_1(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    signed int _t3_switch_tag;

    flick_suntcp_decode_new_glob(20);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_signed32(0, _t3_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t3_switch_tag)
      {
      case (signed int) 10:
        {
          {
            char **_local_arg;
            struct svc_req *_obj;
            char **_return = 0;
            unsigned int _t4_ignore;
            char *_t5_storage;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(16);
            flick_xdr_decode_unsigned32(0, _t4_ignore);
            flick_xdr_decode_unsigned32(4, _t4_ignore);
            flick_xdr_decode_unsigned32(8, _t4_ignore);
            flick_xdr_decode_unsigned32(12, _t4_ignore);
            _local_arg = &_t5_storage;
            flick_suntcp_decode_end_chunk(16);
            flick_suntcp_decode_end_glob(20);
            flick_xdr_decode_auto_string(*_local_arg, auto_flick_alloc, suntcp);
            flick_sun_init_environment();
            _return = op_1(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(4);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_end_glob(4);
                  flick_xdr_encode_longstring(*_return, null_flick_free, suntcp);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  flick_suntcp_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                  flick_suntcp_encode_end_glob(4);
                }
              }
            flick_suntcp_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(20);
          break;
        }
      }
  }
  return 0;
}
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int prog_2(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    signed int _t9_switch_tag;

    flick_suntcp_decode_new_glob(20);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_signed32(0, _t9_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t9_switch_tag)
      {
      case (signed int) 10:
        {
          {
            char **_local_arg;
            struct svc_req *_obj;
            char **_return = 0;
            unsigned int _t10_ignore;
            char *_t11_storage;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(16);
            flick_xdr_decode_unsigned32(0, _t10_ignore);
            flick_xdr_decode_unsigned32(4, _t10_ignore);
            flick_xdr_decode_unsigned32(8, _t10_ignore);
            flick_xdr_decode_unsigned32(12, _t10_ignore);
            _local_arg = &_t11_storage;
            flick_suntcp_decode_end_chunk(16);
            flick_suntcp_decode_end_glob(20);
            flick_xdr_decode_auto_string(*_local_arg, auto_flick_alloc, suntcp);
            flick_sun_init_environment();
            _return = op_2(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(4);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_end_glob(4);
                  flick_xdr_encode_longstring(*_return, null_flick_free, suntcp);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  flick_suntcp_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                  flick_suntcp_encode_end_glob(4);
                }
              }
            flick_suntcp_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(20);
          break;
        }
      }
  }
  return 0;
}
