#include "program-4-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;


	s.prog_num = math;
	s.vers_num = one;

	assert(flick_server_register(s, &math_1));


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_short_short(flick_marshal_stream_t _stream, const struct short_short *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed16(0, _data->a);
  flick_xdr_encode_signed16(4, _data->b);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_short_short(flick_marshal_stream_t _stream, struct short_short *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed16(0, _data->a);
  flick_xdr_decode_signed16(4, _data->b);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_long_long(flick_marshal_stream_t _stream, const struct long_long *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->a);
  flick_xdr_encode_signed32(4, _data->b);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_long_long(flick_marshal_stream_t _stream, struct long_long *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->a);
  flick_xdr_decode_signed32(4, _data->b);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_long_list(flick_marshal_stream_t _stream, const long_list *_data)
{
  unsigned long int _t1_array_iter;

  flick_suntcp_encode_new_glob(44);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->long_list_len);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t1_array_iter = 0; _t1_array_iter < _data->long_list_len; _t1_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->long_list_val[_t1_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->long_list_val, sizeof(long) * _data->long_list_len, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(44);
}

void flick_unmarshal_stub_long_list(flick_marshal_stream_t _stream, long_list *_data)
{
  unsigned long int _t3_array_iter;

  flick_suntcp_decode_new_glob(44);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->long_list_len);
  _data->long_list_val = sun_flick_alloc(_data->long_list_len * sizeof(int ));
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t3_array_iter = 0; _t3_array_iter < _data->long_list_len; _t3_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->long_list_val[_t3_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->long_list_val, sizeof(long) * _data->long_list_len, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(44);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int math_1(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    signed int _t25_switch_tag;

    flick_suntcp_decode_new_glob(64);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_signed32(0, _t25_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t25_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct short_short *_local_arg;
            struct svc_req *_obj;
            short int *_return = 0;
            unsigned int _t26_ignore;
            struct short_short _t27_storage;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(24);
            flick_xdr_decode_unsigned32(0, _t26_ignore);
            flick_xdr_decode_unsigned32(4, _t26_ignore);
            flick_xdr_decode_unsigned32(8, _t26_ignore);
            flick_xdr_decode_unsigned32(12, _t26_ignore);
            _local_arg = &_t27_storage;
            flick_xdr_decode_signed16(16, _local_arg->a);
            flick_xdr_decode_signed16(20, _local_arg->b);
            flick_suntcp_decode_end_chunk(24);
            flick_suntcp_decode_end_glob(64);
            flick_sun_init_environment();
            _return = addshort_1(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed16(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                }
              }
            flick_suntcp_encode_end_glob(8);
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 2:
        {
          {
            struct short_short *_local_arg;
            struct svc_req *_obj;
            short int *_return = 0;
            unsigned int _t28_ignore;
            struct short_short _t29_storage;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(24);
            flick_xdr_decode_unsigned32(0, _t28_ignore);
            flick_xdr_decode_unsigned32(4, _t28_ignore);
            flick_xdr_decode_unsigned32(8, _t28_ignore);
            flick_xdr_decode_unsigned32(12, _t28_ignore);
            _local_arg = &_t29_storage;
            flick_xdr_decode_signed16(16, _local_arg->a);
            flick_xdr_decode_signed16(20, _local_arg->b);
            flick_suntcp_decode_end_chunk(24);
            flick_suntcp_decode_end_glob(64);
            flick_sun_init_environment();
            _return = subshort_1(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed16(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                }
              }
            flick_suntcp_encode_end_glob(8);
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 3:
        {
          {
            struct short_short *_local_arg;
            struct svc_req *_obj;
            short int *_return = 0;
            unsigned int _t30_ignore;
            struct short_short _t31_storage;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(24);
            flick_xdr_decode_unsigned32(0, _t30_ignore);
            flick_xdr_decode_unsigned32(4, _t30_ignore);
            flick_xdr_decode_unsigned32(8, _t30_ignore);
            flick_xdr_decode_unsigned32(12, _t30_ignore);
            _local_arg = &_t31_storage;
            flick_xdr_decode_signed16(16, _local_arg->a);
            flick_xdr_decode_signed16(20, _local_arg->b);
            flick_suntcp_decode_end_chunk(24);
            flick_suntcp_decode_end_glob(64);
            flick_sun_init_environment();
            _return = multshort_1(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed16(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                }
              }
            flick_suntcp_encode_end_glob(8);
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 4:
        {
          {
            struct long_long *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t32_ignore;
            struct long_long _t33_storage;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(24);
            flick_xdr_decode_unsigned32(0, _t32_ignore);
            flick_xdr_decode_unsigned32(4, _t32_ignore);
            flick_xdr_decode_unsigned32(8, _t32_ignore);
            flick_xdr_decode_unsigned32(12, _t32_ignore);
            _local_arg = &_t33_storage;
            flick_xdr_decode_signed32(16, _local_arg->a);
            flick_xdr_decode_signed32(20, _local_arg->b);
            flick_suntcp_decode_end_chunk(24);
            flick_suntcp_decode_end_glob(64);
            flick_sun_init_environment();
            _return = addlong_1(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed32(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                }
              }
            flick_suntcp_encode_end_glob(8);
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 5:
        {
          {
            struct long_long *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t34_ignore;
            struct long_long _t35_storage;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(24);
            flick_xdr_decode_unsigned32(0, _t34_ignore);
            flick_xdr_decode_unsigned32(4, _t34_ignore);
            flick_xdr_decode_unsigned32(8, _t34_ignore);
            flick_xdr_decode_unsigned32(12, _t34_ignore);
            _local_arg = &_t35_storage;
            flick_xdr_decode_signed32(16, _local_arg->a);
            flick_xdr_decode_signed32(20, _local_arg->b);
            flick_suntcp_decode_end_chunk(24);
            flick_suntcp_decode_end_glob(64);
            flick_sun_init_environment();
            _return = sublong_1(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed32(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                }
              }
            flick_suntcp_encode_end_glob(8);
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 6:
        {
          {
            struct long_long *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t36_ignore;
            struct long_long _t37_storage;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(24);
            flick_xdr_decode_unsigned32(0, _t36_ignore);
            flick_xdr_decode_unsigned32(4, _t36_ignore);
            flick_xdr_decode_unsigned32(8, _t36_ignore);
            flick_xdr_decode_unsigned32(12, _t36_ignore);
            _local_arg = &_t37_storage;
            flick_xdr_decode_signed32(16, _local_arg->a);
            flick_xdr_decode_signed32(20, _local_arg->b);
            flick_suntcp_decode_end_chunk(24);
            flick_suntcp_decode_end_glob(64);
            flick_sun_init_environment();
            _return = multlong_1(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed32(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                }
              }
            flick_suntcp_encode_end_glob(8);
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 7:
        {
          {
            long_list *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t38_ignore;
            long_list _t39_storage;
            unsigned long int _t41_array_iter;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(20);
            flick_xdr_decode_unsigned32(0, _t38_ignore);
            flick_xdr_decode_unsigned32(4, _t38_ignore);
            flick_xdr_decode_unsigned32(8, _t38_ignore);
            flick_xdr_decode_unsigned32(12, _t38_ignore);
            _local_arg = &_t39_storage;
            flick_xdr_decode_unsigned32(16, _local_arg->long_list_len);
            _local_arg->long_list_val = auto_flick_alloc(_local_arg->long_list_len * sizeof(int ));
            flick_suntcp_decode_end_chunk(20);
#if BYTE_ORDER != BIG_ENDIAN
            for (_t41_array_iter = 0; _t41_array_iter < _local_arg->long_list_len; _t41_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, _local_arg->long_list_val[_t41_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_xdr_decode_bcopy(_local_arg->long_list_val, sizeof(long) * _local_arg->long_list_len, suntcp);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(64);
            flick_sun_init_environment();
            _return = addlonglist_1(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed32(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                }
              }
            flick_suntcp_encode_end_glob(8);
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 8:
        {
          {
            long_list *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t42_ignore;
            long_list _t43_storage;
            unsigned long int _t45_array_iter;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(20);
            flick_xdr_decode_unsigned32(0, _t42_ignore);
            flick_xdr_decode_unsigned32(4, _t42_ignore);
            flick_xdr_decode_unsigned32(8, _t42_ignore);
            flick_xdr_decode_unsigned32(12, _t42_ignore);
            _local_arg = &_t43_storage;
            flick_xdr_decode_unsigned32(16, _local_arg->long_list_len);
            _local_arg->long_list_val = auto_flick_alloc(_local_arg->long_list_len * sizeof(int ));
            flick_suntcp_decode_end_chunk(20);
#if BYTE_ORDER != BIG_ENDIAN
            for (_t45_array_iter = 0; _t45_array_iter < _local_arg->long_list_len; _t45_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, _local_arg->long_list_val[_t45_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_xdr_decode_bcopy(_local_arg->long_list_val, sizeof(long) * _local_arg->long_list_len, suntcp);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(64);
            flick_sun_init_environment();
            _return = multlonglist_1(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed32(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                }
              }
            flick_suntcp_encode_end_glob(8);
            flick_suntcp_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(64);
          break;
        }
      }
  }
  return 0;
}
