#include "array-1-client.h"

void flick_marshal_stub_data64(flick_marshal_stream_t _stream, const data64 *_data)
{
  flick_unsigned8_t _t0_array_length;
  flick_unsigned8_t _t2_array_iter;

  _t0_array_length = 16;
  flick_fluke_encode_new_glob(64);
#if 0
  for (_t2_array_iter = 0; _t2_array_iter < _t0_array_length; _t2_array_iter++)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, (*_data)[_t2_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_encode_bcopy(*_data, sizeof(long) * _t0_array_length, fluke);
#endif /* `memcpy' */
  flick_fluke_encode_end_glob(64);
}

void flick_unmarshal_stub_data64(flick_marshal_stream_t _stream, data64 *_data)
{
  flick_unsigned8_t _t3_array_length;
  flick_unsigned8_t _t5_array_iter;

  _t3_array_length = 16;
  flick_fluke_decode_new_glob(64);
#if 0
  for (_t5_array_iter = 0; _t5_array_iter < _t3_array_length; _t5_array_iter++)
    {
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, (*_data)[_t5_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_decode_bcopy(*_data, sizeof(long) * _t3_array_length, fluke);
#endif /* `memcpy' */
  flick_fluke_decode_end_glob(64);
}

void flick_marshal_stub_data128(flick_marshal_stream_t _stream, const data128 *_data)
{
  flick_unsigned8_t _t6_array_length;
  flick_unsigned8_t _t8_array_iter;

  _t6_array_length = 32;
  flick_fluke_encode_new_glob(128);
#if 0
  for (_t8_array_iter = 0; _t8_array_iter < _t6_array_length; _t8_array_iter++)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, (*_data)[_t8_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_encode_bcopy(*_data, sizeof(long) * _t6_array_length, fluke);
#endif /* `memcpy' */
  flick_fluke_encode_end_glob(128);
}

void flick_unmarshal_stub_data128(flick_marshal_stream_t _stream, data128 *_data)
{
  flick_unsigned8_t _t9_array_length;
  flick_unsigned8_t _t11_array_iter;

  _t9_array_length = 32;
  flick_fluke_decode_new_glob(128);
#if 0
  for (_t11_array_iter = 0; _t11_array_iter < _t9_array_length; _t11_array_iter++)
    {
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, (*_data)[_t11_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_decode_bcopy(*_data, sizeof(long) * _t9_array_length, fluke);
#endif /* `memcpy' */
  flick_fluke_decode_end_glob(128);
}

void flick_marshal_stub_data256(flick_marshal_stream_t _stream, const data256 *_data)
{
  flick_unsigned8_t _t12_array_length;
  flick_unsigned8_t _t14_array_iter;

  _t12_array_length = 64;
  flick_fluke_encode_new_glob(256);
#if 0
  for (_t14_array_iter = 0; _t14_array_iter < _t12_array_length; _t14_array_iter++)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, (*_data)[_t14_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_encode_bcopy(*_data, sizeof(long) * _t12_array_length, fluke);
#endif /* `memcpy' */
  flick_fluke_encode_end_glob(256);
}

void flick_unmarshal_stub_data256(flick_marshal_stream_t _stream, data256 *_data)
{
  flick_unsigned8_t _t15_array_length;
  flick_unsigned8_t _t17_array_iter;

  _t15_array_length = 64;
  flick_fluke_decode_new_glob(256);
#if 0
  for (_t17_array_iter = 0; _t17_array_iter < _t15_array_length; _t17_array_iter++)
    {
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, (*_data)[_t17_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_decode_bcopy(*_data, sizeof(long) * _t15_array_length, fluke);
#endif /* `memcpy' */
  flick_fluke_decode_end_glob(256);
}

void flick_marshal_stub_data512(flick_marshal_stream_t _stream, const data512 *_data)
{
  flick_unsigned8_t _t18_array_length;
  flick_unsigned8_t _t20_array_iter;

  _t18_array_length = 128;
  flick_fluke_encode_new_glob(512);
#if 0
  for (_t20_array_iter = 0; _t20_array_iter < _t18_array_length; _t20_array_iter++)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, (*_data)[_t20_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_encode_bcopy(*_data, sizeof(long) * _t18_array_length, fluke);
#endif /* `memcpy' */
  flick_fluke_encode_end_glob(512);
}

void flick_unmarshal_stub_data512(flick_marshal_stream_t _stream, data512 *_data)
{
  flick_unsigned8_t _t21_array_length;
  flick_unsigned8_t _t23_array_iter;

  _t21_array_length = 128;
  flick_fluke_decode_new_glob(512);
#if 0
  for (_t23_array_iter = 0; _t23_array_iter < _t21_array_length; _t23_array_iter++)
    {
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, (*_data)[_t23_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_decode_bcopy(*_data, sizeof(long) * _t21_array_length, fluke);
#endif /* `memcpy' */
  flick_fluke_decode_end_glob(512);
}

void flick_marshal_stub_data1K(flick_marshal_stream_t _stream, const data1K *_data)
{
  flick_unsigned16_t _t24_array_length;
  flick_unsigned16_t _t26_array_iter;

  _t24_array_length = 256;
  flick_fluke_encode_new_glob(1024);
#if 0
  for (_t26_array_iter = 0; _t26_array_iter < _t24_array_length; _t26_array_iter++)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, (*_data)[_t26_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_encode_bcopy(*_data, sizeof(long) * _t24_array_length, fluke);
#endif /* `memcpy' */
  flick_fluke_encode_end_glob(1024);
}

void flick_unmarshal_stub_data1K(flick_marshal_stream_t _stream, data1K *_data)
{
  flick_unsigned16_t _t27_array_length;
  flick_unsigned16_t _t29_array_iter;

  _t27_array_length = 256;
  flick_fluke_decode_new_glob(1024);
#if 0
  for (_t29_array_iter = 0; _t29_array_iter < _t27_array_length; _t29_array_iter++)
    {
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, (*_data)[_t29_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_decode_bcopy(*_data, sizeof(long) * _t27_array_length, fluke);
#endif /* `memcpy' */
  flick_fluke_decode_end_glob(1024);
}

void flick_marshal_stub_data2K(flick_marshal_stream_t _stream, const data2K *_data)
{
  flick_unsigned16_t _t30_array_length;
  flick_unsigned16_t _t32_array_iter;

  _t30_array_length = 512;
  flick_fluke_encode_new_glob(2048);
#if 0
  for (_t32_array_iter = 0; _t32_array_iter < _t30_array_length; _t32_array_iter++)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, (*_data)[_t32_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_encode_bcopy(*_data, sizeof(long) * _t30_array_length, fluke);
#endif /* `memcpy' */
  flick_fluke_encode_end_glob(2048);
}

void flick_unmarshal_stub_data2K(flick_marshal_stream_t _stream, data2K *_data)
{
  flick_unsigned16_t _t33_array_length;
  flick_unsigned16_t _t35_array_iter;

  _t33_array_length = 512;
  flick_fluke_decode_new_glob(2048);
#if 0
  for (_t35_array_iter = 0; _t35_array_iter < _t33_array_length; _t35_array_iter++)
    {
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, (*_data)[_t35_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_decode_bcopy(*_data, sizeof(long) * _t33_array_length, fluke);
#endif /* `memcpy' */
  flick_fluke_decode_end_glob(2048);
}

void flick_marshal_stub_data4K(flick_marshal_stream_t _stream, const data4K *_data)
{
  flick_unsigned16_t _t36_array_length;
  flick_unsigned16_t _t38_array_iter;

  _t36_array_length = 1024;
  flick_fluke_encode_new_glob(4096);
#if 0
  for (_t38_array_iter = 0; _t38_array_iter < _t36_array_length; _t38_array_iter++)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, (*_data)[_t38_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_encode_bcopy(*_data, sizeof(long) * _t36_array_length, fluke);
#endif /* `memcpy' */
  flick_fluke_encode_end_glob(4096);
}

void flick_unmarshal_stub_data4K(flick_marshal_stream_t _stream, data4K *_data)
{
  flick_unsigned16_t _t39_array_length;
  flick_unsigned16_t _t41_array_iter;

  _t39_array_length = 1024;
  flick_fluke_decode_new_glob(4096);
#if 0
  for (_t41_array_iter = 0; _t41_array_iter < _t39_array_length; _t41_array_iter++)
    {
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, (*_data)[_t41_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_decode_bcopy(*_data, sizeof(long) * _t39_array_length, fluke);
#endif /* `memcpy' */
  flick_fluke_decode_end_glob(4096);
}

void flick_marshal_stub_data8K(flick_marshal_stream_t _stream, const data8K *_data)
{
  flick_unsigned16_t _t42_array_length;
  flick_unsigned16_t _t44_array_iter;

  _t42_array_length = 2048;
  flick_fluke_encode_new_glob(8192);
#if 0
  for (_t44_array_iter = 0; _t44_array_iter < _t42_array_length; _t44_array_iter++)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, (*_data)[_t44_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_encode_bcopy(*_data, sizeof(long) * _t42_array_length, fluke);
#endif /* `memcpy' */
  flick_fluke_encode_end_glob(8192);
}

void flick_unmarshal_stub_data8K(flick_marshal_stream_t _stream, data8K *_data)
{
  flick_unsigned16_t _t45_array_length;
  flick_unsigned16_t _t47_array_iter;

  _t45_array_length = 2048;
  flick_fluke_decode_new_glob(8192);
#if 0
  for (_t47_array_iter = 0; _t47_array_iter < _t45_array_length; _t47_array_iter++)
    {
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, (*_data)[_t47_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_decode_bcopy(*_data, sizeof(long) * _t45_array_length, fluke);
#endif /* `memcpy' */
  flick_fluke_decode_end_glob(8192);
}

void flick_marshal_stub_data16K(flick_marshal_stream_t _stream, const data16K *_data)
{
  flick_unsigned16_t _t48_array_length;
  flick_unsigned16_t _t50_array_iter;

  _t48_array_length = 4096;
  flick_fluke_encode_new_glob(4 * _t48_array_length);
#if 0
  for (_t50_array_iter = 0; _t50_array_iter < _t48_array_length; _t50_array_iter++)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, (*_data)[_t50_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_encode_bcopy(*_data, sizeof(long) * _t48_array_length, fluke);
#endif /* `memcpy' */
  flick_fluke_encode_end_glob(4 * _t48_array_length);
}

void flick_unmarshal_stub_data16K(flick_marshal_stream_t _stream, data16K *_data)
{
  flick_unsigned16_t _t51_array_length;
  flick_unsigned16_t _t53_array_iter;

  _t51_array_length = 4096;
  flick_fluke_decode_new_glob(4 * _t51_array_length);
#if 0
  for (_t53_array_iter = 0; _t53_array_iter < _t51_array_length; _t53_array_iter++)
    {
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, (*_data)[_t53_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_decode_bcopy(*_data, sizeof(long) * _t51_array_length, fluke);
#endif /* `memcpy' */
  flick_fluke_decode_end_glob(4 * _t51_array_length);
}

void flick_marshal_stub_data32K(flick_marshal_stream_t _stream, const data32K *_data)
{
  flick_unsigned16_t _t54_array_length;
  flick_unsigned16_t _t56_array_iter;

  _t54_array_length = 8192;
  flick_fluke_encode_new_glob(4 * _t54_array_length);
#if 0
  for (_t56_array_iter = 0; _t56_array_iter < _t54_array_length; _t56_array_iter++)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, (*_data)[_t56_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_encode_bcopy(*_data, sizeof(long) * _t54_array_length, fluke);
#endif /* `memcpy' */
  flick_fluke_encode_end_glob(4 * _t54_array_length);
}

void flick_unmarshal_stub_data32K(flick_marshal_stream_t _stream, data32K *_data)
{
  flick_unsigned16_t _t57_array_length;
  flick_unsigned16_t _t59_array_iter;

  _t57_array_length = 8192;
  flick_fluke_decode_new_glob(4 * _t57_array_length);
#if 0
  for (_t59_array_iter = 0; _t59_array_iter < _t57_array_length; _t59_array_iter++)
    {
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, (*_data)[_t59_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_decode_bcopy(*_data, sizeof(long) * _t57_array_length, fluke);
#endif /* `memcpy' */
  flick_fluke_decode_end_glob(4 * _t57_array_length);
}

void flick_marshal_stub_data64K(flick_marshal_stream_t _stream, const data64K *_data)
{
  flick_unsigned16_t _t60_array_length;
  flick_unsigned16_t _t62_array_iter;

  _t60_array_length = 16384;
  flick_fluke_encode_new_glob(4 * _t60_array_length);
#if 0
  for (_t62_array_iter = 0; _t62_array_iter < _t60_array_length; _t62_array_iter++)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, (*_data)[_t62_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_encode_bcopy(*_data, sizeof(long) * _t60_array_length, fluke);
#endif /* `memcpy' */
  flick_fluke_encode_end_glob(4 * _t60_array_length);
}

void flick_unmarshal_stub_data64K(flick_marshal_stream_t _stream, data64K *_data)
{
  flick_unsigned16_t _t63_array_length;
  flick_unsigned16_t _t65_array_iter;

  _t63_array_length = 16384;
  flick_fluke_decode_new_glob(4 * _t63_array_length);
#if 0
  for (_t65_array_iter = 0; _t65_array_iter < _t63_array_length; _t65_array_iter++)
    {
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, (*_data)[_t65_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_decode_bcopy(*_data, sizeof(long) * _t63_array_length, fluke);
#endif /* `memcpy' */
  flick_fluke_decode_end_glob(4 * _t63_array_length);
}

int *op64_1234(data64 *arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return = 0;

  flick_fluke_client_start_encode();
  {
    flick_unsigned8_t _t69_array_length;
    flick_unsigned8_t _t71_array_iter;

    flick_fluke_encode_new_glob(68);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, 1);
    /* Begin encode phase on parameters */
    _t69_array_length = 16;
    flick_fluke_encode_end_chunk(4);
#if 0
    for (_t71_array_iter = 0; _t71_array_iter < _t69_array_length; _t71_array_iter++)
      {
        flick_fluke_encode_new_chunk(4);
        flick_fluke_encode_signed32(0, (*arg)[_t71_array_iter]);
        flick_fluke_encode_end_chunk(4);
      }
#else /* Use `memcpy'. */
    flick_fluke_encode_bcopy(*arg, sizeof(long) * _t69_array_length, fluke);
#endif /* `memcpy' */
    flick_fluke_encode_end_glob(68);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static int _t73_storage;

          _return = &_t73_storage;
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, *_return);
          flick_fluke_decode_end_chunk(4);
          break;
        }
      case -1:
        {
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(8);
  }
  flick_fluke_client_end_decode();
  return _return;
}

int *op128_1234(data128 *arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return = 0;

  flick_fluke_client_start_encode();
  {
    flick_unsigned8_t _t77_array_length;
    flick_unsigned8_t _t79_array_iter;

    flick_fluke_encode_new_glob(132);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, 2);
    /* Begin encode phase on parameters */
    _t77_array_length = 32;
    flick_fluke_encode_end_chunk(4);
#if 0
    for (_t79_array_iter = 0; _t79_array_iter < _t77_array_length; _t79_array_iter++)
      {
        flick_fluke_encode_new_chunk(4);
        flick_fluke_encode_signed32(0, (*arg)[_t79_array_iter]);
        flick_fluke_encode_end_chunk(4);
      }
#else /* Use `memcpy'. */
    flick_fluke_encode_bcopy(*arg, sizeof(long) * _t77_array_length, fluke);
#endif /* `memcpy' */
    flick_fluke_encode_end_glob(132);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static int _t81_storage;

          _return = &_t81_storage;
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, *_return);
          flick_fluke_decode_end_chunk(4);
          break;
        }
      case -1:
        {
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(8);
  }
  flick_fluke_client_end_decode();
  return _return;
}

int *op256_1234(data256 *arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return = 0;

  flick_fluke_client_start_encode();
  {
    flick_unsigned8_t _t85_array_length;
    flick_unsigned8_t _t87_array_iter;

    flick_fluke_encode_new_glob(260);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, 3);
    /* Begin encode phase on parameters */
    _t85_array_length = 64;
    flick_fluke_encode_end_chunk(4);
#if 0
    for (_t87_array_iter = 0; _t87_array_iter < _t85_array_length; _t87_array_iter++)
      {
        flick_fluke_encode_new_chunk(4);
        flick_fluke_encode_signed32(0, (*arg)[_t87_array_iter]);
        flick_fluke_encode_end_chunk(4);
      }
#else /* Use `memcpy'. */
    flick_fluke_encode_bcopy(*arg, sizeof(long) * _t85_array_length, fluke);
#endif /* `memcpy' */
    flick_fluke_encode_end_glob(260);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static int _t89_storage;

          _return = &_t89_storage;
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, *_return);
          flick_fluke_decode_end_chunk(4);
          break;
        }
      case -1:
        {
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(8);
  }
  flick_fluke_client_end_decode();
  return _return;
}

int *op512_1234(data512 *arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return = 0;

  flick_fluke_client_start_encode();
  {
    flick_unsigned8_t _t93_array_length;
    flick_unsigned8_t _t95_array_iter;

    flick_fluke_encode_new_glob(516);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, 4);
    /* Begin encode phase on parameters */
    _t93_array_length = 128;
    flick_fluke_encode_end_chunk(4);
#if 0
    for (_t95_array_iter = 0; _t95_array_iter < _t93_array_length; _t95_array_iter++)
      {
        flick_fluke_encode_new_chunk(4);
        flick_fluke_encode_signed32(0, (*arg)[_t95_array_iter]);
        flick_fluke_encode_end_chunk(4);
      }
#else /* Use `memcpy'. */
    flick_fluke_encode_bcopy(*arg, sizeof(long) * _t93_array_length, fluke);
#endif /* `memcpy' */
    flick_fluke_encode_end_glob(516);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static int _t97_storage;

          _return = &_t97_storage;
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, *_return);
          flick_fluke_decode_end_chunk(4);
          break;
        }
      case -1:
        {
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(8);
  }
  flick_fluke_client_end_decode();
  return _return;
}

int *op1k_1234(data1K *arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return = 0;

  flick_fluke_client_start_encode();
  {
    flick_unsigned16_t _t101_array_length;
    flick_unsigned16_t _t103_array_iter;

    flick_fluke_encode_new_glob(1028);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, 5);
    /* Begin encode phase on parameters */
    _t101_array_length = 256;
    flick_fluke_encode_end_chunk(4);
#if 0
    for (_t103_array_iter = 0; _t103_array_iter < _t101_array_length; _t103_array_iter++)
      {
        flick_fluke_encode_new_chunk(4);
        flick_fluke_encode_signed32(0, (*arg)[_t103_array_iter]);
        flick_fluke_encode_end_chunk(4);
      }
#else /* Use `memcpy'. */
    flick_fluke_encode_bcopy(*arg, sizeof(long) * _t101_array_length, fluke);
#endif /* `memcpy' */
    flick_fluke_encode_end_glob(1028);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static int _t105_storage;

          _return = &_t105_storage;
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, *_return);
          flick_fluke_decode_end_chunk(4);
          break;
        }
      case -1:
        {
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(8);
  }
  flick_fluke_client_end_decode();
  return _return;
}

int *op2k_1234(data2K *arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return = 0;

  flick_fluke_client_start_encode();
  {
    flick_unsigned16_t _t109_array_length;
    flick_unsigned16_t _t111_array_iter;

    flick_fluke_encode_new_glob(2052);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, 6);
    /* Begin encode phase on parameters */
    _t109_array_length = 512;
    flick_fluke_encode_end_chunk(4);
#if 0
    for (_t111_array_iter = 0; _t111_array_iter < _t109_array_length; _t111_array_iter++)
      {
        flick_fluke_encode_new_chunk(4);
        flick_fluke_encode_signed32(0, (*arg)[_t111_array_iter]);
        flick_fluke_encode_end_chunk(4);
      }
#else /* Use `memcpy'. */
    flick_fluke_encode_bcopy(*arg, sizeof(long) * _t109_array_length, fluke);
#endif /* `memcpy' */
    flick_fluke_encode_end_glob(2052);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static int _t113_storage;

          _return = &_t113_storage;
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, *_return);
          flick_fluke_decode_end_chunk(4);
          break;
        }
      case -1:
        {
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(8);
  }
  flick_fluke_client_end_decode();
  return _return;
}

int *op4k_1234(data4K *arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return = 0;

  flick_fluke_client_start_encode();
  {
    flick_unsigned16_t _t117_array_length;
    flick_unsigned16_t _t119_array_iter;

    flick_fluke_encode_new_glob(4100);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, 7);
    /* Begin encode phase on parameters */
    _t117_array_length = 1024;
    flick_fluke_encode_end_chunk(4);
#if 0
    for (_t119_array_iter = 0; _t119_array_iter < _t117_array_length; _t119_array_iter++)
      {
        flick_fluke_encode_new_chunk(4);
        flick_fluke_encode_signed32(0, (*arg)[_t119_array_iter]);
        flick_fluke_encode_end_chunk(4);
      }
#else /* Use `memcpy'. */
    flick_fluke_encode_bcopy(*arg, sizeof(long) * _t117_array_length, fluke);
#endif /* `memcpy' */
    flick_fluke_encode_end_glob(4100);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static int _t121_storage;

          _return = &_t121_storage;
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, *_return);
          flick_fluke_decode_end_chunk(4);
          break;
        }
      case -1:
        {
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(8);
  }
  flick_fluke_client_end_decode();
  return _return;
}

int *op8k_1234(data8K *arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return = 0;

  flick_fluke_client_start_encode();
  {
    flick_unsigned16_t _t125_array_length;
    flick_unsigned16_t _t127_array_iter;

    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, 8);
    /* Begin encode phase on parameters */
    _t125_array_length = 2048;
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
    flick_fluke_encode_new_glob(8192);
#if 0
    for (_t127_array_iter = 0; _t127_array_iter < _t125_array_length; _t127_array_iter++)
      {
        flick_fluke_encode_new_chunk(4);
        flick_fluke_encode_signed32(0, (*arg)[_t127_array_iter]);
        flick_fluke_encode_end_chunk(4);
      }
#else /* Use `memcpy'. */
    flick_fluke_encode_bcopy(*arg, sizeof(long) * _t125_array_length, fluke);
#endif /* `memcpy' */
    flick_fluke_encode_end_glob(8192);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static int _t129_storage;

          _return = &_t129_storage;
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, *_return);
          flick_fluke_decode_end_chunk(4);
          break;
        }
      case -1:
        {
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(8);
  }
  flick_fluke_client_end_decode();
  return _return;
}

int *op16k_1234(data16K *arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return = 0;

  flick_fluke_client_start_encode();
  {
    flick_unsigned16_t _t133_array_length;
    flick_unsigned16_t _t135_array_iter;

    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, 9);
    /* Begin encode phase on parameters */
    _t133_array_length = 4096;
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
    flick_fluke_encode_new_glob(4 * _t133_array_length);
#if 0
    for (_t135_array_iter = 0; _t135_array_iter < _t133_array_length; _t135_array_iter++)
      {
        flick_fluke_encode_new_chunk(4);
        flick_fluke_encode_signed32(0, (*arg)[_t135_array_iter]);
        flick_fluke_encode_end_chunk(4);
      }
#else /* Use `memcpy'. */
    flick_fluke_encode_bcopy(*arg, sizeof(long) * _t133_array_length, fluke);
#endif /* `memcpy' */
    flick_fluke_encode_end_glob(4 * _t133_array_length);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static int _t137_storage;

          _return = &_t137_storage;
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, *_return);
          flick_fluke_decode_end_chunk(4);
          break;
        }
      case -1:
        {
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(8);
  }
  flick_fluke_client_end_decode();
  return _return;
}

int *op32k_1234(data32K *arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return = 0;

  flick_fluke_client_start_encode();
  {
    flick_unsigned16_t _t141_array_length;
    flick_unsigned16_t _t143_array_iter;

    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, 10);
    /* Begin encode phase on parameters */
    _t141_array_length = 8192;
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
    flick_fluke_encode_new_glob(4 * _t141_array_length);
#if 0
    for (_t143_array_iter = 0; _t143_array_iter < _t141_array_length; _t143_array_iter++)
      {
        flick_fluke_encode_new_chunk(4);
        flick_fluke_encode_signed32(0, (*arg)[_t143_array_iter]);
        flick_fluke_encode_end_chunk(4);
      }
#else /* Use `memcpy'. */
    flick_fluke_encode_bcopy(*arg, sizeof(long) * _t141_array_length, fluke);
#endif /* `memcpy' */
    flick_fluke_encode_end_glob(4 * _t141_array_length);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static int _t145_storage;

          _return = &_t145_storage;
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, *_return);
          flick_fluke_decode_end_chunk(4);
          break;
        }
      case -1:
        {
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(8);
  }
  flick_fluke_client_end_decode();
  return _return;
}

int *op64k_1234(data64K *arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return = 0;

  flick_fluke_client_start_encode();
  {
    flick_unsigned16_t _t149_array_length;
    flick_unsigned16_t _t151_array_iter;

    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, 11);
    /* Begin encode phase on parameters */
    _t149_array_length = 16384;
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
    flick_fluke_encode_new_glob(4 * _t149_array_length);
#if 0
    for (_t151_array_iter = 0; _t151_array_iter < _t149_array_length; _t151_array_iter++)
      {
        flick_fluke_encode_new_chunk(4);
        flick_fluke_encode_signed32(0, (*arg)[_t151_array_iter]);
        flick_fluke_encode_end_chunk(4);
      }
#else /* Use `memcpy'. */
    flick_fluke_encode_bcopy(*arg, sizeof(long) * _t149_array_length, fluke);
#endif /* `memcpy' */
    flick_fluke_encode_end_glob(4 * _t149_array_length);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static int _t153_storage;

          _return = &_t153_storage;
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, *_return);
          flick_fluke_decode_end_chunk(4);
          break;
        }
      case -1:
        {
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(8);
  }
  flick_fluke_client_end_decode();
  return _return;
}

