#include "array-1-server.h"

void flick_marshal_stub_data64(flick_marshal_stream_t _stream, const data64 *_data)
{
  flick_unsigned8_t _t0_array_length;
  flick_unsigned8_t _t2_array_iter;

  _t0_array_length = 16;
  flick_fluke_encode_new_glob(64);
#if 0
  for (_t2_array_iter = 0; _t2_array_iter < _t0_array_length; _t2_array_iter++)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, (*_data)[_t2_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_encode_bcopy(*_data, sizeof(long) * _t0_array_length, fluke);
#endif /* `memcpy' */
  flick_fluke_encode_end_glob(64);
}

void flick_unmarshal_stub_data64(flick_marshal_stream_t _stream, data64 *_data)
{
  flick_unsigned8_t _t3_array_length;
  flick_unsigned8_t _t5_array_iter;

  _t3_array_length = 16;
  flick_fluke_decode_new_glob(64);
#if 0
  for (_t5_array_iter = 0; _t5_array_iter < _t3_array_length; _t5_array_iter++)
    {
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, (*_data)[_t5_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_decode_bcopy(*_data, sizeof(long) * _t3_array_length, fluke);
#endif /* `memcpy' */
  flick_fluke_decode_end_glob(64);
}

void flick_marshal_stub_data128(flick_marshal_stream_t _stream, const data128 *_data)
{
  flick_unsigned8_t _t6_array_length;
  flick_unsigned8_t _t8_array_iter;

  _t6_array_length = 32;
  flick_fluke_encode_new_glob(128);
#if 0
  for (_t8_array_iter = 0; _t8_array_iter < _t6_array_length; _t8_array_iter++)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, (*_data)[_t8_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_encode_bcopy(*_data, sizeof(long) * _t6_array_length, fluke);
#endif /* `memcpy' */
  flick_fluke_encode_end_glob(128);
}

void flick_unmarshal_stub_data128(flick_marshal_stream_t _stream, data128 *_data)
{
  flick_unsigned8_t _t9_array_length;
  flick_unsigned8_t _t11_array_iter;

  _t9_array_length = 32;
  flick_fluke_decode_new_glob(128);
#if 0
  for (_t11_array_iter = 0; _t11_array_iter < _t9_array_length; _t11_array_iter++)
    {
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, (*_data)[_t11_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_decode_bcopy(*_data, sizeof(long) * _t9_array_length, fluke);
#endif /* `memcpy' */
  flick_fluke_decode_end_glob(128);
}

void flick_marshal_stub_data256(flick_marshal_stream_t _stream, const data256 *_data)
{
  flick_unsigned8_t _t12_array_length;
  flick_unsigned8_t _t14_array_iter;

  _t12_array_length = 64;
  flick_fluke_encode_new_glob(256);
#if 0
  for (_t14_array_iter = 0; _t14_array_iter < _t12_array_length; _t14_array_iter++)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, (*_data)[_t14_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_encode_bcopy(*_data, sizeof(long) * _t12_array_length, fluke);
#endif /* `memcpy' */
  flick_fluke_encode_end_glob(256);
}

void flick_unmarshal_stub_data256(flick_marshal_stream_t _stream, data256 *_data)
{
  flick_unsigned8_t _t15_array_length;
  flick_unsigned8_t _t17_array_iter;

  _t15_array_length = 64;
  flick_fluke_decode_new_glob(256);
#if 0
  for (_t17_array_iter = 0; _t17_array_iter < _t15_array_length; _t17_array_iter++)
    {
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, (*_data)[_t17_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_decode_bcopy(*_data, sizeof(long) * _t15_array_length, fluke);
#endif /* `memcpy' */
  flick_fluke_decode_end_glob(256);
}

void flick_marshal_stub_data512(flick_marshal_stream_t _stream, const data512 *_data)
{
  flick_unsigned8_t _t18_array_length;
  flick_unsigned8_t _t20_array_iter;

  _t18_array_length = 128;
  flick_fluke_encode_new_glob(512);
#if 0
  for (_t20_array_iter = 0; _t20_array_iter < _t18_array_length; _t20_array_iter++)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, (*_data)[_t20_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_encode_bcopy(*_data, sizeof(long) * _t18_array_length, fluke);
#endif /* `memcpy' */
  flick_fluke_encode_end_glob(512);
}

void flick_unmarshal_stub_data512(flick_marshal_stream_t _stream, data512 *_data)
{
  flick_unsigned8_t _t21_array_length;
  flick_unsigned8_t _t23_array_iter;

  _t21_array_length = 128;
  flick_fluke_decode_new_glob(512);
#if 0
  for (_t23_array_iter = 0; _t23_array_iter < _t21_array_length; _t23_array_iter++)
    {
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, (*_data)[_t23_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_decode_bcopy(*_data, sizeof(long) * _t21_array_length, fluke);
#endif /* `memcpy' */
  flick_fluke_decode_end_glob(512);
}

void flick_marshal_stub_data1K(flick_marshal_stream_t _stream, const data1K *_data)
{
  flick_unsigned16_t _t24_array_length;
  flick_unsigned16_t _t26_array_iter;

  _t24_array_length = 256;
  flick_fluke_encode_new_glob(1024);
#if 0
  for (_t26_array_iter = 0; _t26_array_iter < _t24_array_length; _t26_array_iter++)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, (*_data)[_t26_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_encode_bcopy(*_data, sizeof(long) * _t24_array_length, fluke);
#endif /* `memcpy' */
  flick_fluke_encode_end_glob(1024);
}

void flick_unmarshal_stub_data1K(flick_marshal_stream_t _stream, data1K *_data)
{
  flick_unsigned16_t _t27_array_length;
  flick_unsigned16_t _t29_array_iter;

  _t27_array_length = 256;
  flick_fluke_decode_new_glob(1024);
#if 0
  for (_t29_array_iter = 0; _t29_array_iter < _t27_array_length; _t29_array_iter++)
    {
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, (*_data)[_t29_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_decode_bcopy(*_data, sizeof(long) * _t27_array_length, fluke);
#endif /* `memcpy' */
  flick_fluke_decode_end_glob(1024);
}

void flick_marshal_stub_data2K(flick_marshal_stream_t _stream, const data2K *_data)
{
  flick_unsigned16_t _t30_array_length;
  flick_unsigned16_t _t32_array_iter;

  _t30_array_length = 512;
  flick_fluke_encode_new_glob(2048);
#if 0
  for (_t32_array_iter = 0; _t32_array_iter < _t30_array_length; _t32_array_iter++)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, (*_data)[_t32_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_encode_bcopy(*_data, sizeof(long) * _t30_array_length, fluke);
#endif /* `memcpy' */
  flick_fluke_encode_end_glob(2048);
}

void flick_unmarshal_stub_data2K(flick_marshal_stream_t _stream, data2K *_data)
{
  flick_unsigned16_t _t33_array_length;
  flick_unsigned16_t _t35_array_iter;

  _t33_array_length = 512;
  flick_fluke_decode_new_glob(2048);
#if 0
  for (_t35_array_iter = 0; _t35_array_iter < _t33_array_length; _t35_array_iter++)
    {
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, (*_data)[_t35_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_decode_bcopy(*_data, sizeof(long) * _t33_array_length, fluke);
#endif /* `memcpy' */
  flick_fluke_decode_end_glob(2048);
}

void flick_marshal_stub_data4K(flick_marshal_stream_t _stream, const data4K *_data)
{
  flick_unsigned16_t _t36_array_length;
  flick_unsigned16_t _t38_array_iter;

  _t36_array_length = 1024;
  flick_fluke_encode_new_glob(4096);
#if 0
  for (_t38_array_iter = 0; _t38_array_iter < _t36_array_length; _t38_array_iter++)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, (*_data)[_t38_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_encode_bcopy(*_data, sizeof(long) * _t36_array_length, fluke);
#endif /* `memcpy' */
  flick_fluke_encode_end_glob(4096);
}

void flick_unmarshal_stub_data4K(flick_marshal_stream_t _stream, data4K *_data)
{
  flick_unsigned16_t _t39_array_length;
  flick_unsigned16_t _t41_array_iter;

  _t39_array_length = 1024;
  flick_fluke_decode_new_glob(4096);
#if 0
  for (_t41_array_iter = 0; _t41_array_iter < _t39_array_length; _t41_array_iter++)
    {
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, (*_data)[_t41_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_decode_bcopy(*_data, sizeof(long) * _t39_array_length, fluke);
#endif /* `memcpy' */
  flick_fluke_decode_end_glob(4096);
}

void flick_marshal_stub_data8K(flick_marshal_stream_t _stream, const data8K *_data)
{
  flick_unsigned16_t _t42_array_length;
  flick_unsigned16_t _t44_array_iter;

  _t42_array_length = 2048;
  flick_fluke_encode_new_glob(8192);
#if 0
  for (_t44_array_iter = 0; _t44_array_iter < _t42_array_length; _t44_array_iter++)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, (*_data)[_t44_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_encode_bcopy(*_data, sizeof(long) * _t42_array_length, fluke);
#endif /* `memcpy' */
  flick_fluke_encode_end_glob(8192);
}

void flick_unmarshal_stub_data8K(flick_marshal_stream_t _stream, data8K *_data)
{
  flick_unsigned16_t _t45_array_length;
  flick_unsigned16_t _t47_array_iter;

  _t45_array_length = 2048;
  flick_fluke_decode_new_glob(8192);
#if 0
  for (_t47_array_iter = 0; _t47_array_iter < _t45_array_length; _t47_array_iter++)
    {
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, (*_data)[_t47_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_decode_bcopy(*_data, sizeof(long) * _t45_array_length, fluke);
#endif /* `memcpy' */
  flick_fluke_decode_end_glob(8192);
}

void flick_marshal_stub_data16K(flick_marshal_stream_t _stream, const data16K *_data)
{
  flick_unsigned16_t _t48_array_length;
  flick_unsigned16_t _t50_array_iter;

  _t48_array_length = 4096;
  flick_fluke_encode_new_glob(4 * _t48_array_length);
#if 0
  for (_t50_array_iter = 0; _t50_array_iter < _t48_array_length; _t50_array_iter++)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, (*_data)[_t50_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_encode_bcopy(*_data, sizeof(long) * _t48_array_length, fluke);
#endif /* `memcpy' */
  flick_fluke_encode_end_glob(4 * _t48_array_length);
}

void flick_unmarshal_stub_data16K(flick_marshal_stream_t _stream, data16K *_data)
{
  flick_unsigned16_t _t51_array_length;
  flick_unsigned16_t _t53_array_iter;

  _t51_array_length = 4096;
  flick_fluke_decode_new_glob(4 * _t51_array_length);
#if 0
  for (_t53_array_iter = 0; _t53_array_iter < _t51_array_length; _t53_array_iter++)
    {
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, (*_data)[_t53_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_decode_bcopy(*_data, sizeof(long) * _t51_array_length, fluke);
#endif /* `memcpy' */
  flick_fluke_decode_end_glob(4 * _t51_array_length);
}

void flick_marshal_stub_data32K(flick_marshal_stream_t _stream, const data32K *_data)
{
  flick_unsigned16_t _t54_array_length;
  flick_unsigned16_t _t56_array_iter;

  _t54_array_length = 8192;
  flick_fluke_encode_new_glob(4 * _t54_array_length);
#if 0
  for (_t56_array_iter = 0; _t56_array_iter < _t54_array_length; _t56_array_iter++)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, (*_data)[_t56_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_encode_bcopy(*_data, sizeof(long) * _t54_array_length, fluke);
#endif /* `memcpy' */
  flick_fluke_encode_end_glob(4 * _t54_array_length);
}

void flick_unmarshal_stub_data32K(flick_marshal_stream_t _stream, data32K *_data)
{
  flick_unsigned16_t _t57_array_length;
  flick_unsigned16_t _t59_array_iter;

  _t57_array_length = 8192;
  flick_fluke_decode_new_glob(4 * _t57_array_length);
#if 0
  for (_t59_array_iter = 0; _t59_array_iter < _t57_array_length; _t59_array_iter++)
    {
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, (*_data)[_t59_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_decode_bcopy(*_data, sizeof(long) * _t57_array_length, fluke);
#endif /* `memcpy' */
  flick_fluke_decode_end_glob(4 * _t57_array_length);
}

void flick_marshal_stub_data64K(flick_marshal_stream_t _stream, const data64K *_data)
{
  flick_unsigned16_t _t60_array_length;
  flick_unsigned16_t _t62_array_iter;

  _t60_array_length = 16384;
  flick_fluke_encode_new_glob(4 * _t60_array_length);
#if 0
  for (_t62_array_iter = 0; _t62_array_iter < _t60_array_length; _t62_array_iter++)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, (*_data)[_t62_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_encode_bcopy(*_data, sizeof(long) * _t60_array_length, fluke);
#endif /* `memcpy' */
  flick_fluke_encode_end_glob(4 * _t60_array_length);
}

void flick_unmarshal_stub_data64K(flick_marshal_stream_t _stream, data64K *_data)
{
  flick_unsigned16_t _t63_array_length;
  flick_unsigned16_t _t65_array_iter;

  _t63_array_length = 16384;
  flick_fluke_decode_new_glob(4 * _t63_array_length);
#if 0
  for (_t65_array_iter = 0; _t65_array_iter < _t63_array_length; _t65_array_iter++)
    {
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, (*_data)[_t65_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_decode_bcopy(*_data, sizeof(long) * _t63_array_length, fluke);
#endif /* `memcpy' */
  flick_fluke_decode_end_glob(4 * _t63_array_length);
}

mom_dispatch_action_t prog_1234(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t111_switch_tag;

    flick_fluke_decode_new_glob(4100);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t111_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch (_t111_switch_tag)
      {
      case (signed int) 1:
        {
          {
            data64 *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            data64 _t112_storage;
            flick_unsigned8_t _t113_array_length;
            flick_unsigned8_t _t115_array_iter;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_arg = &_t112_storage;
            _t113_array_length = 16;
#if 0
            for (_t115_array_iter = 0; _t115_array_iter < _t113_array_length; _t115_array_iter++)
              {
                flick_fluke_decode_new_chunk(4);
                flick_fluke_decode_signed32(0, (*_local_arg)[_t115_array_iter]);
                flick_fluke_decode_end_chunk(4);
              }
#else /* Use `memcpy'. */
            flick_fluke_decode_msgptr(_local_arg, sizeof(long) * _t113_array_length);
#endif /* `memcpy' */
            flick_fluke_decode_end_glob(4100);
            flick_sun_init_environment();
            _return = op64_1234(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, *_return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 2:
        {
          {
            data128 *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            data128 _t116_storage;
            flick_unsigned8_t _t117_array_length;
            flick_unsigned8_t _t119_array_iter;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_arg = &_t116_storage;
            _t117_array_length = 32;
#if 0
            for (_t119_array_iter = 0; _t119_array_iter < _t117_array_length; _t119_array_iter++)
              {
                flick_fluke_decode_new_chunk(4);
                flick_fluke_decode_signed32(0, (*_local_arg)[_t119_array_iter]);
                flick_fluke_decode_end_chunk(4);
              }
#else /* Use `memcpy'. */
            flick_fluke_decode_msgptr(_local_arg, sizeof(long) * _t117_array_length);
#endif /* `memcpy' */
            flick_fluke_decode_end_glob(4100);
            flick_sun_init_environment();
            _return = op128_1234(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, *_return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 3:
        {
          {
            data256 *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            data256 _t120_storage;
            flick_unsigned8_t _t121_array_length;
            flick_unsigned8_t _t123_array_iter;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_arg = &_t120_storage;
            _t121_array_length = 64;
#if 0
            for (_t123_array_iter = 0; _t123_array_iter < _t121_array_length; _t123_array_iter++)
              {
                flick_fluke_decode_new_chunk(4);
                flick_fluke_decode_signed32(0, (*_local_arg)[_t123_array_iter]);
                flick_fluke_decode_end_chunk(4);
              }
#else /* Use `memcpy'. */
            flick_fluke_decode_msgptr(_local_arg, sizeof(long) * _t121_array_length);
#endif /* `memcpy' */
            flick_fluke_decode_end_glob(4100);
            flick_sun_init_environment();
            _return = op256_1234(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, *_return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 4:
        {
          {
            data512 *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            data512 _t124_storage;
            flick_unsigned8_t _t125_array_length;
            flick_unsigned8_t _t127_array_iter;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_arg = &_t124_storage;
            _t125_array_length = 128;
#if 0
            for (_t127_array_iter = 0; _t127_array_iter < _t125_array_length; _t127_array_iter++)
              {
                flick_fluke_decode_new_chunk(4);
                flick_fluke_decode_signed32(0, (*_local_arg)[_t127_array_iter]);
                flick_fluke_decode_end_chunk(4);
              }
#else /* Use `memcpy'. */
            flick_fluke_decode_msgptr(_local_arg, sizeof(long) * _t125_array_length);
#endif /* `memcpy' */
            flick_fluke_decode_end_glob(4100);
            flick_sun_init_environment();
            _return = op512_1234(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, *_return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 5:
        {
          {
            data1K *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            data1K _t128_storage;
            flick_unsigned16_t _t129_array_length;
            flick_unsigned16_t _t131_array_iter;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_arg = &_t128_storage;
            _t129_array_length = 256;
#if 0
            for (_t131_array_iter = 0; _t131_array_iter < _t129_array_length; _t131_array_iter++)
              {
                flick_fluke_decode_new_chunk(4);
                flick_fluke_decode_signed32(0, (*_local_arg)[_t131_array_iter]);
                flick_fluke_decode_end_chunk(4);
              }
#else /* Use `memcpy'. */
            flick_fluke_decode_msgptr(_local_arg, sizeof(long) * _t129_array_length);
#endif /* `memcpy' */
            flick_fluke_decode_end_glob(4100);
            flick_sun_init_environment();
            _return = op1k_1234(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, *_return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 6:
        {
          {
            data2K *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            data2K _t132_storage;
            flick_unsigned16_t _t133_array_length;
            flick_unsigned16_t _t135_array_iter;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_arg = &_t132_storage;
            _t133_array_length = 512;
#if 0
            for (_t135_array_iter = 0; _t135_array_iter < _t133_array_length; _t135_array_iter++)
              {
                flick_fluke_decode_new_chunk(4);
                flick_fluke_decode_signed32(0, (*_local_arg)[_t135_array_iter]);
                flick_fluke_decode_end_chunk(4);
              }
#else /* Use `memcpy'. */
            flick_fluke_decode_msgptr(_local_arg, sizeof(long) * _t133_array_length);
#endif /* `memcpy' */
            flick_fluke_decode_end_glob(4100);
            flick_sun_init_environment();
            _return = op2k_1234(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, *_return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 7:
        {
          {
            data4K *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            data4K _t136_storage;
            flick_unsigned16_t _t137_array_length;
            flick_unsigned16_t _t139_array_iter;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_arg = &_t136_storage;
            _t137_array_length = 1024;
#if 0
            for (_t139_array_iter = 0; _t139_array_iter < _t137_array_length; _t139_array_iter++)
              {
                flick_fluke_decode_new_chunk(4);
                flick_fluke_decode_signed32(0, (*_local_arg)[_t139_array_iter]);
                flick_fluke_decode_end_chunk(4);
              }
#else /* Use `memcpy'. */
            flick_fluke_decode_msgptr(_local_arg, sizeof(long) * _t137_array_length);
#endif /* `memcpy' */
            flick_fluke_decode_end_glob(4100);
            flick_sun_init_environment();
            _return = op4k_1234(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, *_return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 8:
        {
          {
            data8K *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            data8K _t140_storage;
            flick_unsigned16_t _t141_array_length;
            flick_unsigned16_t _t143_array_iter;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_arg = &_t140_storage;
            _t141_array_length = 2048;
            flick_fluke_decode_end_glob(4100);
            flick_fluke_decode_new_glob(8192);
#if 0
            for (_t143_array_iter = 0; _t143_array_iter < _t141_array_length; _t143_array_iter++)
              {
                flick_fluke_decode_new_chunk(4);
                flick_fluke_decode_signed32(0, (*_local_arg)[_t143_array_iter]);
                flick_fluke_decode_end_chunk(4);
              }
#else /* Use `memcpy'. */
            flick_fluke_decode_msgptr(_local_arg, sizeof(long) * _t141_array_length);
#endif /* `memcpy' */
            flick_fluke_decode_end_glob(8192);
            flick_sun_init_environment();
            _return = op8k_1234(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, *_return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 9:
        {
          {
            data16K *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            data16K _t144_storage;
            flick_unsigned16_t _t145_array_length;
            flick_unsigned16_t _t147_array_iter;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_arg = &_t144_storage;
            _t145_array_length = 4096;
            flick_fluke_decode_end_glob(4100);
            flick_fluke_decode_new_glob(4 * _t145_array_length);
#if 0
            for (_t147_array_iter = 0; _t147_array_iter < _t145_array_length; _t147_array_iter++)
              {
                flick_fluke_decode_new_chunk(4);
                flick_fluke_decode_signed32(0, (*_local_arg)[_t147_array_iter]);
                flick_fluke_decode_end_chunk(4);
              }
#else /* Use `memcpy'. */
            flick_fluke_decode_msgptr(_local_arg, sizeof(long) * _t145_array_length);
#endif /* `memcpy' */
            flick_fluke_decode_end_glob(4 * _t145_array_length);
            flick_sun_init_environment();
            _return = op16k_1234(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, *_return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 10:
        {
          {
            data32K *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            data32K _t148_storage;
            flick_unsigned16_t _t149_array_length;
            flick_unsigned16_t _t151_array_iter;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_arg = &_t148_storage;
            _t149_array_length = 8192;
            flick_fluke_decode_end_glob(4100);
            flick_fluke_decode_new_glob(4 * _t149_array_length);
#if 0
            for (_t151_array_iter = 0; _t151_array_iter < _t149_array_length; _t151_array_iter++)
              {
                flick_fluke_decode_new_chunk(4);
                flick_fluke_decode_signed32(0, (*_local_arg)[_t151_array_iter]);
                flick_fluke_decode_end_chunk(4);
              }
#else /* Use `memcpy'. */
            flick_fluke_decode_msgptr(_local_arg, sizeof(long) * _t149_array_length);
#endif /* `memcpy' */
            flick_fluke_decode_end_glob(4 * _t149_array_length);
            flick_sun_init_environment();
            _return = op32k_1234(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, *_return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 11:
        {
          {
            data64K *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            data64K _t152_storage;
            flick_unsigned16_t _t153_array_length;
            flick_unsigned16_t _t155_array_iter;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_arg = &_t152_storage;
            _t153_array_length = 16384;
            flick_fluke_decode_end_glob(4100);
            flick_fluke_decode_new_glob(4 * _t153_array_length);
#if 0
            for (_t155_array_iter = 0; _t155_array_iter < _t153_array_length; _t155_array_iter++)
              {
                flick_fluke_decode_new_chunk(4);
                flick_fluke_decode_signed32(0, (*_local_arg)[_t155_array_iter]);
                flick_fluke_decode_end_chunk(4);
              }
#else /* Use `memcpy'. */
            flick_fluke_decode_msgptr(_local_arg, sizeof(long) * _t153_array_length);
#endif /* `memcpy' */
            flick_fluke_decode_end_glob(4 * _t153_array_length);
            flick_sun_init_environment();
            _return = op64k_1234(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, *_return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(4100);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
