#ifndef _arrays_client_h_
#define _arrays_client_h_

#include <flick/link/fluke.h>
#include <flick/encode/fluke.h>
#include <flick/pres/mom.h>

#ifndef _typedef___end
#define _typedef___end
typedef struct end {
  int32_t elem1;
  char elem2;
} end;
#endif /* _typedef___end */

void flick_marshal_stub_end(flick_marshal_stream_t _stream, const struct end *_data);

void flick_unmarshal_stub_end(flick_marshal_stream_t _stream, struct end *_data);

#ifndef _typedef___begin
#define _typedef___begin
typedef struct begin {
  char elem1;
  int32_t elem2;
} begin;
#endif /* _typedef___begin */

void flick_marshal_stub_begin(flick_marshal_stream_t _stream, const struct begin *_data);

void flick_unmarshal_stub_begin(flick_marshal_stream_t _stream, struct begin *_data);

#ifndef _typedef___cLd
#define _typedef___cLd
typedef struct cLd {
  char first;
  int32_t data[50];
  double last;
} cLd;
#endif /* _typedef___cLd */

void flick_marshal_stub_cLd(flick_marshal_stream_t _stream, const struct cLd *_data);

void flick_unmarshal_stub_cLd(flick_marshal_stream_t _stream, struct cLd *_data);

#ifndef _typedef___dLc
#define _typedef___dLc
typedef struct dLc {
  double first;
  int32_t data[50];
  char last;
} dLc;
#endif /* _typedef___dLc */

void flick_marshal_stub_dLc(flick_marshal_stream_t _stream, const struct dLc *_data);

void flick_unmarshal_stub_dLc(flick_marshal_stream_t _stream, struct dLc *_data);

#ifndef _typedef___sLs
#define _typedef___sLs
typedef struct sLs {
  int16_t first;
  int32_t data[50];
  int16_t last;
} sLs;
#endif /* _typedef___sLs */

void flick_marshal_stub_sLs(flick_marshal_stream_t _stream, const struct sLs *_data);

void flick_unmarshal_stub_sLs(flick_marshal_stream_t _stream, struct sLs *_data);

#ifndef _typedef___cLCd
#define _typedef___cLCd
typedef struct cLCd {
  char first;
  struct end data[50];
  double last;
} cLCd;
#endif /* _typedef___cLCd */

void flick_marshal_stub_cLCd(flick_marshal_stream_t _stream, const struct cLCd *_data);

void flick_unmarshal_stub_cLCd(flick_marshal_stream_t _stream, struct cLCd *_data);

#ifndef _typedef___dLCc
#define _typedef___dLCc
typedef struct dLCc {
  double first;
  struct end data[50];
  char last;
} dLCc;
#endif /* _typedef___dLCc */

void flick_marshal_stub_dLCc(flick_marshal_stream_t _stream, const struct dLCc *_data);

void flick_unmarshal_stub_dLCc(flick_marshal_stream_t _stream, struct dLCc *_data);

#ifndef _typedef___sLCs
#define _typedef___sLCs
typedef struct sLCs {
  int16_t first;
  struct end data[50];
  int16_t last;
} sLCs;
#endif /* _typedef___sLCs */

void flick_marshal_stub_sLCs(flick_marshal_stream_t _stream, const struct sLCs *_data);

void flick_unmarshal_stub_sLCs(flick_marshal_stream_t _stream, struct sLCs *_data);

#ifndef _typedef___cCLd
#define _typedef___cCLd
typedef struct cCLd {
  char first;
  struct begin data[50];
  double last;
} cCLd;
#endif /* _typedef___cCLd */

void flick_marshal_stub_cCLd(flick_marshal_stream_t _stream, const struct cCLd *_data);

void flick_unmarshal_stub_cCLd(flick_marshal_stream_t _stream, struct cCLd *_data);

#ifndef _typedef___dCLc
#define _typedef___dCLc
typedef struct dCLc {
  double first;
  struct begin data[50];
  char last;
} dCLc;
#endif /* _typedef___dCLc */

void flick_marshal_stub_dCLc(flick_marshal_stream_t _stream, const struct dCLc *_data);

void flick_unmarshal_stub_dCLc(flick_marshal_stream_t _stream, struct dCLc *_data);

#ifndef _typedef___sCLs
#define _typedef___sCLs
typedef struct sCLs {
  int16_t first;
  struct begin data[50];
  int16_t last;
} sCLs;
#endif /* _typedef___sCLs */

void flick_marshal_stub_sCLs(flick_marshal_stream_t _stream, const struct sCLs *_data);

void flick_unmarshal_stub_sCLs(flick_marshal_stream_t _stream, struct sCLs *_data);

#include <fluke/flick.h>

struct cLd arrays_test_cLd(mom_ref_t _obj, const struct cLd *inp, struct cLd *iop, struct cLd *outp, mom_exc_t *_ev);

struct dLc arrays_test_dLc(mom_ref_t _obj, const struct dLc *inp, struct dLc *iop, struct dLc *outp, mom_exc_t *_ev);

struct sLs arrays_test_sLs(mom_ref_t _obj, const struct sLs *inp, struct sLs *iop, struct sLs *outp, mom_exc_t *_ev);

struct cLCd arrays_test_cLCd(mom_ref_t _obj, const struct cLCd *inp, struct cLCd *iop, struct cLCd *outp, mom_exc_t *_ev);

struct dLCc arrays_test_dLCc(mom_ref_t _obj, const struct dLCc *inp, struct dLCc *iop, struct dLCc *outp, mom_exc_t *_ev);

struct sLCs arrays_test_sLCs(mom_ref_t _obj, const struct sLCs *inp, struct sLCs *iop, struct sLCs *outp, mom_exc_t *_ev);

struct cCLd arrays_test_cCLd(mom_ref_t _obj, const struct cCLd *inp, struct cCLd *iop, struct cCLd *outp, mom_exc_t *_ev);

struct dCLc arrays_test_dCLc(mom_ref_t _obj, const struct dCLc *inp, struct dCLc *iop, struct dCLc *outp, mom_exc_t *_ev);

struct sCLs arrays_test_sCLs(mom_ref_t _obj, const struct sCLs *inp, struct sCLs *iop, struct sCLs *outp, mom_exc_t *_ev);

#endif /* _arrays_client_h_ */
