#include "arrays-server.h"

void flick_marshal_stub_end(flick_marshal_stream_t _stream, const struct end *_data)
{
  flick_fluke_encode_new_glob(5);
  flick_fluke_encode_new_chunk(5);
  flick_fluke_encode_signed32(0, _data->elem1);
  flick_fluke_encode_char8(4, _data->elem2);
  flick_fluke_encode_end_chunk(5);
  flick_fluke_encode_end_glob(5);
}

void flick_unmarshal_stub_end(flick_marshal_stream_t _stream, struct end *_data)
{
  flick_fluke_decode_new_glob(5);
  flick_fluke_decode_new_chunk(5);
  flick_fluke_decode_signed32(0, _data->elem1);
  flick_fluke_decode_char8(4, _data->elem2);
  flick_fluke_decode_end_chunk(5);
  flick_fluke_decode_end_glob(5);
}

void flick_marshal_stub_begin(flick_marshal_stream_t _stream, const struct begin *_data)
{
  flick_fluke_encode_new_glob(8);
  flick_fluke_encode_new_chunk(8);
  flick_fluke_encode_char8(0, _data->elem1);
  flick_fluke_encode_signed32(4, _data->elem2);
  flick_fluke_encode_end_chunk(8);
  flick_fluke_encode_end_glob(8);
}

void flick_unmarshal_stub_begin(flick_marshal_stream_t _stream, struct begin *_data)
{
  flick_fluke_decode_new_glob(8);
  flick_fluke_decode_new_chunk(8);
  flick_fluke_decode_char8(0, _data->elem1);
  flick_fluke_decode_signed32(4, _data->elem2);
  flick_fluke_decode_end_chunk(8);
  flick_fluke_decode_end_glob(8);
}

void flick_marshal_stub_cLd(flick_marshal_stream_t _stream, const struct cLd *_data)
{
  flick_unsigned8_t _t0_array_length;
  flick_unsigned8_t _t2_array_iter;

  flick_fluke_encode_new_glob(209);
  flick_fluke_encode_new_chunk(1);
  flick_fluke_encode_char8(0, _data->first);
  _t0_array_length = 50;
  flick_fluke_encode_end_chunk(1);
  for (_t2_array_iter = 0; _t2_array_iter < _t0_array_length; _t2_array_iter++)
    {
      flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
      flick_fluke_encode_signed32(0, _data->data[_t2_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
  flick_fluke_encode_new_chunk_align(8, 3, 2, 0);
  flick_fluke_encode_float64(0, _data->last);
  flick_fluke_encode_end_chunk(8);
  flick_fluke_encode_end_glob(209);
}

void flick_unmarshal_stub_cLd(flick_marshal_stream_t _stream, struct cLd *_data)
{
  flick_unsigned8_t _t3_array_length;
  flick_unsigned8_t _t5_array_iter;

  flick_fluke_decode_new_glob(209);
  flick_fluke_decode_new_chunk(1);
  flick_fluke_decode_char8(0, _data->first);
  _t3_array_length = 50;
  flick_fluke_decode_end_chunk(1);
  for (_t5_array_iter = 0; _t5_array_iter < _t3_array_length; _t5_array_iter++)
    {
      flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
      flick_fluke_decode_signed32(0, _data->data[_t5_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
  flick_fluke_decode_new_chunk_align(8, 3, 2, 0);
  flick_fluke_decode_float64(0, _data->last);
  flick_fluke_decode_end_chunk(8);
  flick_fluke_decode_end_glob(209);
}

void flick_marshal_stub_dLc(flick_marshal_stream_t _stream, const struct dLc *_data)
{
  flick_unsigned8_t _t6_array_length;
  flick_unsigned8_t _t8_array_iter;

  flick_fluke_encode_new_glob(209);
  flick_fluke_encode_new_chunk(8);
  flick_fluke_encode_float64(0, _data->first);
  _t6_array_length = 50;
  flick_fluke_encode_end_chunk(8);
  for (_t8_array_iter = 0; _t8_array_iter < _t6_array_length; _t8_array_iter++)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, _data->data[_t8_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
  flick_fluke_encode_new_chunk(1);
  flick_fluke_encode_char8(0, _data->last);
  flick_fluke_encode_end_chunk(1);
  flick_fluke_encode_end_glob(209);
}

void flick_unmarshal_stub_dLc(flick_marshal_stream_t _stream, struct dLc *_data)
{
  flick_unsigned8_t _t9_array_length;
  flick_unsigned8_t _t11_array_iter;

  flick_fluke_decode_new_glob(209);
  flick_fluke_decode_new_chunk(8);
  flick_fluke_decode_float64(0, _data->first);
  _t9_array_length = 50;
  flick_fluke_decode_end_chunk(8);
  for (_t11_array_iter = 0; _t11_array_iter < _t9_array_length; _t11_array_iter++)
    {
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _data->data[_t11_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
  flick_fluke_decode_new_chunk(1);
  flick_fluke_decode_char8(0, _data->last);
  flick_fluke_decode_end_chunk(1);
  flick_fluke_decode_end_glob(209);
}

void flick_marshal_stub_sLs(flick_marshal_stream_t _stream, const struct sLs *_data)
{
  flick_unsigned8_t _t12_array_length;
  flick_unsigned8_t _t14_array_iter;

  flick_fluke_encode_new_glob(204);
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_signed16(0, _data->first);
  _t12_array_length = 50;
  flick_fluke_encode_end_chunk(2);
  for (_t14_array_iter = 0; _t14_array_iter < _t12_array_length; _t14_array_iter++)
    {
      flick_fluke_encode_new_chunk_align(4, 2, 1, 0);
      flick_fluke_encode_signed32(0, _data->data[_t14_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_signed16(0, _data->last);
  flick_fluke_encode_end_chunk(2);
  flick_fluke_encode_end_glob(204);
}

void flick_unmarshal_stub_sLs(flick_marshal_stream_t _stream, struct sLs *_data)
{
  flick_unsigned8_t _t15_array_length;
  flick_unsigned8_t _t17_array_iter;

  flick_fluke_decode_new_glob(204);
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_signed16(0, _data->first);
  _t15_array_length = 50;
  flick_fluke_decode_end_chunk(2);
  for (_t17_array_iter = 0; _t17_array_iter < _t15_array_length; _t17_array_iter++)
    {
      flick_fluke_decode_new_chunk_align(4, 2, 1, 0);
      flick_fluke_decode_signed32(0, _data->data[_t17_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_signed16(0, _data->last);
  flick_fluke_decode_end_chunk(2);
  flick_fluke_decode_end_glob(204);
}

void flick_marshal_stub_cLCd(flick_marshal_stream_t _stream, const struct cLCd *_data)
{
  flick_unsigned8_t _t18_array_length;
  flick_unsigned8_t _t20_array_iter;

  flick_fluke_encode_new_glob(416);
  flick_fluke_encode_new_chunk(1);
  flick_fluke_encode_char8(0, _data->first);
  _t18_array_length = 50;
  flick_fluke_encode_end_chunk(1);
  for (_t20_array_iter = 0; _t20_array_iter < _t18_array_length; _t20_array_iter++)
    {
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_signed32(3, _data->data[_t20_array_iter].elem1);
      flick_fluke_encode_char8(7, _data->data[_t20_array_iter].elem2);
      flick_fluke_encode_end_chunk(8);
    }
  flick_fluke_encode_new_chunk_align(8, 3, 2, 1);
  flick_fluke_encode_float64(0, _data->last);
  flick_fluke_encode_end_chunk(8);
  flick_fluke_encode_end_glob(416);
}

void flick_unmarshal_stub_cLCd(flick_marshal_stream_t _stream, struct cLCd *_data)
{
  flick_unsigned8_t _t21_array_length;
  flick_unsigned8_t _t23_array_iter;

  flick_fluke_decode_new_glob(416);
  flick_fluke_decode_new_chunk(1);
  flick_fluke_decode_char8(0, _data->first);
  _t21_array_length = 50;
  flick_fluke_decode_end_chunk(1);
  for (_t23_array_iter = 0; _t23_array_iter < _t21_array_length; _t23_array_iter++)
    {
      flick_fluke_decode_new_chunk(8);
      flick_fluke_decode_signed32(3, _data->data[_t23_array_iter].elem1);
      flick_fluke_decode_char8(7, _data->data[_t23_array_iter].elem2);
      flick_fluke_decode_end_chunk(8);
    }
  flick_fluke_decode_new_chunk_align(8, 3, 2, 1);
  flick_fluke_decode_float64(0, _data->last);
  flick_fluke_decode_end_chunk(8);
  flick_fluke_decode_end_glob(416);
}

void flick_marshal_stub_dLCc(flick_marshal_stream_t _stream, const struct dLCc *_data)
{
  flick_unsigned8_t _t24_array_length;
  flick_unsigned8_t _t26_array_iter;

  flick_fluke_encode_new_glob(259);
  flick_fluke_encode_new_chunk(8);
  flick_fluke_encode_float64(0, _data->first);
  _t24_array_length = 50;
  flick_fluke_encode_end_chunk(8);
  for (_t26_array_iter = 0; _t26_array_iter < _t24_array_length; _t26_array_iter++)
    {
      flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
      flick_fluke_encode_signed32(0, _data->data[_t26_array_iter].elem1);
      flick_fluke_encode_char8(4, _data->data[_t26_array_iter].elem2);
      flick_fluke_encode_end_chunk(5);
    }
  flick_fluke_encode_new_chunk(1);
  flick_fluke_encode_char8(0, _data->last);
  flick_fluke_encode_end_chunk(1);
  flick_fluke_encode_end_glob(259);
}

void flick_unmarshal_stub_dLCc(flick_marshal_stream_t _stream, struct dLCc *_data)
{
  flick_unsigned8_t _t27_array_length;
  flick_unsigned8_t _t29_array_iter;

  flick_fluke_decode_new_glob(259);
  flick_fluke_decode_new_chunk(8);
  flick_fluke_decode_float64(0, _data->first);
  _t27_array_length = 50;
  flick_fluke_decode_end_chunk(8);
  for (_t29_array_iter = 0; _t29_array_iter < _t27_array_length; _t29_array_iter++)
    {
      flick_fluke_decode_new_chunk_align(5, 2, 0, 0);
      flick_fluke_decode_signed32(0, _data->data[_t29_array_iter].elem1);
      flick_fluke_decode_char8(4, _data->data[_t29_array_iter].elem2);
      flick_fluke_decode_end_chunk(5);
    }
  flick_fluke_decode_new_chunk(1);
  flick_fluke_decode_char8(0, _data->last);
  flick_fluke_decode_end_chunk(1);
  flick_fluke_decode_end_glob(259);
}

void flick_marshal_stub_sLCs(flick_marshal_stream_t _stream, const struct sLCs *_data)
{
  flick_unsigned8_t _t30_array_length;
  flick_unsigned8_t _t32_array_iter;

  flick_fluke_encode_new_glob(255);
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_signed16(0, _data->first);
  _t30_array_length = 50;
  flick_fluke_encode_end_chunk(2);
  for (_t32_array_iter = 0; _t32_array_iter < _t30_array_length; _t32_array_iter++)
    {
      flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
      flick_fluke_encode_signed32(0, _data->data[_t32_array_iter].elem1);
      flick_fluke_encode_char8(4, _data->data[_t32_array_iter].elem2);
      flick_fluke_encode_end_chunk(5);
    }
  flick_fluke_encode_new_chunk(3);
  flick_fluke_encode_signed16(1, _data->last);
  flick_fluke_encode_end_chunk(3);
  flick_fluke_encode_end_glob(255);
}

void flick_unmarshal_stub_sLCs(flick_marshal_stream_t _stream, struct sLCs *_data)
{
  flick_unsigned8_t _t33_array_length;
  flick_unsigned8_t _t35_array_iter;

  flick_fluke_decode_new_glob(255);
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_signed16(0, _data->first);
  _t33_array_length = 50;
  flick_fluke_decode_end_chunk(2);
  for (_t35_array_iter = 0; _t35_array_iter < _t33_array_length; _t35_array_iter++)
    {
      flick_fluke_decode_new_chunk_align(5, 2, 0, 0);
      flick_fluke_decode_signed32(0, _data->data[_t35_array_iter].elem1);
      flick_fluke_decode_char8(4, _data->data[_t35_array_iter].elem2);
      flick_fluke_decode_end_chunk(5);
    }
  flick_fluke_decode_new_chunk(3);
  flick_fluke_decode_signed16(1, _data->last);
  flick_fluke_decode_end_chunk(3);
  flick_fluke_decode_end_glob(255);
}

void flick_marshal_stub_cCLd(flick_marshal_stream_t _stream, const struct cCLd *_data)
{
  flick_unsigned8_t _t36_array_length;
  flick_unsigned8_t _t38_array_iter;

  flick_fluke_encode_new_glob(259);
  flick_fluke_encode_new_chunk(1);
  flick_fluke_encode_char8(0, _data->first);
  _t36_array_length = 50;
  flick_fluke_encode_end_chunk(1);
  for (_t38_array_iter = 0; _t38_array_iter < _t36_array_length; _t38_array_iter++)
    {
      flick_fluke_encode_new_chunk(1);
      flick_fluke_encode_char8(0, _data->data[_t38_array_iter].elem1);
      flick_fluke_encode_end_chunk(1);
      flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
      flick_fluke_encode_signed32(0, _data->data[_t38_array_iter].elem2);
      flick_fluke_encode_end_chunk(4);
    }
  flick_fluke_encode_new_chunk_align(8, 3, 2, 0);
  flick_fluke_encode_float64(0, _data->last);
  flick_fluke_encode_end_chunk(8);
  flick_fluke_encode_end_glob(259);
}

void flick_unmarshal_stub_cCLd(flick_marshal_stream_t _stream, struct cCLd *_data)
{
  flick_unsigned8_t _t39_array_length;
  flick_unsigned8_t _t41_array_iter;

  flick_fluke_decode_new_glob(259);
  flick_fluke_decode_new_chunk(1);
  flick_fluke_decode_char8(0, _data->first);
  _t39_array_length = 50;
  flick_fluke_decode_end_chunk(1);
  for (_t41_array_iter = 0; _t41_array_iter < _t39_array_length; _t41_array_iter++)
    {
      flick_fluke_decode_new_chunk(1);
      flick_fluke_decode_char8(0, _data->data[_t41_array_iter].elem1);
      flick_fluke_decode_end_chunk(1);
      flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
      flick_fluke_decode_signed32(0, _data->data[_t41_array_iter].elem2);
      flick_fluke_decode_end_chunk(4);
    }
  flick_fluke_decode_new_chunk_align(8, 3, 2, 0);
  flick_fluke_decode_float64(0, _data->last);
  flick_fluke_decode_end_chunk(8);
  flick_fluke_decode_end_glob(259);
}

void flick_marshal_stub_dCLc(flick_marshal_stream_t _stream, const struct dCLc *_data)
{
  flick_unsigned8_t _t42_array_length;
  flick_unsigned8_t _t44_array_iter;

  flick_fluke_encode_new_glob(409);
  flick_fluke_encode_new_chunk(8);
  flick_fluke_encode_float64(0, _data->first);
  _t42_array_length = 50;
  flick_fluke_encode_end_chunk(8);
  for (_t44_array_iter = 0; _t44_array_iter < _t42_array_length; _t44_array_iter++)
    {
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_char8(0, _data->data[_t44_array_iter].elem1);
      flick_fluke_encode_signed32(4, _data->data[_t44_array_iter].elem2);
      flick_fluke_encode_end_chunk(8);
    }
  flick_fluke_encode_new_chunk(1);
  flick_fluke_encode_char8(0, _data->last);
  flick_fluke_encode_end_chunk(1);
  flick_fluke_encode_end_glob(409);
}

void flick_unmarshal_stub_dCLc(flick_marshal_stream_t _stream, struct dCLc *_data)
{
  flick_unsigned8_t _t45_array_length;
  flick_unsigned8_t _t47_array_iter;

  flick_fluke_decode_new_glob(409);
  flick_fluke_decode_new_chunk(8);
  flick_fluke_decode_float64(0, _data->first);
  _t45_array_length = 50;
  flick_fluke_decode_end_chunk(8);
  for (_t47_array_iter = 0; _t47_array_iter < _t45_array_length; _t47_array_iter++)
    {
      flick_fluke_decode_new_chunk(8);
      flick_fluke_decode_char8(0, _data->data[_t47_array_iter].elem1);
      flick_fluke_decode_signed32(4, _data->data[_t47_array_iter].elem2);
      flick_fluke_decode_end_chunk(8);
    }
  flick_fluke_decode_new_chunk(1);
  flick_fluke_decode_char8(0, _data->last);
  flick_fluke_decode_end_chunk(1);
  flick_fluke_decode_end_glob(409);
}

void flick_marshal_stub_sCLs(flick_marshal_stream_t _stream, const struct sCLs *_data)
{
  flick_unsigned8_t _t48_array_length;
  flick_unsigned8_t _t50_array_iter;

  flick_fluke_encode_new_glob(404);
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_signed16(0, _data->first);
  _t48_array_length = 50;
  flick_fluke_encode_end_chunk(2);
  for (_t50_array_iter = 0; _t50_array_iter < _t48_array_length; _t50_array_iter++)
    {
      flick_fluke_encode_new_chunk(1);
      flick_fluke_encode_char8(0, _data->data[_t50_array_iter].elem1);
      flick_fluke_encode_end_chunk(1);
      flick_fluke_encode_new_chunk_align(4, 2, 1, 1);
      flick_fluke_encode_signed32(0, _data->data[_t50_array_iter].elem2);
      flick_fluke_encode_end_chunk(4);
    }
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_signed16(0, _data->last);
  flick_fluke_encode_end_chunk(2);
  flick_fluke_encode_end_glob(404);
}

void flick_unmarshal_stub_sCLs(flick_marshal_stream_t _stream, struct sCLs *_data)
{
  flick_unsigned8_t _t51_array_length;
  flick_unsigned8_t _t53_array_iter;

  flick_fluke_decode_new_glob(404);
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_signed16(0, _data->first);
  _t51_array_length = 50;
  flick_fluke_decode_end_chunk(2);
  for (_t53_array_iter = 0; _t53_array_iter < _t51_array_length; _t53_array_iter++)
    {
      flick_fluke_decode_new_chunk(1);
      flick_fluke_decode_char8(0, _data->data[_t53_array_iter].elem1);
      flick_fluke_decode_end_chunk(1);
      flick_fluke_decode_new_chunk_align(4, 2, 1, 1);
      flick_fluke_decode_signed32(0, _data->data[_t53_array_iter].elem2);
      flick_fluke_decode_end_chunk(4);
    }
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_signed16(0, _data->last);
  flick_fluke_decode_end_chunk(2);
  flick_fluke_decode_end_glob(404);
}

void flick_marshal_stub_arrays(flick_marshal_stream_t _stream, const arrays *_data)
{
}

void flick_unmarshal_stub_arrays(flick_marshal_stream_t _stream, arrays *_data)
{
}

mom_dispatch_action_t arrays_server(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t307_switch_tag;

    flick_fluke_decode_new_glob(836);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t307_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch (_t307_switch_tag)
      {
      case req_arrays_test_cLd:
        {
          {
            arrays *_obj;
            struct cLd *_local_inp;
            struct cLd *_local_iop;
            struct cLd *_local_outp;
            mom_exc_t *_ev;
            struct cLd _return;
            struct cLd _t308_storage;
            mom_exc_t _t309_storage;
            struct cLd _t310_storage;
            flick_unsigned8_t _t311_array_length;
            flick_unsigned8_t _t313_array_iter;
            struct cLd _t314_storage;
            flick_unsigned8_t _t315_array_length;
            flick_unsigned8_t _t317_array_iter;

            _obj = (arrays *)_dispatch_obj;
            _local_outp = &_t308_storage;
            _ev = &_t309_storage;
            /* Begin decode phase on parameters */
            _local_inp = &_t310_storage;
            flick_fluke_decode_new_chunk(1);
            flick_fluke_decode_char8(0, _local_inp->first);
            _t311_array_length = 50;
            flick_fluke_decode_end_chunk(1);
            for (_t313_array_iter = 0; _t313_array_iter < _t311_array_length; _t313_array_iter++)
              {
                flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
                flick_fluke_decode_signed32(0, _local_inp->data[_t313_array_iter]);
                flick_fluke_decode_end_chunk(4);
              }
            flick_fluke_decode_new_chunk_align(9, 3, 2, 0);
            flick_fluke_decode_float64(0, _local_inp->last);
            _local_iop = &_t314_storage;
            flick_fluke_decode_char8(8, _local_iop->first);
            _t315_array_length = 50;
            flick_fluke_decode_end_chunk(9);
            for (_t317_array_iter = 0; _t317_array_iter < _t315_array_length; _t317_array_iter++)
              {
                flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
                flick_fluke_decode_signed32(0, _local_iop->data[_t317_array_iter]);
                flick_fluke_decode_end_chunk(4);
              }
            flick_fluke_decode_new_chunk_align(8, 3, 2, 0);
            flick_fluke_decode_float64(0, _local_iop->last);
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(836);
            flick_mom_init_environment();
            _return = arrays_server_test_cLd(_obj, _local_inp, _local_iop, _local_outp, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(631);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  flick_unsigned8_t _t327_array_length;
                  flick_unsigned8_t _t329_array_iter;
                  flick_unsigned8_t _t330_array_length;
                  flick_unsigned8_t _t332_array_iter;
                  flick_unsigned8_t _t333_array_length;
                  flick_unsigned8_t _t335_array_iter;

                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(1);
                  flick_fluke_encode_char8(0, _local_iop->first);
                  _t327_array_length = 50;
                  flick_fluke_encode_end_chunk(1);
                  for (_t329_array_iter = 0; _t329_array_iter < _t327_array_length; _t329_array_iter++)
                    {
                      flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
                      flick_fluke_encode_signed32(0, _local_iop->data[_t329_array_iter]);
                      flick_fluke_encode_end_chunk(4);
                    }
                  flick_fluke_encode_new_chunk_align(9, 3, 2, 0);
                  flick_fluke_encode_float64(0, _local_iop->last);
                  flick_fluke_encode_char8(8, _local_outp->first);
                  _t330_array_length = 50;
                  flick_fluke_encode_end_chunk(9);
                  for (_t332_array_iter = 0; _t332_array_iter < _t330_array_length; _t332_array_iter++)
                    {
                      flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
                      flick_fluke_encode_signed32(0, _local_outp->data[_t332_array_iter]);
                      flick_fluke_encode_end_chunk(4);
                    }
                  flick_fluke_encode_new_chunk_align(9, 3, 2, 0);
                  flick_fluke_encode_float64(0, _local_outp->last);
                  flick_fluke_encode_char8(8, _return.first);
                  _t333_array_length = 50;
                  flick_fluke_encode_end_chunk(9);
                  for (_t335_array_iter = 0; _t335_array_iter < _t333_array_length; _t335_array_iter++)
                    {
                      flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
                      flick_fluke_encode_signed32(0, _return.data[_t335_array_iter]);
                      flick_fluke_encode_end_chunk(4);
                    }
                  flick_fluke_encode_new_chunk_align(8, 3, 2, 0);
                  flick_fluke_encode_float64(0, _return.last);
                  flick_fluke_encode_end_chunk(8);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(631);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_arrays_test_dLc:
        {
          {
            arrays *_obj;
            struct dLc *_local_inp;
            struct dLc *_local_iop;
            struct dLc *_local_outp;
            mom_exc_t *_ev;
            struct dLc _return;
            struct dLc _t336_storage;
            mom_exc_t _t337_storage;
            struct dLc _t338_storage;
            flick_unsigned8_t _t339_array_length;
            flick_unsigned8_t _t341_array_iter;
            struct dLc _t342_storage;
            flick_unsigned8_t _t343_array_length;
            flick_unsigned8_t _t345_array_iter;

            _obj = (arrays *)_dispatch_obj;
            _local_outp = &_t336_storage;
            _ev = &_t337_storage;
            /* Begin decode phase on parameters */
            _local_inp = &_t338_storage;
            flick_fluke_decode_new_chunk(12);
            flick_fluke_decode_float64(4, _local_inp->first);
            _t339_array_length = 50;
            flick_fluke_decode_end_chunk(12);
            for (_t341_array_iter = 0; _t341_array_iter < _t339_array_length; _t341_array_iter++)
              {
                flick_fluke_decode_new_chunk(4);
                flick_fluke_decode_signed32(0, _local_inp->data[_t341_array_iter]);
                flick_fluke_decode_end_chunk(4);
              }
            flick_fluke_decode_new_chunk(1);
            flick_fluke_decode_char8(0, _local_inp->last);
            _local_iop = &_t342_storage;
            flick_fluke_decode_end_chunk(1);
            flick_fluke_decode_new_chunk_align(8, 3, 2, 1);
            flick_fluke_decode_float64(0, _local_iop->first);
            _t343_array_length = 50;
            flick_fluke_decode_end_chunk(8);
            for (_t345_array_iter = 0; _t345_array_iter < _t343_array_length; _t345_array_iter++)
              {
                flick_fluke_decode_new_chunk(4);
                flick_fluke_decode_signed32(0, _local_iop->data[_t345_array_iter]);
                flick_fluke_decode_end_chunk(4);
              }
            flick_fluke_decode_new_chunk(1);
            flick_fluke_decode_char8(0, _local_iop->last);
            flick_fluke_decode_end_chunk(1);
            flick_fluke_decode_end_glob(836);
            flick_mom_init_environment();
            _return = arrays_server_test_dLc(_obj, _local_inp, _local_iop, _local_outp, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(649);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  flick_unsigned8_t _t355_array_length;
                  flick_unsigned8_t _t357_array_iter;
                  flick_unsigned8_t _t358_array_length;
                  flick_unsigned8_t _t360_array_iter;
                  flick_unsigned8_t _t361_array_length;
                  flick_unsigned8_t _t363_array_iter;

                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(12);
                  flick_fluke_encode_float64(4, _local_iop->first);
                  _t355_array_length = 50;
                  flick_fluke_encode_end_chunk(12);
                  for (_t357_array_iter = 0; _t357_array_iter < _t355_array_length; _t357_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(4);
                      flick_fluke_encode_signed32(0, _local_iop->data[_t357_array_iter]);
                      flick_fluke_encode_end_chunk(4);
                    }
                  flick_fluke_encode_new_chunk(1);
                  flick_fluke_encode_char8(0, _local_iop->last);
                  flick_fluke_encode_end_chunk(1);
                  flick_fluke_encode_new_chunk_align(8, 3, 2, 1);
                  flick_fluke_encode_float64(0, _local_outp->first);
                  _t358_array_length = 50;
                  flick_fluke_encode_end_chunk(8);
                  for (_t360_array_iter = 0; _t360_array_iter < _t358_array_length; _t360_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(4);
                      flick_fluke_encode_signed32(0, _local_outp->data[_t360_array_iter]);
                      flick_fluke_encode_end_chunk(4);
                    }
                  flick_fluke_encode_new_chunk(1);
                  flick_fluke_encode_char8(0, _local_outp->last);
                  flick_fluke_encode_end_chunk(1);
                  flick_fluke_encode_new_chunk_align(8, 3, 2, 1);
                  flick_fluke_encode_float64(0, _return.first);
                  _t361_array_length = 50;
                  flick_fluke_encode_end_chunk(8);
                  for (_t363_array_iter = 0; _t363_array_iter < _t361_array_length; _t363_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(4);
                      flick_fluke_encode_signed32(0, _return.data[_t363_array_iter]);
                      flick_fluke_encode_end_chunk(4);
                    }
                  flick_fluke_encode_new_chunk(1);
                  flick_fluke_encode_char8(0, _return.last);
                  flick_fluke_encode_end_chunk(1);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(649);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_arrays_test_sLs:
        {
          {
            arrays *_obj;
            struct sLs *_local_inp;
            struct sLs *_local_iop;
            struct sLs *_local_outp;
            mom_exc_t *_ev;
            struct sLs _return;
            struct sLs _t364_storage;
            mom_exc_t _t365_storage;
            struct sLs _t366_storage;
            flick_unsigned8_t _t367_array_length;
            flick_unsigned8_t _t369_array_iter;
            struct sLs _t370_storage;
            flick_unsigned8_t _t371_array_length;
            flick_unsigned8_t _t373_array_iter;

            _obj = (arrays *)_dispatch_obj;
            _local_outp = &_t364_storage;
            _ev = &_t365_storage;
            /* Begin decode phase on parameters */
            _local_inp = &_t366_storage;
            flick_fluke_decode_new_chunk(2);
            flick_fluke_decode_signed16(0, _local_inp->first);
            _t367_array_length = 50;
            flick_fluke_decode_end_chunk(2);
            for (_t369_array_iter = 0; _t369_array_iter < _t367_array_length; _t369_array_iter++)
              {
                flick_fluke_decode_new_chunk_align(4, 2, 1, 0);
                flick_fluke_decode_signed32(0, _local_inp->data[_t369_array_iter]);
                flick_fluke_decode_end_chunk(4);
              }
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed16(0, _local_inp->last);
            _local_iop = &_t370_storage;
            flick_fluke_decode_signed16(2, _local_iop->first);
            _t371_array_length = 50;
            flick_fluke_decode_end_chunk(4);
            for (_t373_array_iter = 0; _t373_array_iter < _t371_array_length; _t373_array_iter++)
              {
                flick_fluke_decode_new_chunk(4);
                flick_fluke_decode_signed32(0, _local_iop->data[_t373_array_iter]);
                flick_fluke_decode_end_chunk(4);
              }
            flick_fluke_decode_new_chunk(2);
            flick_fluke_decode_signed16(0, _local_iop->last);
            flick_fluke_decode_end_chunk(2);
            flick_fluke_decode_end_glob(836);
            flick_mom_init_environment();
            _return = arrays_server_test_sLs(_obj, _local_inp, _local_iop, _local_outp, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(616);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  flick_unsigned8_t _t383_array_length;
                  flick_unsigned8_t _t385_array_iter;
                  flick_unsigned8_t _t386_array_length;
                  flick_unsigned8_t _t388_array_iter;
                  flick_unsigned8_t _t389_array_length;
                  flick_unsigned8_t _t391_array_iter;

                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(2);
                  flick_fluke_encode_signed16(0, _local_iop->first);
                  _t383_array_length = 50;
                  flick_fluke_encode_end_chunk(2);
                  for (_t385_array_iter = 0; _t385_array_iter < _t383_array_length; _t385_array_iter++)
                    {
                      flick_fluke_encode_new_chunk_align(4, 2, 1, 0);
                      flick_fluke_encode_signed32(0, _local_iop->data[_t385_array_iter]);
                      flick_fluke_encode_end_chunk(4);
                    }
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed16(0, _local_iop->last);
                  flick_fluke_encode_signed16(2, _local_outp->first);
                  _t386_array_length = 50;
                  flick_fluke_encode_end_chunk(4);
                  for (_t388_array_iter = 0; _t388_array_iter < _t386_array_length; _t388_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(4);
                      flick_fluke_encode_signed32(0, _local_outp->data[_t388_array_iter]);
                      flick_fluke_encode_end_chunk(4);
                    }
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed16(0, _local_outp->last);
                  flick_fluke_encode_signed16(2, _return.first);
                  _t389_array_length = 50;
                  flick_fluke_encode_end_chunk(4);
                  for (_t391_array_iter = 0; _t391_array_iter < _t389_array_length; _t391_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(4);
                      flick_fluke_encode_signed32(0, _return.data[_t391_array_iter]);
                      flick_fluke_encode_end_chunk(4);
                    }
                  flick_fluke_encode_new_chunk(2);
                  flick_fluke_encode_signed16(0, _return.last);
                  flick_fluke_encode_end_chunk(2);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(616);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_arrays_test_cLCd:
        {
          {
            arrays *_obj;
            struct cLCd *_local_inp;
            struct cLCd *_local_iop;
            struct cLCd *_local_outp;
            mom_exc_t *_ev;
            struct cLCd _return;
            struct cLCd _t392_storage;
            mom_exc_t _t393_storage;
            struct cLCd _t394_storage;
            flick_unsigned8_t _t395_array_length;
            flick_unsigned8_t _t397_array_iter;
            struct cLCd _t398_storage;
            flick_unsigned8_t _t399_array_length;
            flick_unsigned8_t _t401_array_iter;

            _obj = (arrays *)_dispatch_obj;
            _local_outp = &_t392_storage;
            _ev = &_t393_storage;
            /* Begin decode phase on parameters */
            _local_inp = &_t394_storage;
            flick_fluke_decode_new_chunk(1);
            flick_fluke_decode_char8(0, _local_inp->first);
            _t395_array_length = 50;
            flick_fluke_decode_end_chunk(1);
            for (_t397_array_iter = 0; _t397_array_iter < _t395_array_length; _t397_array_iter++)
              {
                flick_fluke_decode_new_chunk(8);
                flick_fluke_decode_signed32(3, _local_inp->data[_t397_array_iter].elem1);
                flick_fluke_decode_char8(7, _local_inp->data[_t397_array_iter].elem2);
                flick_fluke_decode_end_chunk(8);
              }
            flick_fluke_decode_new_chunk_align(9, 3, 2, 1);
            flick_fluke_decode_float64(0, _local_inp->last);
            _local_iop = &_t398_storage;
            flick_fluke_decode_char8(8, _local_iop->first);
            _t399_array_length = 50;
            flick_fluke_decode_end_chunk(9);
            for (_t401_array_iter = 0; _t401_array_iter < _t399_array_length; _t401_array_iter++)
              {
                flick_fluke_decode_new_chunk(8);
                flick_fluke_decode_signed32(3, _local_iop->data[_t401_array_iter].elem1);
                flick_fluke_decode_char8(7, _local_iop->data[_t401_array_iter].elem2);
                flick_fluke_decode_end_chunk(8);
              }
            flick_fluke_decode_new_chunk_align(8, 3, 2, 1);
            flick_fluke_decode_float64(0, _local_iop->last);
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(836);
            flick_mom_init_environment();
            _return = arrays_server_test_cLCd(_obj, _local_inp, _local_iop, _local_outp, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(1252);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  flick_unsigned8_t _t411_array_length;
                  flick_unsigned8_t _t413_array_iter;
                  flick_unsigned8_t _t414_array_length;
                  flick_unsigned8_t _t416_array_iter;
                  flick_unsigned8_t _t417_array_length;
                  flick_unsigned8_t _t419_array_iter;

                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(1);
                  flick_fluke_encode_char8(0, _local_iop->first);
                  _t411_array_length = 50;
                  flick_fluke_encode_end_chunk(1);
                  for (_t413_array_iter = 0; _t413_array_iter < _t411_array_length; _t413_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(8);
                      flick_fluke_encode_signed32(3, _local_iop->data[_t413_array_iter].elem1);
                      flick_fluke_encode_char8(7, _local_iop->data[_t413_array_iter].elem2);
                      flick_fluke_encode_end_chunk(8);
                    }
                  flick_fluke_encode_new_chunk_align(9, 3, 2, 1);
                  flick_fluke_encode_float64(0, _local_iop->last);
                  flick_fluke_encode_char8(8, _local_outp->first);
                  _t414_array_length = 50;
                  flick_fluke_encode_end_chunk(9);
                  for (_t416_array_iter = 0; _t416_array_iter < _t414_array_length; _t416_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(8);
                      flick_fluke_encode_signed32(3, _local_outp->data[_t416_array_iter].elem1);
                      flick_fluke_encode_char8(7, _local_outp->data[_t416_array_iter].elem2);
                      flick_fluke_encode_end_chunk(8);
                    }
                  flick_fluke_encode_new_chunk_align(9, 3, 2, 1);
                  flick_fluke_encode_float64(0, _local_outp->last);
                  flick_fluke_encode_char8(8, _return.first);
                  _t417_array_length = 50;
                  flick_fluke_encode_end_chunk(9);
                  for (_t419_array_iter = 0; _t419_array_iter < _t417_array_length; _t419_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(8);
                      flick_fluke_encode_signed32(3, _return.data[_t419_array_iter].elem1);
                      flick_fluke_encode_char8(7, _return.data[_t419_array_iter].elem2);
                      flick_fluke_encode_end_chunk(8);
                    }
                  flick_fluke_encode_new_chunk_align(8, 3, 2, 1);
                  flick_fluke_encode_float64(0, _return.last);
                  flick_fluke_encode_end_chunk(8);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(1252);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_arrays_test_dLCc:
        {
          {
            arrays *_obj;
            struct dLCc *_local_inp;
            struct dLCc *_local_iop;
            struct dLCc *_local_outp;
            mom_exc_t *_ev;
            struct dLCc _return;
            struct dLCc _t420_storage;
            mom_exc_t _t421_storage;
            struct dLCc _t422_storage;
            flick_unsigned8_t _t423_array_length;
            flick_unsigned8_t _t425_array_iter;
            struct dLCc _t426_storage;
            flick_unsigned8_t _t427_array_length;
            flick_unsigned8_t _t429_array_iter;

            _obj = (arrays *)_dispatch_obj;
            _local_outp = &_t420_storage;
            _ev = &_t421_storage;
            /* Begin decode phase on parameters */
            _local_inp = &_t422_storage;
            flick_fluke_decode_new_chunk(12);
            flick_fluke_decode_float64(4, _local_inp->first);
            _t423_array_length = 50;
            flick_fluke_decode_end_chunk(12);
            for (_t425_array_iter = 0; _t425_array_iter < _t423_array_length; _t425_array_iter++)
              {
                flick_fluke_decode_new_chunk_align(5, 2, 0, 0);
                flick_fluke_decode_signed32(0, _local_inp->data[_t425_array_iter].elem1);
                flick_fluke_decode_char8(4, _local_inp->data[_t425_array_iter].elem2);
                flick_fluke_decode_end_chunk(5);
              }
            flick_fluke_decode_new_chunk(1);
            flick_fluke_decode_char8(0, _local_inp->last);
            _local_iop = &_t426_storage;
            flick_fluke_decode_end_chunk(1);
            flick_fluke_decode_new_chunk_align(8, 3, 2, 2);
            flick_fluke_decode_float64(0, _local_iop->first);
            _t427_array_length = 50;
            flick_fluke_decode_end_chunk(8);
            for (_t429_array_iter = 0; _t429_array_iter < _t427_array_length; _t429_array_iter++)
              {
                flick_fluke_decode_new_chunk_align(5, 2, 0, 0);
                flick_fluke_decode_signed32(0, _local_iop->data[_t429_array_iter].elem1);
                flick_fluke_decode_char8(4, _local_iop->data[_t429_array_iter].elem2);
                flick_fluke_decode_end_chunk(5);
              }
            flick_fluke_decode_new_chunk(1);
            flick_fluke_decode_char8(0, _local_iop->last);
            flick_fluke_decode_end_chunk(1);
            flick_fluke_decode_end_glob(836);
            flick_mom_init_environment();
            _return = arrays_server_test_dLCc(_obj, _local_inp, _local_iop, _local_outp, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(797);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  flick_unsigned8_t _t439_array_length;
                  flick_unsigned8_t _t441_array_iter;
                  flick_unsigned8_t _t442_array_length;
                  flick_unsigned8_t _t444_array_iter;
                  flick_unsigned8_t _t445_array_length;
                  flick_unsigned8_t _t447_array_iter;

                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(12);
                  flick_fluke_encode_float64(4, _local_iop->first);
                  _t439_array_length = 50;
                  flick_fluke_encode_end_chunk(12);
                  for (_t441_array_iter = 0; _t441_array_iter < _t439_array_length; _t441_array_iter++)
                    {
                      flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
                      flick_fluke_encode_signed32(0, _local_iop->data[_t441_array_iter].elem1);
                      flick_fluke_encode_char8(4, _local_iop->data[_t441_array_iter].elem2);
                      flick_fluke_encode_end_chunk(5);
                    }
                  flick_fluke_encode_new_chunk(1);
                  flick_fluke_encode_char8(0, _local_iop->last);
                  flick_fluke_encode_end_chunk(1);
                  flick_fluke_encode_new_chunk_align(8, 3, 2, 2);
                  flick_fluke_encode_float64(0, _local_outp->first);
                  _t442_array_length = 50;
                  flick_fluke_encode_end_chunk(8);
                  for (_t444_array_iter = 0; _t444_array_iter < _t442_array_length; _t444_array_iter++)
                    {
                      flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
                      flick_fluke_encode_signed32(0, _local_outp->data[_t444_array_iter].elem1);
                      flick_fluke_encode_char8(4, _local_outp->data[_t444_array_iter].elem2);
                      flick_fluke_encode_end_chunk(5);
                    }
                  flick_fluke_encode_new_chunk(1);
                  flick_fluke_encode_char8(0, _local_outp->last);
                  flick_fluke_encode_end_chunk(1);
                  flick_fluke_encode_new_chunk_align(8, 3, 2, 2);
                  flick_fluke_encode_float64(0, _return.first);
                  _t445_array_length = 50;
                  flick_fluke_encode_end_chunk(8);
                  for (_t447_array_iter = 0; _t447_array_iter < _t445_array_length; _t447_array_iter++)
                    {
                      flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
                      flick_fluke_encode_signed32(0, _return.data[_t447_array_iter].elem1);
                      flick_fluke_encode_char8(4, _return.data[_t447_array_iter].elem2);
                      flick_fluke_encode_end_chunk(5);
                    }
                  flick_fluke_encode_new_chunk(1);
                  flick_fluke_encode_char8(0, _return.last);
                  flick_fluke_encode_end_chunk(1);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(797);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_arrays_test_sLCs:
        {
          {
            arrays *_obj;
            struct sLCs *_local_inp;
            struct sLCs *_local_iop;
            struct sLCs *_local_outp;
            mom_exc_t *_ev;
            struct sLCs _return;
            struct sLCs _t448_storage;
            mom_exc_t _t449_storage;
            struct sLCs _t450_storage;
            flick_unsigned8_t _t451_array_length;
            flick_unsigned8_t _t453_array_iter;
            struct sLCs _t454_storage;
            flick_unsigned8_t _t455_array_length;
            flick_unsigned8_t _t457_array_iter;

            _obj = (arrays *)_dispatch_obj;
            _local_outp = &_t448_storage;
            _ev = &_t449_storage;
            /* Begin decode phase on parameters */
            _local_inp = &_t450_storage;
            flick_fluke_decode_new_chunk(2);
            flick_fluke_decode_signed16(0, _local_inp->first);
            _t451_array_length = 50;
            flick_fluke_decode_end_chunk(2);
            for (_t453_array_iter = 0; _t453_array_iter < _t451_array_length; _t453_array_iter++)
              {
                flick_fluke_decode_new_chunk_align(5, 2, 0, 0);
                flick_fluke_decode_signed32(0, _local_inp->data[_t453_array_iter].elem1);
                flick_fluke_decode_char8(4, _local_inp->data[_t453_array_iter].elem2);
                flick_fluke_decode_end_chunk(5);
              }
            flick_fluke_decode_new_chunk(5);
            flick_fluke_decode_signed16(1, _local_inp->last);
            _local_iop = &_t454_storage;
            flick_fluke_decode_signed16(3, _local_iop->first);
            _t455_array_length = 50;
            flick_fluke_decode_end_chunk(5);
            for (_t457_array_iter = 0; _t457_array_iter < _t455_array_length; _t457_array_iter++)
              {
                flick_fluke_decode_new_chunk_align(5, 2, 0, 0);
                flick_fluke_decode_signed32(0, _local_iop->data[_t457_array_iter].elem1);
                flick_fluke_decode_char8(4, _local_iop->data[_t457_array_iter].elem2);
                flick_fluke_decode_end_chunk(5);
              }
            flick_fluke_decode_new_chunk(3);
            flick_fluke_decode_signed16(1, _local_iop->last);
            flick_fluke_decode_end_chunk(3);
            flick_fluke_decode_end_glob(836);
            flick_mom_init_environment();
            _return = arrays_server_test_sLCs(_obj, _local_inp, _local_iop, _local_outp, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(769);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  flick_unsigned8_t _t467_array_length;
                  flick_unsigned8_t _t469_array_iter;
                  flick_unsigned8_t _t470_array_length;
                  flick_unsigned8_t _t472_array_iter;
                  flick_unsigned8_t _t473_array_length;
                  flick_unsigned8_t _t475_array_iter;

                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(2);
                  flick_fluke_encode_signed16(0, _local_iop->first);
                  _t467_array_length = 50;
                  flick_fluke_encode_end_chunk(2);
                  for (_t469_array_iter = 0; _t469_array_iter < _t467_array_length; _t469_array_iter++)
                    {
                      flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
                      flick_fluke_encode_signed32(0, _local_iop->data[_t469_array_iter].elem1);
                      flick_fluke_encode_char8(4, _local_iop->data[_t469_array_iter].elem2);
                      flick_fluke_encode_end_chunk(5);
                    }
                  flick_fluke_encode_new_chunk(5);
                  flick_fluke_encode_signed16(1, _local_iop->last);
                  flick_fluke_encode_signed16(3, _local_outp->first);
                  _t470_array_length = 50;
                  flick_fluke_encode_end_chunk(5);
                  for (_t472_array_iter = 0; _t472_array_iter < _t470_array_length; _t472_array_iter++)
                    {
                      flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
                      flick_fluke_encode_signed32(0, _local_outp->data[_t472_array_iter].elem1);
                      flick_fluke_encode_char8(4, _local_outp->data[_t472_array_iter].elem2);
                      flick_fluke_encode_end_chunk(5);
                    }
                  flick_fluke_encode_new_chunk(5);
                  flick_fluke_encode_signed16(1, _local_outp->last);
                  flick_fluke_encode_signed16(3, _return.first);
                  _t473_array_length = 50;
                  flick_fluke_encode_end_chunk(5);
                  for (_t475_array_iter = 0; _t475_array_iter < _t473_array_length; _t475_array_iter++)
                    {
                      flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
                      flick_fluke_encode_signed32(0, _return.data[_t475_array_iter].elem1);
                      flick_fluke_encode_char8(4, _return.data[_t475_array_iter].elem2);
                      flick_fluke_encode_end_chunk(5);
                    }
                  flick_fluke_encode_new_chunk(3);
                  flick_fluke_encode_signed16(1, _return.last);
                  flick_fluke_encode_end_chunk(3);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(769);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_arrays_test_cCLd:
        {
          {
            arrays *_obj;
            struct cCLd *_local_inp;
            struct cCLd *_local_iop;
            struct cCLd *_local_outp;
            mom_exc_t *_ev;
            struct cCLd _return;
            struct cCLd _t476_storage;
            mom_exc_t _t477_storage;
            struct cCLd _t478_storage;
            flick_unsigned8_t _t479_array_length;
            flick_unsigned8_t _t481_array_iter;
            struct cCLd _t482_storage;
            flick_unsigned8_t _t483_array_length;
            flick_unsigned8_t _t485_array_iter;

            _obj = (arrays *)_dispatch_obj;
            _local_outp = &_t476_storage;
            _ev = &_t477_storage;
            /* Begin decode phase on parameters */
            _local_inp = &_t478_storage;
            flick_fluke_decode_new_chunk(1);
            flick_fluke_decode_char8(0, _local_inp->first);
            _t479_array_length = 50;
            flick_fluke_decode_end_chunk(1);
            for (_t481_array_iter = 0; _t481_array_iter < _t479_array_length; _t481_array_iter++)
              {
                flick_fluke_decode_new_chunk(1);
                flick_fluke_decode_char8(0, _local_inp->data[_t481_array_iter].elem1);
                flick_fluke_decode_end_chunk(1);
                flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
                flick_fluke_decode_signed32(0, _local_inp->data[_t481_array_iter].elem2);
                flick_fluke_decode_end_chunk(4);
              }
            flick_fluke_decode_new_chunk_align(9, 3, 2, 0);
            flick_fluke_decode_float64(0, _local_inp->last);
            _local_iop = &_t482_storage;
            flick_fluke_decode_char8(8, _local_iop->first);
            _t483_array_length = 50;
            flick_fluke_decode_end_chunk(9);
            for (_t485_array_iter = 0; _t485_array_iter < _t483_array_length; _t485_array_iter++)
              {
                flick_fluke_decode_new_chunk(1);
                flick_fluke_decode_char8(0, _local_iop->data[_t485_array_iter].elem1);
                flick_fluke_decode_end_chunk(1);
                flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
                flick_fluke_decode_signed32(0, _local_iop->data[_t485_array_iter].elem2);
                flick_fluke_decode_end_chunk(4);
              }
            flick_fluke_decode_new_chunk_align(8, 3, 2, 0);
            flick_fluke_decode_float64(0, _local_iop->last);
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(836);
            flick_mom_init_environment();
            _return = arrays_server_test_cCLd(_obj, _local_inp, _local_iop, _local_outp, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(781);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  flick_unsigned8_t _t495_array_length;
                  flick_unsigned8_t _t497_array_iter;
                  flick_unsigned8_t _t498_array_length;
                  flick_unsigned8_t _t500_array_iter;
                  flick_unsigned8_t _t501_array_length;
                  flick_unsigned8_t _t503_array_iter;

                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(1);
                  flick_fluke_encode_char8(0, _local_iop->first);
                  _t495_array_length = 50;
                  flick_fluke_encode_end_chunk(1);
                  for (_t497_array_iter = 0; _t497_array_iter < _t495_array_length; _t497_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(1);
                      flick_fluke_encode_char8(0, _local_iop->data[_t497_array_iter].elem1);
                      flick_fluke_encode_end_chunk(1);
                      flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
                      flick_fluke_encode_signed32(0, _local_iop->data[_t497_array_iter].elem2);
                      flick_fluke_encode_end_chunk(4);
                    }
                  flick_fluke_encode_new_chunk_align(9, 3, 2, 0);
                  flick_fluke_encode_float64(0, _local_iop->last);
                  flick_fluke_encode_char8(8, _local_outp->first);
                  _t498_array_length = 50;
                  flick_fluke_encode_end_chunk(9);
                  for (_t500_array_iter = 0; _t500_array_iter < _t498_array_length; _t500_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(1);
                      flick_fluke_encode_char8(0, _local_outp->data[_t500_array_iter].elem1);
                      flick_fluke_encode_end_chunk(1);
                      flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
                      flick_fluke_encode_signed32(0, _local_outp->data[_t500_array_iter].elem2);
                      flick_fluke_encode_end_chunk(4);
                    }
                  flick_fluke_encode_new_chunk_align(9, 3, 2, 0);
                  flick_fluke_encode_float64(0, _local_outp->last);
                  flick_fluke_encode_char8(8, _return.first);
                  _t501_array_length = 50;
                  flick_fluke_encode_end_chunk(9);
                  for (_t503_array_iter = 0; _t503_array_iter < _t501_array_length; _t503_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(1);
                      flick_fluke_encode_char8(0, _return.data[_t503_array_iter].elem1);
                      flick_fluke_encode_end_chunk(1);
                      flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
                      flick_fluke_encode_signed32(0, _return.data[_t503_array_iter].elem2);
                      flick_fluke_encode_end_chunk(4);
                    }
                  flick_fluke_encode_new_chunk_align(8, 3, 2, 0);
                  flick_fluke_encode_float64(0, _return.last);
                  flick_fluke_encode_end_chunk(8);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(781);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_arrays_test_dCLc:
        {
          {
            arrays *_obj;
            struct dCLc *_local_inp;
            struct dCLc *_local_iop;
            struct dCLc *_local_outp;
            mom_exc_t *_ev;
            struct dCLc _return;
            struct dCLc _t504_storage;
            mom_exc_t _t505_storage;
            struct dCLc _t506_storage;
            flick_unsigned8_t _t507_array_length;
            flick_unsigned8_t _t509_array_iter;
            struct dCLc _t510_storage;
            flick_unsigned8_t _t511_array_length;
            flick_unsigned8_t _t513_array_iter;

            _obj = (arrays *)_dispatch_obj;
            _local_outp = &_t504_storage;
            _ev = &_t505_storage;
            /* Begin decode phase on parameters */
            _local_inp = &_t506_storage;
            flick_fluke_decode_new_chunk(12);
            flick_fluke_decode_float64(4, _local_inp->first);
            _t507_array_length = 50;
            flick_fluke_decode_end_chunk(12);
            for (_t509_array_iter = 0; _t509_array_iter < _t507_array_length; _t509_array_iter++)
              {
                flick_fluke_decode_new_chunk(8);
                flick_fluke_decode_char8(0, _local_inp->data[_t509_array_iter].elem1);
                flick_fluke_decode_signed32(4, _local_inp->data[_t509_array_iter].elem2);
                flick_fluke_decode_end_chunk(8);
              }
            flick_fluke_decode_new_chunk(1);
            flick_fluke_decode_char8(0, _local_inp->last);
            _local_iop = &_t510_storage;
            flick_fluke_decode_end_chunk(1);
            flick_fluke_decode_new_chunk_align(8, 3, 2, 1);
            flick_fluke_decode_float64(0, _local_iop->first);
            _t511_array_length = 50;
            flick_fluke_decode_end_chunk(8);
            for (_t513_array_iter = 0; _t513_array_iter < _t511_array_length; _t513_array_iter++)
              {
                flick_fluke_decode_new_chunk(8);
                flick_fluke_decode_char8(0, _local_iop->data[_t513_array_iter].elem1);
                flick_fluke_decode_signed32(4, _local_iop->data[_t513_array_iter].elem2);
                flick_fluke_decode_end_chunk(8);
              }
            flick_fluke_decode_new_chunk(1);
            flick_fluke_decode_char8(0, _local_iop->last);
            flick_fluke_decode_end_chunk(1);
            flick_fluke_decode_end_glob(836);
            flick_mom_init_environment();
            _return = arrays_server_test_dCLc(_obj, _local_inp, _local_iop, _local_outp, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(1249);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  flick_unsigned8_t _t523_array_length;
                  flick_unsigned8_t _t525_array_iter;
                  flick_unsigned8_t _t526_array_length;
                  flick_unsigned8_t _t528_array_iter;
                  flick_unsigned8_t _t529_array_length;
                  flick_unsigned8_t _t531_array_iter;

                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(12);
                  flick_fluke_encode_float64(4, _local_iop->first);
                  _t523_array_length = 50;
                  flick_fluke_encode_end_chunk(12);
                  for (_t525_array_iter = 0; _t525_array_iter < _t523_array_length; _t525_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(8);
                      flick_fluke_encode_char8(0, _local_iop->data[_t525_array_iter].elem1);
                      flick_fluke_encode_signed32(4, _local_iop->data[_t525_array_iter].elem2);
                      flick_fluke_encode_end_chunk(8);
                    }
                  flick_fluke_encode_new_chunk(1);
                  flick_fluke_encode_char8(0, _local_iop->last);
                  flick_fluke_encode_end_chunk(1);
                  flick_fluke_encode_new_chunk_align(8, 3, 2, 1);
                  flick_fluke_encode_float64(0, _local_outp->first);
                  _t526_array_length = 50;
                  flick_fluke_encode_end_chunk(8);
                  for (_t528_array_iter = 0; _t528_array_iter < _t526_array_length; _t528_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(8);
                      flick_fluke_encode_char8(0, _local_outp->data[_t528_array_iter].elem1);
                      flick_fluke_encode_signed32(4, _local_outp->data[_t528_array_iter].elem2);
                      flick_fluke_encode_end_chunk(8);
                    }
                  flick_fluke_encode_new_chunk(1);
                  flick_fluke_encode_char8(0, _local_outp->last);
                  flick_fluke_encode_end_chunk(1);
                  flick_fluke_encode_new_chunk_align(8, 3, 2, 1);
                  flick_fluke_encode_float64(0, _return.first);
                  _t529_array_length = 50;
                  flick_fluke_encode_end_chunk(8);
                  for (_t531_array_iter = 0; _t531_array_iter < _t529_array_length; _t531_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(8);
                      flick_fluke_encode_char8(0, _return.data[_t531_array_iter].elem1);
                      flick_fluke_encode_signed32(4, _return.data[_t531_array_iter].elem2);
                      flick_fluke_encode_end_chunk(8);
                    }
                  flick_fluke_encode_new_chunk(1);
                  flick_fluke_encode_char8(0, _return.last);
                  flick_fluke_encode_end_chunk(1);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(1249);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_arrays_test_sCLs:
        {
          {
            arrays *_obj;
            struct sCLs *_local_inp;
            struct sCLs *_local_iop;
            struct sCLs *_local_outp;
            mom_exc_t *_ev;
            struct sCLs _return;
            struct sCLs _t532_storage;
            mom_exc_t _t533_storage;
            struct sCLs _t534_storage;
            flick_unsigned8_t _t535_array_length;
            flick_unsigned8_t _t537_array_iter;
            struct sCLs _t538_storage;
            flick_unsigned8_t _t539_array_length;
            flick_unsigned8_t _t541_array_iter;

            _obj = (arrays *)_dispatch_obj;
            _local_outp = &_t532_storage;
            _ev = &_t533_storage;
            /* Begin decode phase on parameters */
            _local_inp = &_t534_storage;
            flick_fluke_decode_new_chunk(2);
            flick_fluke_decode_signed16(0, _local_inp->first);
            _t535_array_length = 50;
            flick_fluke_decode_end_chunk(2);
            for (_t537_array_iter = 0; _t537_array_iter < _t535_array_length; _t537_array_iter++)
              {
                flick_fluke_decode_new_chunk(1);
                flick_fluke_decode_char8(0, _local_inp->data[_t537_array_iter].elem1);
                flick_fluke_decode_end_chunk(1);
                flick_fluke_decode_new_chunk_align(4, 2, 1, 1);
                flick_fluke_decode_signed32(0, _local_inp->data[_t537_array_iter].elem2);
                flick_fluke_decode_end_chunk(4);
              }
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed16(0, _local_inp->last);
            _local_iop = &_t538_storage;
            flick_fluke_decode_signed16(2, _local_iop->first);
            _t539_array_length = 50;
            flick_fluke_decode_end_chunk(4);
            for (_t541_array_iter = 0; _t541_array_iter < _t539_array_length; _t541_array_iter++)
              {
                flick_fluke_decode_new_chunk(8);
                flick_fluke_decode_char8(0, _local_iop->data[_t541_array_iter].elem1);
                flick_fluke_decode_signed32(4, _local_iop->data[_t541_array_iter].elem2);
                flick_fluke_decode_end_chunk(8);
              }
            flick_fluke_decode_new_chunk(2);
            flick_fluke_decode_signed16(0, _local_iop->last);
            flick_fluke_decode_end_chunk(2);
            flick_fluke_decode_end_glob(836);
            flick_mom_init_environment();
            _return = arrays_server_test_sCLs(_obj, _local_inp, _local_iop, _local_outp, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(1216);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  flick_unsigned8_t _t551_array_length;
                  flick_unsigned8_t _t553_array_iter;
                  flick_unsigned8_t _t554_array_length;
                  flick_unsigned8_t _t556_array_iter;
                  flick_unsigned8_t _t557_array_length;
                  flick_unsigned8_t _t559_array_iter;

                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(2);
                  flick_fluke_encode_signed16(0, _local_iop->first);
                  _t551_array_length = 50;
                  flick_fluke_encode_end_chunk(2);
                  for (_t553_array_iter = 0; _t553_array_iter < _t551_array_length; _t553_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(1);
                      flick_fluke_encode_char8(0, _local_iop->data[_t553_array_iter].elem1);
                      flick_fluke_encode_end_chunk(1);
                      flick_fluke_encode_new_chunk_align(4, 2, 1, 1);
                      flick_fluke_encode_signed32(0, _local_iop->data[_t553_array_iter].elem2);
                      flick_fluke_encode_end_chunk(4);
                    }
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed16(0, _local_iop->last);
                  flick_fluke_encode_signed16(2, _local_outp->first);
                  _t554_array_length = 50;
                  flick_fluke_encode_end_chunk(4);
                  for (_t556_array_iter = 0; _t556_array_iter < _t554_array_length; _t556_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(8);
                      flick_fluke_encode_char8(0, _local_outp->data[_t556_array_iter].elem1);
                      flick_fluke_encode_signed32(4, _local_outp->data[_t556_array_iter].elem2);
                      flick_fluke_encode_end_chunk(8);
                    }
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed16(0, _local_outp->last);
                  flick_fluke_encode_signed16(2, _return.first);
                  _t557_array_length = 50;
                  flick_fluke_encode_end_chunk(4);
                  for (_t559_array_iter = 0; _t559_array_iter < _t557_array_length; _t559_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(8);
                      flick_fluke_encode_char8(0, _return.data[_t559_array_iter].elem1);
                      flick_fluke_encode_signed32(4, _return.data[_t559_array_iter].elem2);
                      flick_fluke_encode_end_chunk(8);
                    }
                  flick_fluke_encode_new_chunk(2);
                  flick_fluke_encode_signed16(0, _return.last);
                  flick_fluke_encode_end_chunk(2);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(1216);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_mom_decode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(836);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
