#ifndef _atomic__server_h_
#define _atomic__server_h_

#include <flick/link/fluke.h>
#include <flick/encode/fluke.h>
#include <flick/pres/mom.h>

#define Atomic_SS (1)

#define Atomic_LL (1)

#define Atomic_US (1)

#define Atomic_UL (1)

#define Atomic_FF (1.100000)

#define Atomic_DD (1.200000)

#define Atomic_CC ('a')

#define Atomic_BB (1)

#include <fluke/Atomic.h>

#ifndef _typedef___Atomic_test
#define _typedef___Atomic_test
typedef struct Atomic_test_struct Atomic_test;
#endif /* _typedef___Atomic_test */

void flick_marshal_stub_Atomic_test(flick_marshal_stream_t _stream, const Atomic_test *_data);

void flick_unmarshal_stub_Atomic_test(flick_marshal_stream_t _stream, Atomic_test *_data);

mom_dispatch_action_t Atomic_test_server(void *_dispatch_object, mom_dispatch_data_t *_dispatch_data);

int16_t Atomic_test_server_Short(Atomic_test *_obj, int16_t a, int16_t *b, int16_t *c, mom_exc_t *_ev);

int32_t Atomic_test_server_Long(Atomic_test *_obj, int32_t a, int32_t *b, int32_t *c, mom_exc_t *_ev);

u_int16_t Atomic_test_server_UShort(Atomic_test *_obj, u_int16_t a, u_int16_t *b, u_int16_t *c, mom_exc_t *_ev);

u_int32_t Atomic_test_server_ULong(Atomic_test *_obj, u_int32_t a, u_int32_t *b, u_int32_t *c, mom_exc_t *_ev);

float Atomic_test_server_Float(Atomic_test *_obj, float a, float *b, float *c, mom_exc_t *_ev);

double Atomic_test_server_Double(Atomic_test *_obj, double a, double *b, double *c, mom_exc_t *_ev);

int Atomic_test_server_Boolean(Atomic_test *_obj, int a, int *b, int *c, mom_exc_t *_ev);

char Atomic_test_server_Char(Atomic_test *_obj, char a, char *b, char *c, mom_exc_t *_ev);

u_int8_t Atomic_test_server_Octet(Atomic_test *_obj, u_int8_t a, u_int8_t *b, u_int8_t *c, mom_exc_t *_ev);

#endif /* _atomic__server_h_ */
