#include "parm_-server.h"

void flick_marshal_stub_Enumeration(flick_marshal_stream_t _stream, const Enumeration *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, *_data);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
}

void flick_unmarshal_stub_Enumeration(flick_marshal_stream_t _stream, Enumeration *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, *_data);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
}

void flick_marshal_stub_FStruct(flick_marshal_stream_t _stream, const struct FStruct *_data)
{
  flick_fluke_encode_new_glob(2);
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_signed16(0, _data->a);
  flick_fluke_encode_end_chunk(2);
  flick_fluke_encode_end_glob(2);
}

void flick_unmarshal_stub_FStruct(flick_marshal_stream_t _stream, struct FStruct *_data)
{
  flick_fluke_decode_new_glob(2);
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_signed16(0, _data->a);
  flick_fluke_decode_end_chunk(2);
  flick_fluke_decode_end_glob(2);
}

void flick_marshal_stub_VStruct(flick_marshal_stream_t _stream, const struct VStruct *_data)
{
  flick_fluke_encode_longstring(_data->a, mom_flick_free, fluke);
}

void flick_unmarshal_stub_VStruct(flick_marshal_stream_t _stream, struct VStruct *_data)
{
  flick_fluke_decode_longstring(_data->a, mom_flick_alloc, fluke);
}

void flick_marshal_stub_FUnion(flick_marshal_stream_t _stream, const struct FUnion *_data)
{
  flick_fluke_encode_new_glob(8);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed32(0, _data->_d);
  flick_fluke_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_fluke_encode_new_chunk(4);
        flick_fluke_encode_signed32(0, _data->_u.x);
        flick_fluke_encode_end_chunk(4);
        break;
      }
    default:
      {
        flick_fluke_encode_new_chunk(1);
        flick_fluke_encode_char8(0, _data->_u.z);
        flick_fluke_encode_end_chunk(1);
        break;
      }
    }
  flick_fluke_encode_end_glob(8);
}

void flick_unmarshal_stub_FUnion(flick_marshal_stream_t _stream, struct FUnion *_data)
{
  flick_fluke_decode_new_glob(8);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed32(0, _data->_d);
  flick_fluke_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_fluke_decode_new_chunk(4);
        flick_fluke_decode_signed32(0, _data->_u.x);
        flick_fluke_decode_end_chunk(4);
        break;
      }
    default:
      {
        flick_fluke_decode_new_chunk(1);
        flick_fluke_decode_char8(0, _data->_u.z);
        flick_fluke_decode_end_chunk(1);
        break;
      }
    }
  flick_fluke_decode_end_glob(8);
}

void flick_marshal_stub_VUnion(flick_marshal_stream_t _stream, const struct VUnion *_data)
{
  flick_fluke_encode_new_glob(5);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed32(0, _data->_d);
  flick_fluke_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_fluke_encode_end_glob(5);
        flick_fluke_encode_longstring(_data->_u.a, mom_flick_free, fluke);
        break;
      }
    default:
      {
        flick_fluke_encode_new_chunk(1);
        flick_fluke_encode_char8(0, _data->_u.z);
        flick_fluke_encode_end_chunk(1);
        flick_fluke_encode_end_glob(5);
        break;
      }
    }
}

void flick_unmarshal_stub_VUnion(flick_marshal_stream_t _stream, struct VUnion *_data)
{
  flick_fluke_decode_new_glob(5);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed32(0, _data->_d);
  flick_fluke_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_fluke_decode_end_glob(5);
        flick_fluke_decode_longstring(_data->_u.a, mom_flick_alloc, fluke);
        break;
      }
    default:
      {
        flick_fluke_decode_new_chunk(1);
        flick_fluke_decode_char8(0, _data->_u.z);
        flick_fluke_decode_end_chunk(1);
        flick_fluke_decode_end_glob(5);
        break;
      }
    }
}

void flick_marshal_stub_test_arr(flick_marshal_stream_t _stream, const test_arr *_data)
{
  flick_unsigned8_t _t0_array_length;
  flick_unsigned8_t _t2_array_iter;

  _t0_array_length = 10;
  flick_fluke_encode_new_glob(40);
  for (_t2_array_iter = 0; _t2_array_iter < _t0_array_length; _t2_array_iter++)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, (*_data)[_t2_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
  flick_fluke_encode_end_glob(40);
}

void flick_unmarshal_stub_test_arr(flick_marshal_stream_t _stream, test_arr *_data)
{
  flick_unsigned8_t _t3_array_length;
  flick_unsigned8_t _t5_array_iter;

  _t3_array_length = 10;
  flick_fluke_decode_new_glob(40);
  for (_t5_array_iter = 0; _t5_array_iter < _t3_array_length; _t5_array_iter++)
    {
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, (*_data)[_t5_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
  flick_fluke_decode_end_glob(40);
}

void flick_marshal_stub_test_seq(flick_marshal_stream_t _stream, const test_seq *_data)
{
  unsigned long int _t7_array_iter;

  flick_fluke_encode_new_glob(44);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length);
  flick_fluke_encode_end_chunk(4);
  for (_t7_array_iter = 0; _t7_array_iter < _data->_length; _t7_array_iter++)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, _data->_buffer[_t7_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
  mom_flick_free(_data->_buffer);
  flick_fluke_encode_end_glob(44);
}

void flick_unmarshal_stub_test_seq(flick_marshal_stream_t _stream, test_seq *_data)
{
  unsigned long int _t9_array_iter;

  flick_fluke_decode_new_glob(44);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length);
  _data->_buffer = mom_flick_alloc(_data->_length * sizeof(int32_t ));
  flick_fluke_decode_end_chunk(4);
  for (_t9_array_iter = 0; _t9_array_iter < _data->_length; _t9_array_iter++)
    {
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _data->_buffer[_t9_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
  flick_fluke_decode_end_glob(44);
}

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data)
{
}

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
}

mom_dispatch_action_t test_server(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t105_switch_tag;

    flick_fluke_decode_new_glob(92);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t105_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch (_t105_switch_tag)
      {
      case req_test_Short:
        {
          {
            test *_obj;
            int16_t _local_a;
            int16_t *_local_b;
            int16_t *_local_c;
            mom_exc_t *_ev;
            int16_t _return;
            int16_t _t106_storage;
            mom_exc_t _t107_storage;
            int16_t _t108_storage;

            _obj = (test *)_dispatch_obj;
            _local_c = &_t106_storage;
            _ev = &_t107_storage;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed16(0, _local_a);
            _local_b = &_t108_storage;
            flick_fluke_decode_signed16(2, *_local_b);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(92);
            flick_mom_init_environment();
            _return = test_server_Short(_obj, _local_a, _local_b, _local_c, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(10);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(6);
                  flick_fluke_encode_signed16(0, *_local_b);
                  flick_fluke_encode_signed16(2, *_local_c);
                  flick_fluke_encode_signed16(4, _return);
                  flick_fluke_encode_end_chunk(6);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(10);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test_Long:
        {
          {
            test *_obj;
            int32_t _local_a;
            int32_t *_local_b;
            int32_t *_local_c;
            mom_exc_t *_ev;
            int32_t _return;
            int32_t _t109_storage;
            mom_exc_t _t110_storage;
            int32_t _t111_storage;

            _obj = (test *)_dispatch_obj;
            _local_c = &_t109_storage;
            _ev = &_t110_storage;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_signed32(0, _local_a);
            _local_b = &_t111_storage;
            flick_fluke_decode_signed32(4, *_local_b);
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(92);
            flick_mom_init_environment();
            _return = test_server_Long(_obj, _local_a, _local_b, _local_c, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(16);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(12);
                  flick_fluke_encode_signed32(0, *_local_b);
                  flick_fluke_encode_signed32(4, *_local_c);
                  flick_fluke_encode_signed32(8, _return);
                  flick_fluke_encode_end_chunk(12);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(16);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test_UShort:
        {
          {
            test *_obj;
            u_int16_t _local_a;
            u_int16_t *_local_b;
            u_int16_t *_local_c;
            mom_exc_t *_ev;
            u_int16_t _return;
            u_int16_t _t112_storage;
            mom_exc_t _t113_storage;
            u_int16_t _t114_storage;

            _obj = (test *)_dispatch_obj;
            _local_c = &_t112_storage;
            _ev = &_t113_storage;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned16(0, _local_a);
            _local_b = &_t114_storage;
            flick_fluke_decode_unsigned16(2, *_local_b);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(92);
            flick_mom_init_environment();
            _return = test_server_UShort(_obj, _local_a, _local_b, _local_c, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(10);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(6);
                  flick_fluke_encode_unsigned16(0, *_local_b);
                  flick_fluke_encode_unsigned16(2, *_local_c);
                  flick_fluke_encode_unsigned16(4, _return);
                  flick_fluke_encode_end_chunk(6);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(10);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test_ULong:
        {
          {
            test *_obj;
            u_int32_t _local_a;
            u_int32_t *_local_b;
            u_int32_t *_local_c;
            mom_exc_t *_ev;
            u_int32_t _return;
            u_int32_t _t115_storage;
            mom_exc_t _t116_storage;
            u_int32_t _t117_storage;

            _obj = (test *)_dispatch_obj;
            _local_c = &_t115_storage;
            _ev = &_t116_storage;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_unsigned32(0, _local_a);
            _local_b = &_t117_storage;
            flick_fluke_decode_unsigned32(4, *_local_b);
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(92);
            flick_mom_init_environment();
            _return = test_server_ULong(_obj, _local_a, _local_b, _local_c, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(16);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(12);
                  flick_fluke_encode_unsigned32(0, *_local_b);
                  flick_fluke_encode_unsigned32(4, *_local_c);
                  flick_fluke_encode_unsigned32(8, _return);
                  flick_fluke_encode_end_chunk(12);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(16);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test_Float:
        {
          {
            test *_obj;
            float _local_a;
            float *_local_b;
            float *_local_c;
            mom_exc_t *_ev;
            float _return = 0.000000;
            float _t118_storage;
            mom_exc_t _t119_storage;
            float _t120_storage;

            _obj = (test *)_dispatch_obj;
            _local_c = &_t118_storage;
            _ev = &_t119_storage;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_float32(0, _local_a);
            _local_b = &_t120_storage;
            flick_fluke_decode_float32(4, *_local_b);
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(92);
            flick_mom_init_environment();
            _return = test_server_Float(_obj, _local_a, _local_b, _local_c, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(16);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(12);
                  flick_fluke_encode_float32(0, *_local_b);
                  flick_fluke_encode_float32(4, *_local_c);
                  flick_fluke_encode_float32(8, _return);
                  flick_fluke_encode_end_chunk(12);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(16);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test_Boolean:
        {
          {
            test *_obj;
            int _local_a;
            int *_local_b;
            int *_local_c;
            mom_exc_t *_ev;
            int _return = 0;
            int _t121_storage;
            mom_exc_t _t122_storage;
            int _t123_storage;

            _obj = (test *)_dispatch_obj;
            _local_c = &_t121_storage;
            _ev = &_t122_storage;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(2);
            flick_fluke_decode_unsigned8(0, _local_a);
            _local_b = &_t123_storage;
            flick_fluke_decode_unsigned8(1, *_local_b);
            flick_fluke_decode_end_chunk(2);
            flick_fluke_decode_end_glob(92);
            flick_mom_init_environment();
            _return = test_server_Boolean(_obj, _local_a, _local_b, _local_c, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(7);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(3);
                  flick_fluke_encode_unsigned8(0, *_local_b);
                  flick_fluke_encode_unsigned8(1, *_local_c);
                  flick_fluke_encode_unsigned8(2, _return);
                  flick_fluke_encode_end_chunk(3);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(7);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test_Char:
        {
          {
            test *_obj;
            char _local_a;
            char *_local_b;
            char *_local_c;
            mom_exc_t *_ev;
            char _return = 0;
            char _t124_storage;
            mom_exc_t _t125_storage;
            char _t126_storage;

            _obj = (test *)_dispatch_obj;
            _local_c = &_t124_storage;
            _ev = &_t125_storage;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(2);
            flick_fluke_decode_char8(0, _local_a);
            _local_b = &_t126_storage;
            flick_fluke_decode_char8(1, *_local_b);
            flick_fluke_decode_end_chunk(2);
            flick_fluke_decode_end_glob(92);
            flick_mom_init_environment();
            _return = test_server_Char(_obj, _local_a, _local_b, _local_c, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(7);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(3);
                  flick_fluke_encode_char8(0, *_local_b);
                  flick_fluke_encode_char8(1, *_local_c);
                  flick_fluke_encode_char8(2, _return);
                  flick_fluke_encode_end_chunk(3);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(7);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test_Octet:
        {
          {
            test *_obj;
            u_int8_t _local_a;
            u_int8_t *_local_b;
            u_int8_t *_local_c;
            mom_exc_t *_ev;
            u_int8_t _return;
            u_int8_t _t127_storage;
            mom_exc_t _t128_storage;
            u_int8_t _t129_storage;

            _obj = (test *)_dispatch_obj;
            _local_c = &_t127_storage;
            _ev = &_t128_storage;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(2);
            flick_fluke_decode_unsigned8(0, _local_a);
            _local_b = &_t129_storage;
            flick_fluke_decode_unsigned8(1, *_local_b);
            flick_fluke_decode_end_chunk(2);
            flick_fluke_decode_end_glob(92);
            flick_mom_init_environment();
            _return = test_server_Octet(_obj, _local_a, _local_b, _local_c, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(7);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(3);
                  flick_fluke_encode_unsigned8(0, *_local_b);
                  flick_fluke_encode_unsigned8(1, *_local_c);
                  flick_fluke_encode_unsigned8(2, _return);
                  flick_fluke_encode_end_chunk(3);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(7);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test_Enum:
        {
          {
            test *_obj;
            Enumeration _local_a;
            Enumeration *_local_b;
            Enumeration *_local_c;
            mom_exc_t *_ev;
            Enumeration _return;
            Enumeration _t130_storage;
            mom_exc_t _t131_storage;
            Enumeration _t132_storage;

            _obj = (test *)_dispatch_obj;
            _local_c = &_t130_storage;
            _ev = &_t131_storage;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_unsigned32(0, _local_a);
            _local_b = &_t132_storage;
            flick_fluke_decode_unsigned32(4, *_local_b);
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(92);
            flick_mom_init_environment();
            _return = test_server_Enum(_obj, _local_a, _local_b, _local_c, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(16);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(12);
                  flick_fluke_encode_unsigned32(0, *_local_b);
                  flick_fluke_encode_unsigned32(4, *_local_c);
                  flick_fluke_encode_unsigned32(8, _return);
                  flick_fluke_encode_end_chunk(12);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(16);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test_FixedStruct:
        {
          {
            test *_obj;
            struct FStruct *_local_a;
            struct FStruct *_local_b;
            struct FStruct *_local_c;
            mom_exc_t *_ev;
            struct FStruct _return;
            struct FStruct _t133_storage;
            mom_exc_t _t134_storage;
            struct FStruct _t135_storage;
            struct FStruct _t136_storage;

            _obj = (test *)_dispatch_obj;
            _local_c = &_t133_storage;
            _ev = &_t134_storage;
            /* Begin decode phase on parameters */
            _local_a = &_t135_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed16(0, _local_a->a);
            _local_b = &_t136_storage;
            flick_fluke_decode_signed16(2, _local_b->a);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(92);
            flick_mom_init_environment();
            _return = test_server_FixedStruct(_obj, _local_a, _local_b, _local_c, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(10);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(6);
                  flick_fluke_encode_signed16(0, _local_b->a);
                  flick_fluke_encode_signed16(2, _local_c->a);
                  flick_fluke_encode_signed16(4, _return.a);
                  flick_fluke_encode_end_chunk(6);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(10);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test_VarStruct:
        {
          {
            test *_obj;
            struct VStruct *_local_a;
            struct VStruct *_local_b;
            struct VStruct **_local_c;
            mom_exc_t *_ev;
            struct VStruct *_return = 0;
            struct VStruct *_t137_storage;
            mom_exc_t _t138_storage;
            struct VStruct _t139_storage;
            struct VStruct _t140_storage;

            _obj = (test *)_dispatch_obj;
            _local_c = &_t137_storage;
            _ev = &_t138_storage;
            /* Begin decode phase on parameters */
            _local_a = &_t139_storage;
            flick_fluke_decode_end_glob(92);
            flick_fluke_decode_auto_string(_local_a->a, auto_flick_alloc, fluke);
            _local_b = &_t140_storage;
            flick_fluke_decode_longstring(_local_b->a, mom_flick_alloc, fluke);
            flick_mom_init_environment();
            _return = test_server_VarStruct(_obj, _local_a, _local_b, _local_c, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(4);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_end_glob(4);
                  flick_fluke_encode_longstring(_local_b->a, mom_flick_free, fluke);
                  flick_fluke_encode_longstring((*_local_c)->a, mom_flick_free, fluke);
                  mom_flick_free(*_local_c);
                  flick_fluke_encode_longstring(_return->a, mom_flick_free, fluke);
                  mom_flick_free(_return);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  flick_fluke_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(4);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test_FixedUnion:
        {
          {
            test *_obj;
            struct FUnion *_local_a;
            struct FUnion *_local_b;
            struct FUnion *_local_c;
            mom_exc_t *_ev;
            struct FUnion _return;
            struct FUnion _t141_storage;
            mom_exc_t _t142_storage;
            struct FUnion _t143_storage;
            struct FUnion _t144_storage;

            _obj = (test *)_dispatch_obj;
            _local_c = &_t141_storage;
            _ev = &_t142_storage;
            /* Begin decode phase on parameters */
            _local_a = &_t143_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, _local_a->_d);
            flick_fluke_decode_end_chunk(4);
            switch (_local_a->_d)
              {
              case 1:
                {
                  flick_fluke_decode_new_chunk(4);
                  flick_fluke_decode_signed32(0, _local_a->_u.x);
                  flick_fluke_decode_end_chunk(4);
                  break;
                }
              default:
                {
                  flick_fluke_decode_new_chunk(1);
                  flick_fluke_decode_char8(0, _local_a->_u.z);
                  flick_fluke_decode_end_chunk(1);
                  break;
                }
              }
            _local_b = &_t144_storage;
            flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
            flick_fluke_decode_signed32(0, _local_b->_d);
            flick_fluke_decode_end_chunk(4);
            switch (_local_b->_d)
              {
              case 1:
                {
                  flick_fluke_decode_new_chunk(4);
                  flick_fluke_decode_signed32(0, _local_b->_u.x);
                  flick_fluke_decode_end_chunk(4);
                  break;
                }
              default:
                {
                  flick_fluke_decode_new_chunk(1);
                  flick_fluke_decode_char8(0, _local_b->_u.z);
                  flick_fluke_decode_end_chunk(1);
                  break;
                }
              }
            flick_fluke_decode_end_glob(92);
            flick_mom_init_environment();
            _return = test_server_FixedUnion(_obj, _local_a, _local_b, _local_c, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(28);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, _local_b->_d);
                  flick_fluke_encode_end_chunk(4);
                  switch (_local_b->_d)
                    {
                    case 1:
                      {
                        flick_fluke_encode_new_chunk(4);
                        flick_fluke_encode_signed32(0, _local_b->_u.x);
                        flick_fluke_encode_end_chunk(4);
                        break;
                      }
                    default:
                      {
                        flick_fluke_encode_new_chunk(1);
                        flick_fluke_encode_char8(0, _local_b->_u.z);
                        flick_fluke_encode_end_chunk(1);
                        break;
                      }
                    }
                  flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
                  flick_fluke_encode_signed32(0, _local_c->_d);
                  flick_fluke_encode_end_chunk(4);
                  switch (_local_c->_d)
                    {
                    case 1:
                      {
                        flick_fluke_encode_new_chunk(4);
                        flick_fluke_encode_signed32(0, _local_c->_u.x);
                        flick_fluke_encode_end_chunk(4);
                        break;
                      }
                    default:
                      {
                        flick_fluke_encode_new_chunk(1);
                        flick_fluke_encode_char8(0, _local_c->_u.z);
                        flick_fluke_encode_end_chunk(1);
                        break;
                      }
                    }
                  flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
                  flick_fluke_encode_signed32(0, _return._d);
                  flick_fluke_encode_end_chunk(4);
                  switch (_return._d)
                    {
                    case 1:
                      {
                        flick_fluke_encode_new_chunk(4);
                        flick_fluke_encode_signed32(0, _return._u.x);
                        flick_fluke_encode_end_chunk(4);
                        break;
                      }
                    default:
                      {
                        flick_fluke_encode_new_chunk(1);
                        flick_fluke_encode_char8(0, _return._u.z);
                        flick_fluke_encode_end_chunk(1);
                        break;
                      }
                    }
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(28);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test_VarUnion:
        {
          {
            test *_obj;
            struct VUnion *_local_a;
            struct VUnion *_local_b;
            struct VUnion **_local_c;
            mom_exc_t *_ev;
            struct VUnion *_return = 0;
            struct VUnion *_t145_storage;
            mom_exc_t _t146_storage;
            struct VUnion _t147_storage;
            struct VUnion _t148_storage;

            _obj = (test *)_dispatch_obj;
            _local_c = &_t145_storage;
            _ev = &_t146_storage;
            /* Begin decode phase on parameters */
            _local_a = &_t147_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, _local_a->_d);
            flick_fluke_decode_end_chunk(4);
            switch (_local_a->_d)
              {
              case 1:
                {
                  flick_fluke_decode_end_glob(92);
                  flick_fluke_decode_auto_string(_local_a->_u.a, auto_flick_alloc, fluke);
                  break;
                }
              default:
                {
                  flick_fluke_decode_new_chunk(1);
                  flick_fluke_decode_char8(0, _local_a->_u.z);
                  flick_fluke_decode_end_chunk(1);
                  flick_fluke_decode_end_glob(92);
                  break;
                }
              }
            _local_b = &_t148_storage;
            flick_fluke_decode_new_glob(5);
            flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
            flick_fluke_decode_signed32(0, _local_b->_d);
            flick_fluke_decode_end_chunk(4);
            switch (_local_b->_d)
              {
              case 1:
                {
                  flick_fluke_decode_end_glob(5);
                  flick_fluke_decode_longstring(_local_b->_u.a, mom_flick_alloc, fluke);
                  break;
                }
              default:
                {
                  flick_fluke_decode_new_chunk(1);
                  flick_fluke_decode_char8(0, _local_b->_u.z);
                  flick_fluke_decode_end_chunk(1);
                  flick_fluke_decode_end_glob(5);
                  break;
                }
              }
            flick_mom_init_environment();
            _return = test_server_VarUnion(_obj, _local_a, _local_b, _local_c, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(9);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, _local_b->_d);
                  flick_fluke_encode_end_chunk(4);
                  switch (_local_b->_d)
                    {
                    case 1:
                      {
                        flick_fluke_encode_end_glob(9);
                        flick_fluke_encode_longstring(_local_b->_u.a, mom_flick_free, fluke);
                        break;
                      }
                    default:
                      {
                        flick_fluke_encode_new_chunk(1);
                        flick_fluke_encode_char8(0, _local_b->_u.z);
                        flick_fluke_encode_end_chunk(1);
                        flick_fluke_encode_end_glob(9);
                        break;
                      }
                    }
                  flick_fluke_encode_new_glob(5);
                  flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
                  flick_fluke_encode_signed32(0, (*_local_c)->_d);
                  flick_fluke_encode_end_chunk(4);
                  switch ((*_local_c)->_d)
                    {
                    case 1:
                      {
                        flick_fluke_encode_end_glob(5);
                        flick_fluke_encode_longstring((*_local_c)->_u.a, mom_flick_free, fluke);
                        break;
                      }
                    default:
                      {
                        flick_fluke_encode_new_chunk(1);
                        flick_fluke_encode_char8(0, (*_local_c)->_u.z);
                        flick_fluke_encode_end_chunk(1);
                        flick_fluke_encode_end_glob(5);
                        break;
                      }
                    }
                  mom_flick_free(*_local_c);
                  flick_fluke_encode_new_glob(5);
                  flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
                  flick_fluke_encode_signed32(0, _return->_d);
                  flick_fluke_encode_end_chunk(4);
                  switch (_return->_d)
                    {
                    case 1:
                      {
                        flick_fluke_encode_end_glob(5);
                        flick_fluke_encode_longstring(_return->_u.a, mom_flick_free, fluke);
                        break;
                      }
                    default:
                      {
                        flick_fluke_encode_new_chunk(1);
                        flick_fluke_encode_char8(0, _return->_u.z);
                        flick_fluke_encode_end_chunk(1);
                        flick_fluke_encode_end_glob(5);
                        break;
                      }
                    }
                  mom_flick_free(_return);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  flick_fluke_encode_end_glob(9);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(9);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test_String:
        {
          {
            test *_obj;
            char *_local_a;
            char **_local_b;
            char **_local_c;
            mom_exc_t *_ev;
            char *_return = 0;
            char *_t149_storage;
            mom_exc_t _t150_storage;
            char *_t151_storage;

            _obj = (test *)_dispatch_obj;
            _local_c = &_t149_storage;
            _ev = &_t150_storage;
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(92);
            flick_fluke_decode_auto_string(_local_a, auto_flick_alloc, fluke);
            _local_b = &_t151_storage;
            flick_fluke_decode_longstring(*_local_b, mom_flick_alloc, fluke);
            flick_mom_init_environment();
            _return = test_server_String(_obj, _local_a, _local_b, _local_c, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(4);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_end_glob(4);
                  flick_fluke_encode_longstring(*_local_b, mom_flick_free, fluke);
                  flick_fluke_encode_longstring(*_local_c, mom_flick_free, fluke);
                  flick_fluke_encode_longstring(_return, mom_flick_free, fluke);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  flick_fluke_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(4);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test_BoundString:
        {
          {
            test *_obj;
            char *_local_a;
            char **_local_b;
            char **_local_c;
            mom_exc_t *_ev;
            char *_return = 0;
            char *_t152_storage;
            mom_exc_t _t153_storage;
            char *_t154_storage;

            _obj = (test *)_dispatch_obj;
            _local_c = &_t152_storage;
            _ev = &_t153_storage;
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(92);
            flick_fluke_decode_auto_string(_local_a, auto_flick_alloc, fluke);
            _local_b = &_t154_storage;
            flick_fluke_decode_string(*_local_b, mom_flick_alloc, fluke, 20);
            flick_mom_init_environment();
            _return = test_server_BoundString(_obj, _local_a, _local_b, _local_c, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(4);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_end_glob(4);
                  flick_fluke_encode_string(*_local_b, mom_flick_free, fluke, 20);
                  flick_fluke_encode_string(*_local_c, mom_flick_free, fluke, 20);
                  flick_fluke_encode_string(_return, mom_flick_free, fluke, 20);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  flick_fluke_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(4);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test_Array:
        {
          {
            test *_obj;
            test_arr _local_a;
            test_arr _local_b;
            test_arr _local_c;
            mom_exc_t *_ev;
            test_arr *_return = 0;
            mom_exc_t _t155_storage;
            flick_unsigned8_t _t156_array_length;
            flick_unsigned8_t _t158_array_iter;
            flick_unsigned8_t _t159_array_length;
            flick_unsigned8_t _t161_array_iter;

            _obj = (test *)_dispatch_obj;
            _ev = &_t155_storage;
            /* Begin decode phase on parameters */
            _t156_array_length = 10;
            for (_t158_array_iter = 0; _t158_array_iter < _t156_array_length; _t158_array_iter++)
              {
                flick_fluke_decode_new_chunk(4);
                flick_fluke_decode_signed32(0, _local_a[_t158_array_iter]);
                flick_fluke_decode_end_chunk(4);
              }
            _t159_array_length = 10;
            for (_t161_array_iter = 0; _t161_array_iter < _t159_array_length; _t161_array_iter++)
              {
                flick_fluke_decode_new_chunk(4);
                flick_fluke_decode_signed32(0, _local_b[_t161_array_iter]);
                flick_fluke_decode_end_chunk(4);
              }
            flick_fluke_decode_end_glob(92);
            flick_mom_init_environment();
            _return = test_server_Array(_obj, _local_a, _local_b, _local_c, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(124);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  flick_unsigned8_t _t171_array_length;
                  flick_unsigned8_t _t173_array_iter;
                  flick_unsigned8_t _t174_array_length;
                  flick_unsigned8_t _t176_array_iter;
                  flick_unsigned8_t _t177_array_length;
                  flick_unsigned8_t _t179_array_iter;

                  /* Begin encode phase on parameters */
                  _t171_array_length = 10;
                  for (_t173_array_iter = 0; _t173_array_iter < _t171_array_length; _t173_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(4);
                      flick_fluke_encode_signed32(0, _local_b[_t173_array_iter]);
                      flick_fluke_encode_end_chunk(4);
                    }
                  _t174_array_length = 10;
                  for (_t176_array_iter = 0; _t176_array_iter < _t174_array_length; _t176_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(4);
                      flick_fluke_encode_signed32(0, _local_c[_t176_array_iter]);
                      flick_fluke_encode_end_chunk(4);
                    }
                  _t177_array_length = 10;
                  for (_t179_array_iter = 0; _t179_array_iter < _t177_array_length; _t179_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(4);
                      flick_fluke_encode_signed32(0, (*_return)[_t179_array_iter]);
                      flick_fluke_encode_end_chunk(4);
                    }
                  mom_flick_free(_return);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(124);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test_Sequence:
        {
          {
            test *_obj;
            test_seq *_local_a;
            test_seq *_local_b;
            test_seq **_local_c;
            mom_exc_t *_ev;
            test_seq *_return = 0;
            test_seq *_t180_storage;
            mom_exc_t _t181_storage;
            test_seq _t182_storage;
            unsigned long int _t184_array_iter;
            test_seq _t185_storage;
            unsigned long int _t187_array_iter;

            _obj = (test *)_dispatch_obj;
            _local_c = &_t180_storage;
            _ev = &_t181_storage;
            /* Begin decode phase on parameters */
            _local_a = &_t182_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _local_a->_length);
            _local_a->_buffer = auto_flick_alloc(_local_a->_length * sizeof(int32_t ));
            flick_fluke_decode_end_chunk(4);
            for (_t184_array_iter = 0; _t184_array_iter < _local_a->_length; _t184_array_iter++)
              {
                flick_fluke_decode_new_chunk(4);
                flick_fluke_decode_signed32(0, _local_a->_buffer[_t184_array_iter]);
                flick_fluke_decode_end_chunk(4);
              }
            _local_b = &_t185_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _local_b->_length);
            _local_b->_buffer = mom_flick_alloc(_local_b->_length * sizeof(int32_t ));
            flick_fluke_decode_end_chunk(4);
            for (_t187_array_iter = 0; _t187_array_iter < _local_b->_length; _t187_array_iter++)
              {
                flick_fluke_decode_new_chunk(4);
                flick_fluke_decode_signed32(0, _local_b->_buffer[_t187_array_iter]);
                flick_fluke_decode_end_chunk(4);
              }
            flick_fluke_decode_end_glob(92);
            flick_mom_init_environment();
            _return = test_server_Sequence(_obj, _local_a, _local_b, _local_c, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(136);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  unsigned long int _t195_array_iter;
                  unsigned long int _t197_array_iter;
                  unsigned long int _t199_array_iter;

                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_unsigned32(0, _local_b->_length);
                  flick_fluke_encode_end_chunk(4);
                  for (_t195_array_iter = 0; _t195_array_iter < _local_b->_length; _t195_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(4);
                      flick_fluke_encode_signed32(0, _local_b->_buffer[_t195_array_iter]);
                      flick_fluke_encode_end_chunk(4);
                    }
                  mom_flick_free(_local_b->_buffer);
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_unsigned32(0, (*_local_c)->_length);
                  flick_fluke_encode_end_chunk(4);
                  for (_t197_array_iter = 0; _t197_array_iter < (*_local_c)->_length; _t197_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(4);
                      flick_fluke_encode_signed32(0, (*_local_c)->_buffer[_t197_array_iter]);
                      flick_fluke_encode_end_chunk(4);
                    }
                  mom_flick_free((*_local_c)->_buffer);
                  mom_flick_free(*_local_c);
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_unsigned32(0, _return->_length);
                  flick_fluke_encode_end_chunk(4);
                  for (_t199_array_iter = 0; _t199_array_iter < _return->_length; _t199_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(4);
                      flick_fluke_encode_signed32(0, _return->_buffer[_t199_array_iter]);
                      flick_fluke_encode_end_chunk(4);
                    }
                  mom_flick_free(_return->_buffer);
                  mom_flick_free(_return);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(136);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_mom_decode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(92);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
