#ifndef _parm__server_h_
#define _parm__server_h_

#include <flick/link/fluke.h>
#include <flick/encode/fluke.h>
#include <flick/pres/mom.h>

#ifndef _typedef___Enumeration
#define _typedef___Enumeration
typedef unsigned long int Enumeration;
#endif /* _typedef___Enumeration */

void flick_marshal_stub_Enumeration(flick_marshal_stream_t _stream, const Enumeration *_data);

void flick_unmarshal_stub_Enumeration(flick_marshal_stream_t _stream, Enumeration *_data);

#define ONE (0)

#define TWO (1)

#ifndef _typedef___FStruct
#define _typedef___FStruct
typedef struct FStruct {
  int16_t a;
} FStruct;
#endif /* _typedef___FStruct */

void flick_marshal_stub_FStruct(flick_marshal_stream_t _stream, const struct FStruct *_data);

void flick_unmarshal_stub_FStruct(flick_marshal_stream_t _stream, struct FStruct *_data);

#ifndef _typedef___VStruct
#define _typedef___VStruct
typedef struct VStruct {
  char *a;
} VStruct;
#endif /* _typedef___VStruct */

void flick_marshal_stub_VStruct(flick_marshal_stream_t _stream, const struct VStruct *_data);

void flick_unmarshal_stub_VStruct(flick_marshal_stream_t _stream, struct VStruct *_data);

#ifndef _typedef___FUnion
#define _typedef___FUnion
typedef struct FUnion {
  int32_t _d;
  union {
    int32_t x;
    char z;
  } _u;
} FUnion;
#endif /* _typedef___FUnion */

void flick_marshal_stub_FUnion(flick_marshal_stream_t _stream, const struct FUnion *_data);

void flick_unmarshal_stub_FUnion(flick_marshal_stream_t _stream, struct FUnion *_data);

#ifndef _typedef___VUnion
#define _typedef___VUnion
typedef struct VUnion {
  int32_t _d;
  union {
    char *a;
    char z;
  } _u;
} VUnion;
#endif /* _typedef___VUnion */

void flick_marshal_stub_VUnion(flick_marshal_stream_t _stream, const struct VUnion *_data);

void flick_unmarshal_stub_VUnion(flick_marshal_stream_t _stream, struct VUnion *_data);

#ifndef _typedef___test_arr
#define _typedef___test_arr
typedef int32_t test_arr[10];
#endif /* _typedef___test_arr */

void flick_marshal_stub_test_arr(flick_marshal_stream_t _stream, const test_arr *_data);

void flick_unmarshal_stub_test_arr(flick_marshal_stream_t _stream, test_arr *_data);

#ifndef _typedef___CORBA_sequence_integer
#define _typedef___CORBA_sequence_integer
typedef struct CORBA_sequence_integer {
  unsigned long int _length;
  int32_t *_buffer;
} CORBA_sequence_integer;
#endif /* _typedef___CORBA_sequence_integer */

#ifndef _typedef___test_seq
#define _typedef___test_seq
typedef struct CORBA_sequence_integer test_seq;
#endif /* _typedef___test_seq */

void flick_marshal_stub_test_seq(flick_marshal_stream_t _stream, const test_seq *_data);

void flick_unmarshal_stub_test_seq(flick_marshal_stream_t _stream, test_seq *_data);

#include <fluke/flick.h>

#ifndef _typedef___test
#define _typedef___test
typedef struct test_struct test;
#endif /* _typedef___test */

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data);

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data);

mom_dispatch_action_t test_server(void *_dispatch_object, mom_dispatch_data_t *_dispatch_data);

int16_t test_server_Short(test *_obj, int16_t a, int16_t *b, int16_t *c, mom_exc_t *_ev);

int32_t test_server_Long(test *_obj, int32_t a, int32_t *b, int32_t *c, mom_exc_t *_ev);

u_int16_t test_server_UShort(test *_obj, u_int16_t a, u_int16_t *b, u_int16_t *c, mom_exc_t *_ev);

u_int32_t test_server_ULong(test *_obj, u_int32_t a, u_int32_t *b, u_int32_t *c, mom_exc_t *_ev);

float test_server_Float(test *_obj, float a, float *b, float *c, mom_exc_t *_ev);

int test_server_Boolean(test *_obj, int a, int *b, int *c, mom_exc_t *_ev);

char test_server_Char(test *_obj, char a, char *b, char *c, mom_exc_t *_ev);

u_int8_t test_server_Octet(test *_obj, u_int8_t a, u_int8_t *b, u_int8_t *c, mom_exc_t *_ev);

Enumeration test_server_Enum(test *_obj, Enumeration a, Enumeration *b, Enumeration *c, mom_exc_t *_ev);

struct FStruct test_server_FixedStruct(test *_obj, const struct FStruct *a, struct FStruct *b, struct FStruct *c, mom_exc_t *_ev);

struct VStruct *test_server_VarStruct(test *_obj, const struct VStruct *a, struct VStruct *b, struct VStruct **c, mom_exc_t *_ev);

struct FUnion test_server_FixedUnion(test *_obj, const struct FUnion *a, struct FUnion *b, struct FUnion *c, mom_exc_t *_ev);

struct VUnion *test_server_VarUnion(test *_obj, const struct VUnion *a, struct VUnion *b, struct VUnion **c, mom_exc_t *_ev);

char *test_server_String(test *_obj, const char *a, char **b, char **c, mom_exc_t *_ev);

char *test_server_BoundString(test *_obj, const char *a, char **b, char **c, mom_exc_t *_ev);

test_arr *test_server_Array(test *_obj, test_arr a, test_arr b, test_arr c, mom_exc_t *_ev);

test_seq *test_server_Sequence(test *_obj, const test_seq *a, test_seq *b, test_seq **c, mom_exc_t *_ev);

#endif /* _parm__server_h_ */
