#ifndef _structplain__client_h_
#define _structplain__client_h_

#include <flick/link/fluke.h>
#include <flick/encode/fluke.h>
#include <flick/pres/mom.h>

#ifndef _typedef___coord
#define _typedef___coord
typedef struct coord {
  int16_t row;
  int16_t col;
} coord;
#endif /* _typedef___coord */

void flick_marshal_stub_coord(flick_marshal_stream_t _stream, const struct coord *_data);

void flick_unmarshal_stub_coord(flick_marshal_stream_t _stream, struct coord *_data);

#include <fluke/flick.h>

int16_t geom_dist(mom_ref_t _obj, const struct coord *a, const struct coord *b, mom_exc_t *_ev);

#endif /* _structplain__client_h_ */
