#include "union-5-server.h"

void flick_marshal_stub_bar(flick_marshal_stream_t _stream, const struct bar *_data)
{
  flick_fluke_encode_new_glob(12);
  flick_fluke_encode_new_chunk(12);
  flick_fluke_encode_signed32(0, _data->slot_1);
  flick_fluke_encode_signed32(4, _data->slot_2);
  flick_fluke_encode_signed32(8, _data->slot_3);
  flick_fluke_encode_end_chunk(12);
  flick_fluke_encode_end_glob(12);
}

void flick_unmarshal_stub_bar(flick_marshal_stream_t _stream, struct bar *_data)
{
  flick_fluke_decode_new_glob(12);
  flick_fluke_decode_new_chunk(12);
  flick_fluke_decode_signed32(0, _data->slot_1);
  flick_fluke_decode_signed32(4, _data->slot_2);
  flick_fluke_decode_signed32(8, _data->slot_3);
  flick_fluke_decode_end_chunk(12);
  flick_fluke_decode_end_glob(12);
}

void flick_marshal_stub_foo(flick_marshal_stream_t _stream, const struct foo *_data)
{
  flick_fluke_encode_new_glob(408);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed32(0, _data->discriminator);
  flick_fluke_encode_end_chunk(4);
  switch (_data->discriminator)
    {
    case 1:
      {
        unsigned long int _t3_array_iter;

        flick_fluke_encode_new_chunk(4);
        flick_fluke_encode_unsigned32(0, _data->foo_u.one.foo_u_len);
        flick_fluke_encode_end_chunk(4);
#if 0
        for (_t3_array_iter = 0; _t3_array_iter < _data->foo_u.one.foo_u_len; _t3_array_iter++)
          {
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _data->foo_u.one.foo_u_val[_t3_array_iter]);
            flick_fluke_encode_end_chunk(4);
          }
#else /* Use `memcpy'. */
        flick_fluke_encode_bcopy(_data->foo_u.one.foo_u_val, sizeof(long) * _data->foo_u.one.foo_u_len, fluke);
#endif /* `memcpy' */
        flick_fluke_encode_end_glob(408);
        break;
      }
    case 2:
      {
        flick_fluke_encode_end_glob(408);
        flick_fluke_encode_longstring(_data->foo_u.two, null_flick_free, fluke);
        break;
      }
    case 3:
      {
        flick_fluke_encode_new_chunk(12);
        flick_fluke_encode_signed32(0, _data->foo_u.three.slot_1);
        flick_fluke_encode_signed32(4, _data->foo_u.three.slot_2);
        flick_fluke_encode_signed32(8, _data->foo_u.three.slot_3);
        flick_fluke_encode_end_chunk(12);
        flick_fluke_encode_end_glob(408);
        break;
      }
    default:
      {
        flick_sun_encode_mu_error(, FLICK_ERROR_STRUCT_UNION, fluke, fluke);
        flick_fluke_encode_end_glob(408);
        break;
      }
    }
}

void flick_unmarshal_stub_foo(flick_marshal_stream_t _stream, struct foo *_data)
{
  flick_fluke_decode_new_glob(408);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed32(0, _data->discriminator);
  flick_fluke_decode_end_chunk(4);
  switch (_data->discriminator)
    {
    case 1:
      {
        unsigned long int _t7_array_iter;

        flick_fluke_decode_new_chunk(4);
        flick_fluke_decode_unsigned32(0, _data->foo_u.one.foo_u_len);
        _data->foo_u.one.foo_u_val = sun_flick_alloc(_data->foo_u.one.foo_u_len * sizeof(int ));
        flick_fluke_decode_end_chunk(4);
#if 0
        for (_t7_array_iter = 0; _t7_array_iter < _data->foo_u.one.foo_u_len; _t7_array_iter++)
          {
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, _data->foo_u.one.foo_u_val[_t7_array_iter]);
            flick_fluke_decode_end_chunk(4);
          }
#else /* Use `memcpy'. */
        flick_fluke_decode_bcopy(_data->foo_u.one.foo_u_val, sizeof(long) * _data->foo_u.one.foo_u_len, fluke);
#endif /* `memcpy' */
        flick_fluke_decode_end_glob(408);
        break;
      }
    case 2:
      {
        flick_fluke_decode_end_glob(408);
        flick_fluke_decode_longstring(_data->foo_u.two, sun_flick_alloc, fluke);
        break;
      }
    case 3:
      {
        flick_fluke_decode_new_chunk(12);
        flick_fluke_decode_signed32(0, _data->foo_u.three.slot_1);
        flick_fluke_decode_signed32(4, _data->foo_u.three.slot_2);
        flick_fluke_decode_signed32(8, _data->foo_u.three.slot_3);
        flick_fluke_decode_end_chunk(12);
        flick_fluke_decode_end_glob(408);
        break;
      }
    default:
      {
        flick_sun_decode_mu_error(, FLICK_ERROR_STRUCT_UNION, fluke, fluke);
        flick_fluke_decode_end_glob(408);
        break;
      }
    }
}

mom_dispatch_action_t prog_2(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t22_switch_tag;

    flick_fluke_decode_new_glob(412);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t22_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch (_t22_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct foo *_local_arg;
            struct svc_req *_obj;
            struct foo *_return = 0;
            struct foo _t23_storage;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_arg = &_t23_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, _local_arg->discriminator);
            flick_fluke_decode_end_chunk(4);
            switch (_local_arg->discriminator)
              {
              case 1:
                {
                  unsigned long int _t27_array_iter;

                  flick_fluke_decode_new_chunk(4);
                  flick_fluke_decode_unsigned32(0, _local_arg->foo_u.one.foo_u_len);
                  _local_arg->foo_u.one.foo_u_val = auto_flick_alloc(_local_arg->foo_u.one.foo_u_len * sizeof(int ));
                  flick_fluke_decode_end_chunk(4);
#if 0
                  for (_t27_array_iter = 0; _t27_array_iter < _local_arg->foo_u.one.foo_u_len; _t27_array_iter++)
                    {
                      flick_fluke_decode_new_chunk(4);
                      flick_fluke_decode_signed32(0, _local_arg->foo_u.one.foo_u_val[_t27_array_iter]);
                      flick_fluke_decode_end_chunk(4);
                    }
#else /* Use `memcpy'. */
                  flick_fluke_decode_bcopy(_local_arg->foo_u.one.foo_u_val, sizeof(long) * _local_arg->foo_u.one.foo_u_len, fluke);
#endif /* `memcpy' */
                  flick_fluke_decode_end_glob(412);
                  break;
                }
              case 2:
                {
                  flick_fluke_decode_end_glob(412);
                  flick_fluke_decode_auto_string(_local_arg->foo_u.two, auto_flick_alloc, fluke);
                  break;
                }
              case 3:
                {
                  flick_fluke_decode_new_chunk(12);
                  flick_fluke_decode_signed32(0, _local_arg->foo_u.three.slot_1);
                  flick_fluke_decode_signed32(4, _local_arg->foo_u.three.slot_2);
                  flick_fluke_decode_signed32(8, _local_arg->foo_u.three.slot_3);
                  flick_fluke_decode_end_chunk(12);
                  flick_fluke_decode_end_glob(412);
                  break;
                }
              default:
                {
                  flick_sun_decode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_STRUCT_UNION, fluke, fluke);
                  flick_fluke_decode_end_glob(412);
                  break;
                }
              }
            flick_sun_init_environment();
            _return = op_2(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(412);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, _return->discriminator);
                  flick_fluke_encode_end_chunk(4);
                  switch (_return->discriminator)
                    {
                    case 1:
                      {
                        unsigned long int _t35_array_iter;

                        flick_fluke_encode_new_chunk(4);
                        flick_fluke_encode_unsigned32(0, _return->foo_u.one.foo_u_len);
                        flick_fluke_encode_end_chunk(4);
#if 0
                        for (_t35_array_iter = 0; _t35_array_iter < _return->foo_u.one.foo_u_len; _t35_array_iter++)
                          {
                            flick_fluke_encode_new_chunk(4);
                            flick_fluke_encode_signed32(0, _return->foo_u.one.foo_u_val[_t35_array_iter]);
                            flick_fluke_encode_end_chunk(4);
                          }
#else /* Use `memcpy'. */
                        flick_fluke_encode_bcopy(_return->foo_u.one.foo_u_val, sizeof(long) * _return->foo_u.one.foo_u_len, fluke);
#endif /* `memcpy' */
                        flick_fluke_encode_end_glob(412);
                        break;
                      }
                    case 2:
                      {
                        flick_fluke_encode_end_glob(412);
                        flick_fluke_encode_longstring(_return->foo_u.two, null_flick_free, fluke);
                        break;
                      }
                    case 3:
                      {
                        flick_fluke_encode_new_chunk(12);
                        flick_fluke_encode_signed32(0, _return->foo_u.three.slot_1);
                        flick_fluke_encode_signed32(4, _return->foo_u.three.slot_2);
                        flick_fluke_encode_signed32(8, _return->foo_u.three.slot_3);
                        flick_fluke_encode_end_chunk(12);
                        flick_fluke_encode_end_glob(412);
                        break;
                      }
                    default:
                      {
                        flick_sun_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_STRUCT_UNION, fluke, fluke);
                        flick_fluke_encode_end_glob(412);
                        break;
                      }
                    }
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  flick_fluke_encode_end_glob(412);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(412);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(412);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
