#ifndef _sequence_server_h_
#define _sequence_server_h_

#include <flick/link/mach3mig.h>

#include <flick/encode/mach3mig.h>

#include <flick/pres/corba.h>

#ifndef _typedef___CORBA_sequence_integer
#define _typedef___CORBA_sequence_integer
typedef struct CORBA_sequence_integer {
  unsigned long int _length;
  CORBA_long *_buffer;
} CORBA_sequence_integer;
#endif /* _typedef___CORBA_sequence_integer */

#ifndef _typedef___vec10
#define _typedef___vec10
typedef struct CORBA_sequence_integer vec10;
#endif /* _typedef___vec10 */

void flick_marshal_stub_vec10(flick_marshal_stream_t _stream, const vec10 *_data);

void flick_unmarshal_stub_vec10(flick_marshal_stream_t _stream, vec10 *_data);

#ifndef _typedef___CORBA_sequence_char
#define _typedef___CORBA_sequence_char
typedef struct CORBA_sequence_char {
  unsigned long int _length;
  CORBA_char *_buffer;
} CORBA_sequence_char;
#endif /* _typedef___CORBA_sequence_char */

#ifndef _typedef___c20
#define _typedef___c20
typedef struct CORBA_sequence_char c20;
#endif /* _typedef___c20 */

void flick_marshal_stub_c20(flick_marshal_stream_t _stream, const c20 *_data);

void flick_unmarshal_stub_c20(flick_marshal_stream_t _stream, c20 *_data);

#ifndef _typedef___CORBA_sequence_c20
#define _typedef___CORBA_sequence_c20
typedef struct CORBA_sequence_c20 {
  unsigned long int _length;
  c20 *_buffer;
} CORBA_sequence_c20;
#endif /* _typedef___CORBA_sequence_c20 */

#ifndef _typedef___cc23
#define _typedef___cc23
typedef struct CORBA_sequence_c20 cc23;
#endif /* _typedef___cc23 */

void flick_marshal_stub_cc23(flick_marshal_stream_t _stream, const cc23 *_data);

void flick_unmarshal_stub_cc23(flick_marshal_stream_t _stream, cc23 *_data);


#ifndef _typedef___c24
#define _typedef___c24
typedef struct CORBA_sequence_char c24;
#endif /* _typedef___c24 */

void flick_marshal_stub_c24(flick_marshal_stream_t _stream, const c24 *_data);

void flick_unmarshal_stub_c24(flick_marshal_stream_t _stream, c24 *_data);


#ifndef _typedef___CORBA_sequence_sequence_integer
#define _typedef___CORBA_sequence_sequence_integer
typedef struct CORBA_sequence_sequence_integer {
  unsigned long int _length;
  struct CORBA_sequence_integer *_buffer;
} CORBA_sequence_sequence_integer;
#endif /* _typedef___CORBA_sequence_sequence_integer */

#ifndef _typedef___c30
#define _typedef___c30
typedef struct CORBA_sequence_sequence_integer c30;
#endif /* _typedef___c30 */

void flick_marshal_stub_c30(flick_marshal_stream_t _stream, const c30 *_data);

void flick_unmarshal_stub_c30(flick_marshal_stream_t _stream, c30 *_data);

#ifndef _typedef___CORBA_sequence_string
#define _typedef___CORBA_sequence_string
typedef struct CORBA_sequence_string {
  unsigned long int _length;
  CORBA_char **_buffer;
} CORBA_sequence_string;
#endif /* _typedef___CORBA_sequence_string */


#ifndef _typedef___TProgram
#define _typedef___TProgram
typedef struct TProgram {
  CORBA_char *path;
  struct CORBA_sequence_string argv;
  struct CORBA_sequence_string envp;
} TProgram;
#endif /* _typedef___TProgram */

void flick_marshal_stub_TProgram(flick_marshal_stream_t _stream, const struct TProgram *_data);

void flick_unmarshal_stub_TProgram(flick_marshal_stream_t _stream, struct TProgram *_data);

#ifndef _typedef___foo
#define _typedef___foo
typedef struct foo {
  CORBA_long f1;
  CORBA_char f2;
} foo;
#endif /* _typedef___foo */

void flick_marshal_stub_foo(flick_marshal_stream_t _stream, const struct foo *_data);

void flick_unmarshal_stub_foo(flick_marshal_stream_t _stream, struct foo *_data);

#ifndef _typedef___foo_ar
#define _typedef___foo_ar
typedef struct foo foo_ar[20];
#endif /* _typedef___foo_ar */

void flick_marshal_stub_foo_ar(flick_marshal_stream_t _stream, const foo_ar *_data);

void flick_unmarshal_stub_foo_ar(flick_marshal_stream_t _stream, foo_ar *_data);

#ifndef _typedef___CORBA_sequence_foo
#define _typedef___CORBA_sequence_foo
typedef struct CORBA_sequence_foo {
  unsigned long int _length;
  struct foo *_buffer;
} CORBA_sequence_foo;
#endif /* _typedef___CORBA_sequence_foo */

#ifndef _typedef___f_unbounded
#define _typedef___f_unbounded
typedef struct CORBA_sequence_foo f_unbounded;
#endif /* _typedef___f_unbounded */

void flick_marshal_stub_f_unbounded(flick_marshal_stream_t _stream, const f_unbounded *_data);

void flick_unmarshal_stub_f_unbounded(flick_marshal_stream_t _stream, f_unbounded *_data);

#ifndef _typedef___CORBA_sequence_foo_ar
#define _typedef___CORBA_sequence_foo_ar
typedef struct CORBA_sequence_foo_ar {
  unsigned long int _length;
  foo_ar *_buffer;
} CORBA_sequence_foo_ar;
#endif /* _typedef___CORBA_sequence_foo_ar */

#ifndef _typedef___f_ar_unbounded
#define _typedef___f_ar_unbounded
typedef struct CORBA_sequence_foo_ar f_ar_unbounded;
#endif /* _typedef___f_ar_unbounded */

void flick_marshal_stub_f_ar_unbounded(flick_marshal_stream_t _stream, const f_ar_unbounded *_data);

void flick_unmarshal_stub_f_ar_unbounded(flick_marshal_stream_t _stream, f_ar_unbounded *_data);


#ifndef _typedef___TestSeq_also_vec10
#define _typedef___TestSeq_also_vec10
typedef struct CORBA_sequence_integer TestSeq_also_vec10;
#endif /* _typedef___TestSeq_also_vec10 */

void flick_marshal_stub_TestSeq_also_vec10(flick_marshal_stream_t _stream, const TestSeq_also_vec10 *_data);

void flick_unmarshal_stub_TestSeq_also_vec10(flick_marshal_stream_t _stream, TestSeq_also_vec10 *_data);

#ifndef _typedef___TestSeq
#define _typedef___TestSeq
typedef CORBA_Object TestSeq;
#endif /* _typedef___TestSeq */

void flick_marshal_stub_TestSeq(flick_marshal_stream_t _stream, const TestSeq *_data);

void flick_unmarshal_stub_TestSeq(flick_marshal_stream_t _stream, TestSeq *_data);

extern flick_dispatch_t TestSeq_server;

vec10 *TestSeq_op(TestSeq _obj, TestSeq_also_vec10 *a, vec10 **b, TestSeq_also_vec10 *c, CORBA_Environment *_ev);

f_unbounded *TestSeq__get_fattr(TestSeq _obj, CORBA_Environment *_ev);

void TestSeq__set_fattr(TestSeq _obj, f_unbounded *fattr, CORBA_Environment *_ev);

#endif /* _sequence_server_h_ */
