#include "structplain_-server.h"

boolean_t geom_server(mach_msg_header_t *InHeadP, mach_msg_header_t *OutHeadP)
{
  kern_return_t _err;
  FLICK_BUFFER *_stream;
  flick_mach3mig_serv_start_decode();
  {
    unsigned int _t9_switch_tag;

    flick_mach3mig_decode_new_glob(80);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t9_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t9_switch_tag)
      {
      case (unsigned int) 5:
        {
          char _t10_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t10_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t10_switch_tag)
            {
            case 'd':
              {
                char _t11_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t11_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t11_switch_tag)
                  {
                  case 'i':
                    {
                      char _t12_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t12_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t12_switch_tag)
                        {
                        case 's':
                          {
                            char _t13_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t13_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t13_switch_tag)
                              {
                              case 't':
                                {
                                  char _t14_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t14_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t14_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          geom _obj;
                                          struct coord *_local_a;
                                          struct coord *_local_b;
                                          CORBA_Environment *_ev;
                                          CORBA_short _return = 0;
                                          CORBA_Environment _t15_storage;
                                          struct coord _t16_storage;
                                          struct coord _t17_storage;

                                          {
                                            flick_mach3mig_server_decode_target(_obj, 0, mach3mig);
                                          }
                                          _ev = &_t15_storage;
                                          /* Begin decode phase on parameters */
                                          _local_a = &_t16_storage;
                                          flick_mach3mig_decode_new_chunk(32);
                                          flick_mach3mig_decode_signed16(0, _local_a->row);
                                          flick_mach3mig_decode_signed16(8, _local_a->col);
                                          _local_b = &_t17_storage;
                                          flick_mach3mig_decode_signed16(16, _local_b->row);
                                          flick_mach3mig_decode_signed16(24, _local_b->col);
                                          flick_mach3mig_decode_end_chunk(32);
                                          flick_mach3mig_decode_end_glob(80);
                                          flick_corba_init_environment();
                                          _return = geom_dist(_obj, _local_a, _local_b, _ev);
                                          flick_mach3mig_serv_start_encode();
                                          {
                                            flick_mach3mig_server_encode_target(_obj, 0, mach3mig);
                                          }
                                          flick_mach3mig_encode_new_glob(72);
                                          flick_mach3mig_encode_new_chunk(64);
                                          flick_mach3mig_encode_unsigned32(0, 6);
                                          flick_mach3mig_encode_char8(8, '$');
                                          flick_mach3mig_encode_char8(16, 'd');
                                          flick_mach3mig_encode_char8(24, 'i');
                                          flick_mach3mig_encode_char8(32, 's');
                                          flick_mach3mig_encode_char8(40, 't');
                                          flick_mach3mig_encode_char8(48, 0);
                                          flick_mach3mig_encode_signed32(56, _ev->_major);
                                          flick_mach3mig_encode_end_chunk(64);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_mach3mig_encode_new_chunk(8);
                                                flick_mach3mig_encode_signed16(0, _return);
                                                flick_mach3mig_encode_end_chunk(8);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_corba_encode_system_exception((_ev->_except), mach3mig, mach3mig);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                              }
                                            }
                                          flick_mach3mig_encode_end_glob(72);
                                          flick_mach3mig_serv_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(80);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(80);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(80);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(80);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(80);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(80);
          break;
        }
      }
  }
}
