#include "optional-7-client.h"

void flick_marshal_stub_int_list(flick_marshal_stream_t _stream, const int_list *_data)
{
  flick_unsigned8_t _t0_array_len;

  _t0_array_len = *_data != 0;
  flick_suntcp_encode_new_glob(12);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _t0_array_len);
  flick_suntcp_encode_end_chunk(4);
  if (_t0_array_len)
    {
      flick_unsigned8_t _t2_array_len;

      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_signed32(0, (*_data)->value);
      _t2_array_len = (*_data)->next != 0;
      flick_xdr_encode_unsigned32(4, _t2_array_len);
      flick_suntcp_encode_end_chunk(8);
      if (_t2_array_len)
        {
          flick_suntcp_encode_end_glob(12);
          flick_marshal_stub_int_node(_stream, (*_data)->next);
        }
      else
        {
          flick_suntcp_encode_end_glob(12);
        }
    }
  else
    {
      flick_suntcp_encode_end_glob(12);
    }
}

void flick_unmarshal_stub_int_list(flick_marshal_stream_t _stream, int_list *_data)
{
  flick_unsigned8_t _t3_array_len;

  flick_suntcp_decode_new_glob(12);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _t3_array_len);
  flick_suntcp_decode_end_chunk(4);
  if (_t3_array_len)
    {
      flick_unsigned8_t _t5_array_len;

      *_data = sun_flick_alloc(_t3_array_len * sizeof(struct int_node ));
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_signed32(0, (*_data)->value);
      flick_xdr_decode_unsigned32(4, _t5_array_len);
      flick_suntcp_decode_end_chunk(8);
      if (_t5_array_len)
        {
          (*_data)->next = sun_flick_alloc(_t5_array_len * sizeof(struct int_node ));
          flick_suntcp_decode_end_glob(12);
          flick_unmarshal_stub_int_node(_stream, (*_data)->next);
        }
      else
        {
          (*_data)->next = 0;
          flick_suntcp_decode_end_glob(12);
        }
    }
  else
    {
      *_data = 0;
      flick_suntcp_decode_end_glob(12);
    }
}

void flick_marshal_stub_int_node(flick_marshal_stream_t _stream, const struct int_node *_data)
{
  flick_unsigned8_t _t6_array_len;

  flick_suntcp_encode_new_glob(12);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->value);
  _t6_array_len = _data->next != 0;
  flick_xdr_encode_unsigned32(4, _t6_array_len);
  flick_suntcp_encode_end_chunk(8);
  if (_t6_array_len)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->next->value);
      flick_suntcp_encode_end_chunk(4);
      flick_suntcp_encode_end_glob(12);
      flick_marshal_stub_int_list(_stream, &_data->next->next);
    }
  else
    {
      flick_suntcp_encode_end_glob(12);
    }
}

void flick_unmarshal_stub_int_node(flick_marshal_stream_t _stream, struct int_node *_data)
{
  flick_unsigned8_t _t7_array_len;

  flick_suntcp_decode_new_glob(12);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->value);
  flick_xdr_decode_unsigned32(4, _t7_array_len);
  flick_suntcp_decode_end_chunk(8);
  if (_t7_array_len)
    {
      _data->next = sun_flick_alloc(_t7_array_len * sizeof(struct int_node ));
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->next->value);
      flick_suntcp_decode_end_chunk(4);
      flick_suntcp_decode_end_glob(12);
      flick_unmarshal_stub_int_list(_stream, &_data->next->next);
    }
  else
    {
      _data->next = 0;
      flick_suntcp_decode_end_glob(12);
    }
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int_list *op_2(int_list *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  int_list *_return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_unsigned8_t _t9_array_len;

    flick_suntcp_encode_new_glob(28);
    flick_suntcp_encode_new_chunk(24);
    flick_xdr_encode_unsigned32(0, 1);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0);
    flick_xdr_encode_unsigned32(8, (unsigned int) 0);
    flick_xdr_encode_unsigned32(12, (unsigned int) 0);
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    _t9_array_len = *arg != 0;
    flick_xdr_encode_unsigned32(20, _t9_array_len);
    flick_suntcp_encode_end_chunk(24);
    if (_t9_array_len)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, (*arg)->value);
        flick_suntcp_encode_end_chunk(4);
        flick_suntcp_encode_end_glob(28);
        flick_marshal_stub_int_list(_stream, &(*arg)->next);
      }
    else
      {
        flick_suntcp_encode_end_glob(28);
      }
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(12);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int_list _t12_storage;
            flick_unsigned8_t _t13_array_len;

            _return = &_t12_storage;
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_unsigned32(0, _t13_array_len);
            flick_suntcp_decode_end_chunk(4);
            if (_t13_array_len)
              {
                *_return = sun_flick_alloc(_t13_array_len * sizeof(struct int_node ));
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, (*_return)->value);
                flick_suntcp_decode_end_chunk(4);
                flick_suntcp_decode_end_glob(12);
                flick_unmarshal_stub_int_list(_stream, &(*_return)->next);
              }
            else
              {
                *_return = 0;
                flick_suntcp_decode_end_glob(12);
              }
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", xdr, suntcp);
            flick_suntcp_decode_end_glob(12);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(12);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

