#include "struct-client.h"

void flick_marshal_stub_bar(flick_marshal_stream_t _stream, const struct bar *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->b1);
  flick_xdr_encode_signed32(4, _data->b2);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
  flick_xdr_encode_string(_data->b3, null_flick_free, suntcp, 20);
}

void flick_unmarshal_stub_bar(flick_marshal_stream_t _stream, struct bar *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->b1);
  flick_xdr_decode_signed32(4, _data->b2);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
  flick_xdr_decode_string(_data->b3, CORBA_flick_alloc, suntcp, 20);
}

void flick_marshal_stub_bar2(flick_marshal_stream_t _stream, const struct bar2 *_data)
{
  flick_suntcp_encode_new_glob(12);
  flick_suntcp_encode_new_chunk(12);
  flick_xdr_encode_signed32(0, _data->b3);
  flick_xdr_encode_signed32(4, _data->b4.b1);
  flick_xdr_encode_signed32(8, _data->b4.b2);
  flick_suntcp_encode_end_chunk(12);
  flick_suntcp_encode_end_glob(12);
  flick_xdr_encode_string(_data->b4.b3, null_flick_free, suntcp, 20);
}

void flick_unmarshal_stub_bar2(flick_marshal_stream_t _stream, struct bar2 *_data)
{
  flick_suntcp_decode_new_glob(12);
  flick_suntcp_decode_new_chunk(12);
  flick_xdr_decode_signed32(0, _data->b3);
  flick_xdr_decode_signed32(4, _data->b4.b1);
  flick_xdr_decode_signed32(8, _data->b4.b2);
  flick_suntcp_decode_end_chunk(12);
  flick_suntcp_decode_end_glob(12);
  flick_xdr_decode_string(_data->b4.b3, CORBA_flick_alloc, suntcp, 20);
}

void flick_marshal_stub_bar3(flick_marshal_stream_t _stream, const struct bar3 *_data)
{
  flick_suntcp_encode_new_glob(12);
  flick_suntcp_encode_new_chunk(12);
  flick_xdr_encode_signed32(0, _data->b1);
  flick_xdr_encode_signed32(4, _data->b2);
  flick_xdr_encode_signed32(8, _data->b3);
  flick_suntcp_encode_end_chunk(12);
  flick_suntcp_encode_end_glob(12);
}

void flick_unmarshal_stub_bar3(flick_marshal_stream_t _stream, struct bar3 *_data)
{
  flick_suntcp_decode_new_glob(12);
  flick_suntcp_decode_new_chunk(12);
  flick_xdr_decode_signed32(0, _data->b1);
  flick_xdr_decode_signed32(4, _data->b2);
  flick_xdr_decode_signed32(8, _data->b3);
  flick_suntcp_decode_end_chunk(12);
  flick_suntcp_decode_end_glob(12);
}

void flick_marshal_stub_bar4(flick_marshal_stream_t _stream, const struct bar4 *_data)
{
  flick_suntcp_encode_new_glob(16);
  flick_suntcp_encode_new_chunk(16);
  flick_xdr_encode_signed32(0, _data->b1);
  flick_xdr_encode_signed32(4, _data->b2.b3);
  flick_xdr_encode_signed32(8, _data->b2.b4.b1);
  flick_xdr_encode_signed32(12, _data->b2.b4.b2);
  flick_suntcp_encode_end_chunk(16);
  flick_suntcp_encode_end_glob(16);
  flick_xdr_encode_string(_data->b2.b4.b3, null_flick_free, suntcp, 20);
  flick_suntcp_encode_new_glob(20);
  flick_suntcp_encode_new_chunk_align(20, 2, 0, 0);
  flick_xdr_encode_signed32(0, _data->b3);
  flick_xdr_encode_signed32(4, _data->b4.b1);
  flick_xdr_encode_signed32(8, _data->b4.b2);
  flick_xdr_encode_signed32(12, _data->b4.b3);
  flick_xdr_encode_signed32(16, _data->b5);
  flick_suntcp_encode_end_chunk(20);
  flick_suntcp_encode_end_glob(20);
}

void flick_unmarshal_stub_bar4(flick_marshal_stream_t _stream, struct bar4 *_data)
{
  flick_suntcp_decode_new_glob(16);
  flick_suntcp_decode_new_chunk(16);
  flick_xdr_decode_signed32(0, _data->b1);
  flick_xdr_decode_signed32(4, _data->b2.b3);
  flick_xdr_decode_signed32(8, _data->b2.b4.b1);
  flick_xdr_decode_signed32(12, _data->b2.b4.b2);
  flick_suntcp_decode_end_chunk(16);
  flick_suntcp_decode_end_glob(16);
  flick_xdr_decode_string(_data->b2.b4.b3, CORBA_flick_alloc, suntcp, 20);
  flick_suntcp_decode_new_glob(20);
  flick_suntcp_decode_new_chunk_align(20, 2, 0, 0);
  flick_xdr_decode_signed32(0, _data->b3);
  flick_xdr_decode_signed32(4, _data->b4.b1);
  flick_xdr_decode_signed32(8, _data->b4.b2);
  flick_xdr_decode_signed32(12, _data->b4.b3);
  flick_xdr_decode_signed32(16, _data->b5);
  flick_suntcp_decode_end_chunk(20);
  flick_suntcp_decode_end_glob(20);
}

void flick_marshal_stub_foo(flick_marshal_stream_t _stream, const foo *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_foo(flick_marshal_stream_t _stream, foo *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

CORBA_long foo_op(foo _obj, struct bar *a, struct bar2 **b, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(40);
    flick_suntcp_encode_new_chunk(40);
    flick_xdr_encode_unsigned32(0, 3);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_signed32(32, a->b1);
    flick_xdr_encode_signed32(36, a->b2);
    flick_suntcp_encode_end_chunk(40);
    flick_suntcp_encode_end_glob(40);
    flick_xdr_encode_string(a->b3, null_flick_free, suntcp, 20);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            *b = CORBA_flick_alloc(sizeof(struct bar2 ));
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_signed32(0, (*b)->b3);
            flick_xdr_decode_signed32(4, (*b)->b4.b1);
            flick_xdr_decode_signed32(8, (*b)->b4.b2);
            flick_suntcp_decode_end_chunk(12);
            flick_suntcp_decode_end_glob(16);
            flick_xdr_decode_string((*b)->b4.b3, CORBA_flick_alloc, suntcp, 20);
            flick_suntcp_decode_new_glob(4);
            flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
            flick_xdr_decode_signed32(0, _return);
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            flick_suntcp_decode_end_glob(16);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(16);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

void flick_marshal_stub_foo2(flick_marshal_stream_t _stream, const foo2 *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_foo2(flick_marshal_stream_t _stream, foo2 *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

struct bar *foo2_op2(foo2 _obj, struct bar2 *a, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct bar *_return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(48);
    flick_suntcp_encode_new_chunk(48);
    flick_xdr_encode_unsigned32(0, 4);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, '2');
    flick_xdr_encode_char8(16, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_signed32(36, a->b3);
    flick_xdr_encode_signed32(40, a->b4.b1);
    flick_xdr_encode_signed32(44, a->b4.b2);
    flick_suntcp_encode_end_chunk(48);
    flick_suntcp_encode_end_glob(48);
    flick_xdr_encode_string(a->b4.b3, null_flick_free, suntcp, 20);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(12);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            _return = CORBA_flick_alloc(sizeof(struct bar ));
            flick_suntcp_decode_new_chunk(8);
            flick_xdr_decode_signed32(0, _return->b1);
            flick_xdr_decode_signed32(4, _return->b2);
            flick_suntcp_decode_end_chunk(8);
            flick_suntcp_decode_end_glob(12);
            flick_xdr_decode_string(_return->b3, CORBA_flick_alloc, suntcp, 20);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            flick_suntcp_decode_end_glob(12);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(12);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

CORBA_long foo2_op3(foo2 _obj, CORBA_long a, CORBA_char *b, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(40);
    flick_suntcp_encode_new_chunk(40);
    flick_xdr_encode_unsigned32(0, 4);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, '3');
    flick_xdr_encode_char8(16, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_signed32(36, a);
    flick_suntcp_encode_end_chunk(40);
    flick_suntcp_encode_end_glob(40);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(12);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(8);
            flick_xdr_decode_char8(0, *b);
            flick_xdr_decode_signed32(4, _return);
            flick_suntcp_decode_end_chunk(8);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(12);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

CORBA_long foo2_op(foo2 _obj, struct bar *a, struct bar2 **b, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(40);
    flick_suntcp_encode_new_chunk(40);
    flick_xdr_encode_unsigned32(0, 3);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_signed32(32, a->b1);
    flick_xdr_encode_signed32(36, a->b2);
    flick_suntcp_encode_end_chunk(40);
    flick_suntcp_encode_end_glob(40);
    flick_xdr_encode_string(a->b3, null_flick_free, suntcp, 20);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            *b = CORBA_flick_alloc(sizeof(struct bar2 ));
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_signed32(0, (*b)->b3);
            flick_xdr_decode_signed32(4, (*b)->b4.b1);
            flick_xdr_decode_signed32(8, (*b)->b4.b2);
            flick_suntcp_decode_end_chunk(12);
            flick_suntcp_decode_end_glob(16);
            flick_xdr_decode_string((*b)->b4.b3, CORBA_flick_alloc, suntcp, 20);
            flick_suntcp_decode_new_glob(4);
            flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
            flick_xdr_decode_signed32(0, _return);
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            flick_suntcp_decode_end_glob(16);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(16);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

void flick_marshal_stub_Coord(flick_marshal_stream_t _stream, const Coord *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned16(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_Coord(flick_marshal_stream_t _stream, Coord *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned16(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_CellPos(flick_marshal_stream_t _stream, const struct CellPos *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_unsigned16(0, _data->row);
  flick_xdr_encode_unsigned16(4, _data->col);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_CellPos(flick_marshal_stream_t _stream, struct CellPos *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_unsigned16(0, _data->row);
  flick_xdr_decode_unsigned16(4, _data->col);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_CellPos2(flick_marshal_stream_t _stream, const struct CellPos2 *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_unsigned16(0, _data->row);
  flick_xdr_encode_unsigned16(4, _data->col);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_CellPos2(flick_marshal_stream_t _stream, struct CellPos2 *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_unsigned16(0, _data->row);
  flick_xdr_decode_unsigned16(4, _data->col);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_CellPos3(flick_marshal_stream_t _stream, const struct CellPos3 *_data)
{
  flick_suntcp_encode_new_glob(12);
  flick_suntcp_encode_new_chunk(12);
  flick_xdr_encode_unsigned16(0, _data->row);
  flick_xdr_encode_unsigned16(4, _data->col);
  flick_xdr_encode_unsigned16(8, _data->col2);
  flick_suntcp_encode_end_chunk(12);
  flick_suntcp_encode_end_glob(12);
}

void flick_unmarshal_stub_CellPos3(flick_marshal_stream_t _stream, struct CellPos3 *_data)
{
  flick_suntcp_decode_new_glob(12);
  flick_suntcp_decode_new_chunk(12);
  flick_xdr_decode_unsigned16(0, _data->row);
  flick_xdr_decode_unsigned16(4, _data->col);
  flick_xdr_decode_unsigned16(8, _data->col2);
  flick_suntcp_decode_end_chunk(12);
  flick_suntcp_decode_end_glob(12);
}

